linux (5.10.5-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.5
    - net/sched: sch_taprio: reset child qdiscs before freeing them
    - ethtool: fix error paths in ethnl_set_channels()
    - ethtool: fix string set id check
    - md/raid10: initialize r10_bio->read_slot before use.
    - io_uring: close a small race gap for files cancel
    - jffs2: Allow setting rp_size to zero during remounting
    - jffs2: Fix NULL pointer dereference in rp_size fs option parsing
    - opp: fix memory leak in _allocate_opp_table
    - opp: Call the missing clk_put() on error
    - scsi: block: Fix a race in the runtime power management code
    - mm/hugetlb: fix deadlock in hugetlb_cow error path
    - mm: memmap defer init doesn't work as expected
    - [s390x] lib/zlib: fix inflating zlib streams on s390
    - io_uring: don't assume mm is constant across submits
    - io_uring: use bottom half safe lock for fixed file data
    - io_uring: add a helper for setting a ref node
    - io_uring: fix io_sqe_files_unregister() hangs
    - uapi: move constants from <linux/kernel.h> to <linux/const.h>
    - tools headers UAPI: Sync linux/const.h with the kernel headers
    - cgroup: Fix memory leak when parsing multiple source parameters
    - [s390x] zlib: move EXPORT_SYMBOL() and MODULE_LICENSE() out of
      dfltcc_syms.c
    - Bluetooth: hci_h5: close serdev device and free hu in h5_close
    - fbcon: Disable accelerated scrolling
    - reiserfs: add check for an invalid ih_entry_count
    - [x86] misc: vmw_vmci: fix kernel info-leak by initializing dbells in
      vmci_ctx_get_chkpt_doorbells()
    - media: gp8psk: initialize stats at power control logic
    - f2fs: fix shift-out-of-bounds in sanity_check_raw_super()
    - ALSA: seq: Use bool for snd_seq_queue internal flags
    - ALSA: rawmidi: Access runtime->avail always in spinlock
    - bfs: don't use WARNING: string when it's just info.
    - ext4: check for invalid block size early when mounting a file system
    - fcntl: Fix potential deadlock in send_sig{io, urg}()
    - io_uring: check kthread stopped flag when sq thread is unparked
    - [arm64,armhf] rtc: sun6i: Fix memleak in sun6i_rtc_clk_init
    - module: set MODULE_STATE_GOING state when a module fails to load
    - quota: Don't overflow quota file offsets
    - [arm64,armhf] rtc: pl031: fix resource leak in pl031_probe
    - i3c master: fix missing destroy_workqueue() on error in
      i3c_master_register
    - NFSv4: Fix a pNFS layout related use-after-free race when freeing the
      inode
    - f2fs: avoid race condition for shrinker count
    - f2fs: fix race of pending_pages in decompression
    - module: delay kobject uevent until after module init call
    - [powerpc*] 64: irq replay remove decrementer overflow check
    - fs/namespace.c: WARN if mnt_count has become negative
    - ceph: fix inode refcount leak when ceph_fill_inode on non-I_NEW inode
      fails
    - tick/sched: Remove bogus boot "safety" check
    - [s390x] always clear kernel stack backchain before calling functions
    - io_uring: remove racy overflow list fast checks
    - ALSA: pcm: Clear the full allocated memory at hw_params
    - dm verity: skip verity work if I/O error when system is shutting down
    - ext4: avoid s_mb_prefetch to be zero in individual scenarios
    - device-dax: Fix range release

  [ Luca Boccassi ]
  * [amd64,arm64] Generate BTF debug info: (partially closes: #973870)
    - Enable DEBUG_INFO_BTF.
    - Build-Depend on dwarves >= 1.16~.

  [ Aurelien Jarno ]
  * usbip: depend on usb.ids instead of usbutils.
  * [mips*] Fix build with binutils configured with
    --enable-mips-fix-loongson3-llsc=yes.

  [ Salvatore Bonaccorso ]
  * Bluetooth: Fix attempting to set RPA timeout when unsupported
    (Closes: #972968)
  * net: cdc_ncm: correct overhead in delayed_ndp_size (Closes: #970736)
  * mwifiex: Fix possible buffer overflows in mwifiex_cmd_802_11_ad_hoc_start
    (CVE-2020-36158)
  * [rt] Update to 5.10.4-rt22
  * X.509: Fix crash caused by NULL pointer (Closes: #979496)
  * Revert "drm/amd/display: Fix memory leaks in S3 resume"

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 Jan 2021 21:25:11 +0100

linux (5.10.4-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.3
    - net: ipconfig: Avoid spurious blank lines in boot log
    - [x86] split-lock: Avoid returning with interrupts enabled
    - exfat: Avoid allocating upcase table using kcalloc()
    - [arm64] soc/tegra: fuse: Fix index bug in get_process_id
    - USB: serial: option: add interface-number sanity check to flag handling
    - USB: gadget: f_acm: add support for SuperSpeed Plus
    - USB: gadget: f_midi: setup SuperSpeed Plus descriptors
    - usb: gadget: f_fs: Re-use SS descriptors for SuperSpeedPlus
    - USB: gadget: f_rndis: fix bitrate for SuperSpeed and above
    - [arm64,armhf] usb: chipidea: ci_hdrc_imx: Pass DISABLE_DEVICE_STREAMING
      flag to imx6ul
    - [armhf] dts: exynos: fix roles of USB 3.0 ports on Odroid XU
    - [armhf] dts: exynos: fix USB 3.0 pins supply being turned off on Odroid
      XU
    - f2fs: fix to seek incorrect data offset in inline data file
    - f2fs: init dirty_secmap incorrectly
    - scsi: megaraid_sas: Check user-provided offsets
    - [arm64,x86] HID: i2c-hid: add Vero K147 to descriptor override
    - serial_core: Check for port state when tty is in error state
    - fscrypt: remove kernel-internal constants from UAPI header
    - fscrypt: add fscrypt_is_nokey_name()
    - ubifs: prevent creating duplicate encrypted filenames
    - ext4: prevent creating duplicate encrypted filenames
    - f2fs: prevent creating duplicate encrypted filenames
    - Bluetooth: Fix slab-out-of-bounds read in hci_le_direct_adv_report_evt()
    - quota: Sanity-check quota file headers on load
    - fs: quota: fix array-index-out-of-bounds bug by passing correct argument
      to vfs_cleanup_quota_inode()
    - media: msi2500: assign SPI bus number dynamically
    - crypto: af_alg - avoid undefined behavior accessing salg_name
    - nl80211: validate key indexes for cfg80211_registered_device
    - md: fix a warning caused by a race between concurrent md_ioctl()s
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.4
    - [x86] hwmon: (k10temp) Remove support for displaying voltage and current
      on Zen CPUs
    - [x86] drm/gma500: fix double free of gma_connector
    - [arm64] rtc: pcf2127: fix pcf2127_nvmem_read/write() returns
    - selinux: fix error initialization in inode_doinit_with_dentry()
    - [armhf] dts: aspeed: s2600wf: Fix VGA memory region location
    - RDMA/core: Fix error return in _ib_modify_qp()
    - RDMA/rxe: Compute PSN windows correctly
    - [x86] /mm/ident_map: Check for errors from ident_pud_init()
    - [armel,armhf] p2v: fix handling of LPAE translation in BE mode
    - [x86] apic: Fix x2apic enablement without interrupt remapping
    - sched/deadline: Fix sched_dl_global_validate()
    - sched: Reenable interrupts in do_sched_yield()
    - [arm64] crypto: inside-secure - Fix sizeof() mismatch
    - [arm64] ASoC: sun4i-i2s: Fix lrck_period computation for I2S justified
      mode
    - drm/msm: Add missing stub definition
    - [armhf] dts: aspeed: tiogapass: Remove vuart
    - [powerpc*] 64: Set up a kernel stack for secondaries before
      cpu_restore()
    - f2fs: call f2fs_get_meta_page_retry for nat page
    - RDMA/mlx5: Fix corruption of reg_pages in mlx5_ib_rereg_user_mr()
    - [arm64] drm/msm/dp: DisplayPort PHY compliance tests fixup
    - [arm64] drm/msm/dsi_pll_7nm: restore VCO rate during restore_state
    - [arm64] drm/msm/dsi_pll_10nm: restore VCO rate during restore_state
    - [arm64] drm/msm/dpu: fix clock scaling on non-sc7180 board
    - spi: spi-mem: fix reference leak in spi_mem_access_start
    - scsi: aacraid: Improve compat_ioctl handlers
    - ASoC: pcm: DRAIN support reactivation
    - [armhf] drm/bridge: tpd12s015: Fix irq registering in tpd12s015_probe
    - [arm64] crypto: arm64/poly1305-neon - reorder PAC authentication with SP
      update
    - [arm64] crypto: caam - fix printing on xts fallback allocation error
      path
    - selinux: fix inode_doinit_with_dentry() LABEL_INVALID error handling
    - nl80211/cfg80211: fix potential infinite loop
    - [armhf] spi: stm32: fix reference leak in stm32_spi_resume
    - [x86] mce: Correct the detection of invalid notifier priorities
    - drm/edid: Fix uninitialized variable in drm_cvt_modes()
    - ath11k: Initialize complete alpha2 for regulatory change
    - ath11k: Fix number of rules in filtered ETSI regdomain
    - ath11k: fix wmi init configuration
    - brcmfmac: Fix memory leak for unpaired brcmf_{alloc/free}
    - [arm64,armhf] drm/panel: simple: Add flags to boe_nv133fhm_n61
    - Bluetooth: Fix null pointer dereference in hci_event_packet()
    - Bluetooth: Fix: LL PRivacy BLE device fails to connect
    - Bluetooth: hci_h5: fix memory leak in h5_close
    - [armhf] spi: stm32-qspi: fix reference leak in stm32 qspi operations
    - [armhf] spi: spi-ti-qspi: fix reference leak in ti_qspi_setup
    - [arm64] spi: tegra20-slink: fix reference leak in slink ops of tegra20
    - [arm64,armhf] spi: tegra20-sflash: fix reference leak in
      tegra_sflash_resume
    - [arm64,armhf] spi: tegra114: fix reference leak in tegra spi ops
    - [armhf] spi: imx: fix reference leak in two imx operations
    - [arm64] ASoC: qcom: common: Fix refcounting in qcom_snd_parse_of()
    - ath11k: Handle errors if peer creation fails
    - mwifiex: fix mwifiex_shutdown_sw() causing sw reset failure
    - [arm64] drm/msm/a6xx: Clear shadow on suspend
    - [arm64] drm/msm/a5xx: Clear shadow on suspend
    - [arm64] drm/msm/dp: return correct connection status after suspend
    - [arm64] drm/msm/dp: skip checking LINK_STATUS_UPDATED bit
    - [arm64] drm/msm/dp: do not notify audio subsystem if sink doesn't
      support audio
    - virtiofs fix leak in setup
    - RDMa/mthca: Work around -Wenum-conversion warning
    - [armhf] soc: ti: omap-prm: Do not check rstst bit on deassert if already
      deasserted
    - [x86] crypto: qat - fix status check in qat_hal_put_rel_rd_xfer()
    - drm/udl: Fix missing error code in udl_handle_damage()
    - [x86] media: tm6000: Fix sizeof() mismatches
    - media: v4l2-fwnode: Return -EINVAL for invalid bus-type
    - media: v4l2-fwnode: v4l2_fwnode_endpoint_parse caller must init vep
      argument
    - [arm64,armhf] media: cedrus: fix reference leak in
      cedrus_start_streaming
    - [arm64] media: venus: core: change clk enable and disable order in
      resume and suspend
    - [arm64] media: venus: core: vote for video-mem path
    - [arm64] media: venus: core: vote with average bandwidth and peak
      bandwidth as zero
    - RDMA/cma: Add missing error handling of listen_id
    - scsi: core: Fix VPD LUN ID designator priorities
    - [arm64] media: venus: put dummy vote on video-mem path after last
      session release
    - media: solo6x10: fix missing snd_card_free in error handling case
    - [arm64,armhf] mmc: sdhci: tegra: fix wrong unit with busy_timeout
    - [armhf] drm/omap: dmm_tiler: fix return error code in omap_dmm_probe()
    - [arm64] drm/meson: Free RDMA resources after tearing down DRM
    - [arm64] drm/meson: Unbind all connectors on module removal
    - [arm64] drm/meson: dw-hdmi: Register a callback to disable the regulator
    - [arm64] drm/meson: dw-hdmi: Ensure that clocks are enabled before
      touching the TOP registers
    - [amd64] iommu/vt-d: include conditionally on CONFIG_INTEL_IOMMU_SVM
    - Input: ads7846 - fix race that causes missing releases
    - Input: ads7846 - fix integer overflow on Rt calculation
    - Input: ads7846 - fix unaligned access on 7845
    - bus: mhi: core: Remove double locking from mhi_driver_remove()
    - bus: mhi: core: Fix null pointer access when parsing MHI configuration
    - [powerpc*] Avoid broken GCC __attribute__((optimize))
    - [powerpc*] feature: Fix CPU_FTRS_ALWAYS by removing CPU_FTRS_GENERIC_32
    - [armhf] dts: tacoma: Fix node vs reg mismatch for flash memory
    - Revert "powerpc/pseries/hotplug-cpu: Remove double free in error path"
    - [powerpc*] powernv/sriov: fix unsigned int win compared to less than
      zero
    - [x86] EDAC/mce_amd: Use struct cpuinfo_x86.cpu_die_id for AMD NodeId
    - scsi: ufs: Avoid to call REQ_CLKS_OFF to CLKS_OFF
    - scsi: ufs: Fix clkgating on/off
    - rcu: Allow rcu_irq_enter_check_tick() from NMI
    - rcu,ftrace: Fix ftrace recursion
    - rcu/tree: Defer kvfree_rcu() allocation to a clean context
    - spi: fix resource leak for drivers without .remove callback
    - [arm64] drm/meson: dw-hdmi: Disable clocks on driver teardown
    - [arm64] drm/meson: dw-hdmi: Enable the iahb clock early enough
    - PCI: Disable MSI for Pericom PCIe-USB adapter
    - [arm64] PCI: brcmstb: Initialize "tmp" before use
    - [arm64] dts: qcom: sm8250: correct compatible for sm8250-mtp
    - [armhf] Input: omap4-keypad - fix runtime PM error handling
    - ath11k: Fix the rx_filter flag setting for peer rssi stats
    - RDMA/cxgb4: Validate the number of CQEs
    - [arm64] pinctrl: sunxi: fix irq bank map for the Allwinner A100 pin
      controller
    - memstick: fix a double-free bug in memstick_check
    - brcmfmac: fix error return code in brcmf_cfg80211_connect()
    - orinoco: Move context allocation after processing the skb
    - rsi: fix error return code in rsi_reset_card()
    - [arm64] dmaengine: mv_xor_v2: Fix error return code in mv_xor_v2_probe()
    - [armel] leds: netxbig: add missing put_device() call in
      netxbig_leds_get_of_pdata()
    - RDMA/cma: Fix deadlock on &lock in rdma_cma_listen_on_all() error unwind
    - media: siano: fix memory leak of debugfs members in smsdvb_hotplug
    - [x86] platform/x86: mlx-platform: Remove PSU EEPROM from default
      platform configuration
    - [x86] platform/x86: mlx-platform: Remove PSU EEPROM from MSN274x
      platform configuration
    - [arm64] RDMA/hns: Only record vlan info for HIP08
    - [arm64] RDMA/hns: Fix missing fields in address vector
    - [arm64] RDMA/hns: Avoid setting loopback indicator when smac is same as
      dmac
    - RDMA/core: Track device memory MRs
    - [armhf] HSI: omap_ssi: Don't jump to free ID in ssi_add_controller()
    - [arm64] dts: armada-3720-turris-mox: update ethernet-phy handle name
    - [arm64] dts: rockchip: Set dr_mode to "host" for OTG on rk3328-roc-cc
    - [x86] power: supply: max17042_battery: Fix current_{avg,now} hiding with
      no current sense
    - [x86] power: supply: bq24190_charger: fix reference leak
    - genirq/irqdomain: Don't try to free an interrupt that has no mapping
    - [arm64] dts: freescale: sl28: combine SPI MTD partitions
    - [arm64,armhf] phy: tegra: xusb: Fix usb_phy device driver field
    - [arm64] dts: qcom: c630: Polish i2c-hid devices
    - [arm64] dts: qcom: c630: Fix pinctrl pins properties
    - PCI: Bounds-check command-line resource alignment requests
    - PCI: Fix overflow in command-line resource alignment requests
    - [arm64] dts: meson: fix spi-max-frequency on Khadas VIM2
    - [arm64] soc: amlogic: canvas: add missing put_device() call in
      meson_canvas_get()
    - [arm64] scsi: hisi_sas: Fix up probe error handling for v3 hw
    - scsi: pm80xx: Do not sleep in atomic context
    - [arm64] spi: spi-fsl-dspi: Use max_native_cs instead of num_chipselect
      to set SPI_MCR
    - [arm64] RDMA/hns: Fix 0-length sge calculation error
    - [arm64] RDMA/hns: Bugfix for calculation of extended sge
    - soundwire: master: use pm_runtime_set_active() on add
    - [x86] platform/x86: dell-smbios-base: Fix error return code in
      dell_smbios_init
    - [x86] ASoC: Intel: Boards: tgl_max98373: update TDM slot_width
    - ath11k: Don't cast ath11k_skb_cb to ieee80211_tx_info.control
    - ath11k: Reset ath11k_skb_cb before setting new flags
    - ath11k: Fix an error handling path
    - ath10k: Fix the parsing error in service available event
    - ath10k: Fix an error handling path
    - ath10k: Release some resources in an error handling path
    - SUNRPC: rpc_wake_up() should wake up tasks in the correct order
    - NFSv4.2: condition READDIR's mask for security label based on LSM state
    - SUNRPC: xprt_load_transport() needs to support the netid "rdma6"
    - NFSv4: Fix the alignment of page data in the getdeviceinfo reply
    - net: sunrpc: Fix 'snprintf' return value check in 'do_xprt_debugfs'
    - lockd: don't use interval-based rebinding over TCP
    - NFS: switch nfsiod to be an UNBOUND workqueue.
    - vfio-pci: Use io_remap_pfn_range() for PCI IO memory
    - f2fs: fix double free of unicode map
    - media: tvp5150: Fix wrong return value of tvp5150_parse_dt()
    - media: saa7146: fix array overflow in vidioc_s_audio()
    - [powerpc*] perf: Fix crash with is_sier_available when pmu is not set
    - [powerpc*] 64: Fix an EMIT_BUG_ENTRY in head_64.S
    - [powerpc*] xmon: Fix build failure for 8xx
    - [powerpc*] perf: Fix to update radix_scope_qual in power10
    - [powerpc*] perf: Update the PMU group constraints for l2l3 events in
      power10
    - [powerpc*] perf: Fix the PMU group constraints for threshold events in
      power10
    - [armel,armhf] clocksource/drivers/orion: Add missing
      clk_disable_unprepare() on error path
    - [arm64] mte: fix prctl(PR_GET_TAGGED_ADDR_CTRL) if TCF0=NONE
    - bpf: Fix bpf_put_raw_tracepoint()'s use of __module_address()
    - [arm64,armhf] soc: rockchip: io-domain: Fix error return code in
      rockchip_iodomain_probe()
    - memstick: r592: Fix error return in r592_probe()
    - [mips64el] Don't round up kernel sections size for memblock_add()
    - mt76: dma: fix possible deadlock running mt76_dma_cleanup
    - net/mlx5: Properly convey driver version to firmware
    - mt76: fix memory leak if device probing fails
    - dm ioctl: fix error return code in target_message
    - [arm64] drm/msm: a5xx: Make preemption reset case reentrant
    - [arm64,armhf] clocksource/drivers/arm_arch_timer: Use stable count
      reader in erratum sne
    - [arm64,armhf] clocksource/drivers/arm_arch_timer: Correct fault
      programming of CNTKCTL_EL1.EVNTI
    - [m68k] macintosh/adb-iop: Always wait for reply message from IOP
    - [m68k] macintosh/adb-iop: Send correct poll command
    - Bluetooth: btusb: Add the missed release_firmware() in
      btusb_mtk_setup_firmware()
    - Bluetooth: btmtksdio: Add the missed release_firmware() in
      mtk_setup_firmware()
    - Bluetooth: sco: Fix crash when using BT_SNDMTU/BT_RCVMTU option
    - Bluetooth: btusb: Fix detection of some fake CSR controllers with a
      bcdDevice val of 0x0134
    - [x86] platform/x86: intel-vbtn: Fix SW_TABLET_MODE always reporting 1 on
      some HP x360 models
    - adm8211: fix error return code in adm8211_probe()
    - mtd: spi-nor: sst: fix BPn bits for the SST25VF064C
    - mtd: spi-nor: ignore errors in spi_nor_unlock_all()
    - mtd: spi-nor: atmel: remove global protection flag
    - mtd: spi-nor: atmel: fix unlock_all() for AT25FS010/040
    - [arm64] dts: meson: fix PHY deassert timing requirements
    - [armhf] dts: meson: fix PHY deassert timing requirements
    - [arm64] dts: meson: g12a: x96-max: fix PHY deassert timing requirements
    - [arm64] clk: fsl-sai: fix memory leak
    - scsi: qedi: Fix missing destroy_workqueue() on error in __qedi_probe
    - scsi: pm80xx: Fix error return in pm8001_pci_probe()
    - scsi: iscsi: Fix inappropriate use of put_device()
    - seq_buf: Avoid type mismatch for seq_buf_init
    - [x86] scsi: fnic: Fix error return code in fnic_probe()
    - [x86] platform/x86: mlx-platform: Fix item counter assignment for
      MSN2700, MSN24xx systems
    - [x86] platform/x86: mlx-platform: Fix item counter assignment for
      MSN2700/ComEx system
    - [armel,armhf] 9030/1: entry: omit FP emulation for UND exceptions taken
      in kernel mode
    - [powerpc*] pseries/hibernation: drop pseries_suspend_begin() from
      suspend ops
    - [powerpc*] pseries/hibernation: remove redundant cacheinfo update
    - [powerpc*] powermac: Fix low_sleep_handler with CONFIG_VMAP_STACK
    - [x86] ASoC: amd: change clk_get() to devm_clk_get() and add missed
      checks
    - [x86] ASoC: max98390: Fix error codes in max98390_dsm_init()
    - [powerpc*] mm: sanity_check_fault() should work for all, not only BOOK3S
    - [armhf] usb: ehci-omap: Fix PM disable depth umbalance in
      ehci_hcd_omap_probe
    - speakup: fix uninitialized flush_lock
    - nfsd: Fix message level for normal termination
    - NFSD: Fix 5 seconds delay when doing inter server copy
    - nfs_common: need lock during iterate through the list
    - [x86] kprobes: Restore BTF if the single-stepping is cancelled
    - scsi: qla2xxx: Fix FW initialization error on big endian machines
    - scsi: qla2xxx: Fix N2N and NVMe connect retry failure
    - [arm64,armhf] platform/chrome: cros_ec_spi: Don't overwrite spi::mode
    - [arm64] bus: fsl-mc: add back accidentally dropped error check
    - [arm64] bus: fsl-mc: fix error return code in fsl_mc_object_allocate()
    - [armhf] fsi: Aspeed: Add mutex to protect HW access
    - [s390x] cio: fix use-after-free in ccw_device_destroy_console
    - iwlwifi: dbg-tlv: fix old length in is_trig_data_contained()
    - iwlwifi: mvm: hook up missing RX handlers
    - erofs: avoid using generic_block_bmap
    - [powerpc*] sstep: Emulate prefixed instructions only when
      CPU_FTR_ARCH_31 is set
    - [powerpc*] sstep: Cover new VSX instructions under CONFIG_VSX
    - ALSA: hda/hdmi: fix silent stream for first playback to DP
    - RDMA/core: Do not indicate device ready when device enablement fails
    - RDMA/uverbs: Fix incorrect variable type
    - [arm64,armhf] clk: tegra: Fix duplicated SE clock entry
    - [armhf] mtd: rawnand: gpmi: fix reference count leak in gpmi ops
    - [armhf] mtd: rawnand: gpmi: Fix the random DMA timeout issue
    - samples/bpf: Fix possible hang in xdpsock with multiple threads
    - fs: Handle I_DONTCACHE in iput_final() instead of generic_drop_inode()
    - mac80211: don't set set TDLS STA bandwidth wider than possible
    - mac80211: fix a mistake check for rx_stats update
    - [arm64] irqchip/alpine-msi: Fix freeing of interrupts on allocation
      error path
    - [arm64] RDMA/hns: Limit the length of data copied between kernel and
      userspace
    - [arm64] RDMA/hns: Normalization the judgment of some features
    - [arm64] RDMA/hns: Do shift on traffic class when using RoCEv2
    - gpiolib: irq hooks: fix recursion in gpiochip_irq_unmask
    - ath11k: Fix incorrect tlvs in scan start command
    - watchdog: Fix potential dereferencing of null pointer
    - sunrpc: fix xs_read_xdr_buf for partial pages receive
    - RDMA/mlx5: Fix MR cache memory leak
    - RDMA/cma: Don't overwrite sgid_attr after device is released
    - [powerpc*] perf: Fix Threshold Event Counter Multiplier width for P10
    - [powerpc*] ps3: use dma_mapping_error()
    - mm/gup: reorganize internal_get_user_pages_fast()
    - mm/gup: prevent gup_fast from racing with COW during fork
    - mm/gup: combine put_compound_head() and unpin_user_page()
    - mm: memcg/slab: fix return of child memcg objcg for root memcg
    - mm: memcg/slab: fix use after free in obj_cgroup_charge
    - mm/rmap: always do TTU_IGNORE_ACCESS
    - [sparc64] fix handling of page table constructor failure
    - mm/vmalloc: Fix unlock order in s_stop()
    - mm/vmalloc.c: fix kasan shadow poisoning size
    - mm,memory_failure: always pin the page in madvise_inject_error
    - hugetlb: fix an error code in hugetlb_reserve_pages()
    - mm: don't wake kswapd prematurely when watermark boosting is disabled
    - proc: fix lookup in /proc/net subdirectories after setns(2)
    - lan743x: fix rx_napi_poll/interrupt ping-pong
    - ice, xsk: clear the status bits for the next_to_use descriptor
    - i40e, xsk: clear the status bits for the next_to_use descriptor
    - [arm64] dpaa2-eth: fix the size of the mapped SGT buffer
    - [arm64] net: bcmgenet: Fix a resource leak in an error handling path in
      the probe functin
    - [armhf] net: allwinner: Fix some resources leak in the error handling
      path of the probe and in the remove function
    - NFS/pNFS: Fix a typo in ff_layout_resend_pnfs_read()
    - devlink: use _BITUL() macro instead of BIT() in the UAPI header
    - libnvdimm/label: Return -ENXIO for no slot in __blk_label_update
    - [powerpc*] 32s: Fix cleanup_cpu_mmu_context() compile bug
    - [arm64] watchdog: qcom: Avoid context switch in restart handler
    - [armhf] clk: ti: Fix memleak in ti_fapll_synth_setup
    - [armhf] pwm: imx27: Fix overflow for bigger periods
    - [arm64,armhf] pwm: sun4i: Remove erroneous else branch
    - io_uring: cancel only requests of current task
    - perf record: Fix memory leak when using '--user-regs=?' to list
      registers
    - qlcnic: Fix error code in probe
    - nfp: move indirect block cleanup to flower app stop callback
    - virtio_ring: Cut and paste bugs in vring_create_virtqueue_packed()
    - virtio_net: Fix error code in probe()
    - virtio_ring: Fix two use after free bugs
    - vhost scsi: fix error return code in vhost_scsi_set_endpoint()
    - epoll: check for events when removing a timed out thread from the wait
      queue
    - [arm*] clk: bcm: dvp: Add MODULE_DEVICE_TABLE()
    - [armhf] clk: s2mps11: Fix a resource leak in error handling paths in the
      probe function
    - [arm64,armhf] clk: sunxi-ng: Make sure divider tables have sentinel
    - [powerpc*] smp: Add __init to init_big_cores()
    - [armel,armhf] 9044/1: vfp: use undef hook for VFP support detection
    - [armel,armhf] 9036/1: uncompress: Fix dbgadtb size parameter name
    - perf probe: Fix memory leak when synthesizing SDT probes
    - io_uring: fix racy IOPOLL flush overflow
    - io_uring: cancel reqs shouldn't kill overflow list
    - proc mountinfo: make splice available again
    - io_uring: fix io_cqring_events()'s noflush
    - io_uring: fix racy IOPOLL completions
    - io_uring: always let io_iopoll_complete() complete polled io
    - vfio/pci: Move dummy_resources_list init in vfio_pci_probe()
    - media: gspca: Fix memory leak in probe
    - io_uring: fix io_wqe->work_list corruption
    - io_uring: fix 0-iov read buffer select
    - io_uring: hold uring_lock while completing failed polled io in
      io_wq_submit_work()
    - io_uring: fix ignoring xa_store errors
    - io_uring: fix double io_uring free
    - io_uring: make ctx cancel on exit targeted to actual ctx
    - [armhf] media: sunxi-cir: ensure IR is handled when it is continuous
    - media: netup_unidvb: Don't leak SPI master in probe error path
    - [x86] Input: cyapa_gen6 - fix out-of-bounds stack access
    - ALSA: hda/ca0132 - Change Input Source enum strings.
    - [amd64,arm64] ACPI: NFIT: Fix input validation of bus-family
    - PM: ACPI: PCI: Drop acpi_pm_set_bridge_wakeup()
    - Revert "ACPI / resources: Use AE_CTRL_TERMINATE to terminate resources
      walks"
    - ACPI: PNP: compare the string length in the matching_id()
    - ALSA: hda: Fix regressions on clear and reconfig sysfs
    - ALSA: hda/ca0132 - Fix AE-5 rear headphone pincfg.
    - ALSA: hda/realtek: make bass spk volume adjustable on a yoga laptop
    - ALSA: hda/realtek - Enable headset mic of ASUS X430UN with ALC256
    - ALSA: hda/realtek - Enable headset mic of ASUS Q524UQK with ALC255
    - ALSA: hda/realtek - Add supported for more Lenovo ALC285 Headset Button
    - ALSA: pcm: oss: Fix a few more UBSAN fixes
    - ALSA/hda: apply jack fixup for the Acer Veriton N4640G/N6640G/N2510G
    - ALSA: hda/realtek: Add quirk for MSI-GP73
    - ALSA: hda/realtek: Apply jack fixup for Quanta NL3
    - ALSA: hda/realtek: Remove dummy lineout on Acer TravelMate P648/P658
    - ALSA: hda/realtek - Supported Dell fixed type headset
    - ALSA: usb-audio: Add VID to support native DSD reproduction on FiiO
      devices
    - ALSA: usb-audio: Disable sample read check if firmware doesn't give back
    - ALSA: usb-audio: Add alias entry for ASUS PRIME TRX40 PRO-S
    - ALSA: core: memalloc: add page alignment for iram
    - [s390x] smp: perform initial CPU reset also for SMT siblings
    - [s390x] idle: add missing mt_cycles calculation
    - [s390x] idle: fix accounting with machine checks
    - [s390x] dasd: fix hanging device offline processing
    - [s390x] dasd: prevent inconsistent LCU device data
    - [s390x] dasd: fix list corruption of pavgroup group list
    - [s390x] dasd: fix list corruption of lcu list
    - binder: add flag to clear buffer on txn complete
    - [x86] ASoC: cx2072x: Fix doubly definitions of Playback and Capture
      streams
    - [amd64] ASoC: AMD Renoir - add DMI table to avoid the ACP mic probe
      (broken BIOS)
    - [amd64] ASoC: AMD Raven/Renoir - fix the PCI probe (PCI revision)
    - [x86] staging: comedi: mf6x4: Fix AI end-of-conversion detection
    - z3fold: simplify freeing slots
    - z3fold: stricter locking and more careful reclaim
    - [x86] perf/x86/intel: Add event constraint for
      CYCLE_ACTIVITY.STALLS_MEM_ANY
    - [x86] perf/x86/intel: Fix rtm_abort_event encoding on Ice Lake
    - [x86] perf/x86/intel/lbr: Fix the return type of get_lbr_cycles()
    - [powerpc*] perf: Exclude kernel samples while counting events in user
      space.
    - [x86] cpufreq: intel_pstate: Use most recent guaranteed performance
      values
    - crypto: ecdh - avoid unaligned accesses in ecdh_set_secret()
    - [x86] EDAC/amd64: Fix PCI component registration
    - cpuset: fix race between hotplug work and later CPU offline
    - dyndbg: fix use before null check
    - USB: serial: mos7720: fix parallel-port state restore
    - USB: serial: digi_acceleport: fix write-wakeup deadlocks
    - USB: serial: keyspan_pda: fix dropped unthrottle interrupts
    - USB: serial: keyspan_pda: fix write deadlock
    - USB: serial: keyspan_pda: fix stalled writes
    - USB: serial: keyspan_pda: fix write-wakeup use-after-free
    - USB: serial: keyspan_pda: fix tx-unthrottle use-after-free
    - USB: serial: keyspan_pda: fix write unthrottling
    - btrfs: do not shorten unpin len for caching block groups
    - btrfs: update last_byte_to_unpin in switch_commit_roots
    - btrfs: fix race when defragmenting leads to unnecessary IO
    - ext4: fix an IS_ERR() vs NULL check
    - ext4: fix a memory leak of ext4_free_data
    - ext4: fix deadlock with fs freezing and EA inodes
    - ext4: don't remount read-only with errors=continue on reboot
    - [riscv64] Fix usage of memblock_enforce_memory_limit
    - [arm64] KVM: Introduce handling of AArch32 TTBCR2 traps
    - [x86] KVM: reinstate vendor-agnostic check on SPEC_CTRL cpuid bits
    - [x86] KVM: SVM: Remove the call to sev_platform_status() during setup
    - [arm64,armhf] iommu/arm-smmu: Allow implementation specific write_s2cr
    - [arm64,armhf] iommu/arm-smmu-qcom: Read back stream mappings
    - [arm64,armhf] iommu/arm-smmu-qcom: Implement S2CR quirk
    - [armhf] dts: pandaboard: fix pinmux for gpio user button of Pandaboard
      ES
    - xprtrdma: Fix XDRBUF_SPARSE_PAGES support
    - [powerpc*] 32: Fix vmap stack - Properly set r1 before activating MMU on
      syscall too
    - [powerpc*] Fix incorrect stw{, ux, u, x} instructions in __set_pte_at
    - [powerpc*] rtas: Fix typo of ibm,open-errinjct in RTAS filter
    - [powerpc*] bitops: Fix possible undefined behaviour with fls() and
      fls64()
    - [powerpc*] feature: Add CPU_FTR_NOEXECUTE to G2_LE
    - [powerpc*] xmon: Change printk() to pr_cont()
    - [powerpc*] 8xx: Fix early debug when SMC1 is relocated
    - [powerpc*] mm: Fix verification of MMU_FTR_TYPE_44x
    - [powerpc*] powernv/npu: Do not attempt NPU2 setup on POWER8NVL NPU
    - [powerpc*] powernv/memtrace: Don't leak kernel memory to user space
    - [powerpc*] powernv/memtrace: Fix crashing the kernel when enabling
      concurrently
    - ovl: make ioctl() safe
    - ceph: fix race in concurrent __ceph_remove_cap invocations
    - SMB3: avoid confusing warning message on mount to Azure
    - SMB3.1.1: remove confusing mount warning when no SPNEGO info on negprot
      rsp
    - SMB3.1.1: do not log warning message if server doesn't populate salt
    - ubifs: wbuf: Don't leak kernel memory to flash
    - jffs2: Fix GC exit abnormally
    - jffs2: Fix ignoring mounting options problem during remounting
    - fsnotify: generalize handle_inode_event()
    - inotify: convert to handle_inode_event() interface
    - fsnotify: fix events reported to watching parent and child
    - jfs: Fix array index bounds check in dbAdjTree (CVE-2020-27815)
    - [arm64,armhf] drm/panfrost: Fix job timeout handling
    - [arm64,armhf] drm/panfrost: Move the GPU reset bits outside the timeout
      handler
    - [x86] platform/x86: mlx-platform: remove an unused variable
    - drm/dp_aux_dev: check aux_dev before use in
      drm_dp_aux_dev_get_by_minor()
    - [x86] drm/i915: Fix mismatch between misplaced vma check and vma insert
    - iio: ad_sigma_delta: Don't put SPI transfer buffer on the stack
    - [arm64,armhf] spi: pxa2xx: Fix use-after-free on unbind
    - [armhf] spi: gpio: Don't leak SPI master in probe error path
    - [armel] mtd: parser: cmdline: Fix parsing of part-names with colons
    - mtd: core: Fix refcounting for unpartitioned MTDs
    - scsi: qla2xxx: Fix crash during driver load on big endian machines
    - scsi: lpfc: Fix invalid sleeping context in lpfc_sli4_nvmet_alloc()
    - scsi: lpfc: Fix scheduling call while in softirq context in
      lpfc_unreg_rpi
    - scsi: lpfc: Re-fix use after free in lpfc_rq_buf_free()
    - openat2: reject RESOLVE_BENEATH|RESOLVE_IN_ROOT
    - iio: buffer: Fix demux update
    - iio: imu: st_lsm6dsx: fix edge-trigger interrupts
    - iio:light:rpr0521: Fix timestamp alignment and prevent data leak.
    - iio:light:st_uvis25: Fix timestamp alignment and prevent data leak.
    - iio:magnetometer:mag3110: Fix alignment and data leak issues.
    - iio:pressure:mpl3115: Force alignment of buffer
    - iio:imu:bmi160: Fix too large a buffer.
    - iio:imu:bmi160: Fix alignment and data leak issues
    - md/cluster: block reshape with remote resync job
    - md/cluster: fix deadlock when node is doing resync job
    - [arm64,armhf] pinctrl: sunxi: Always call chained_irq_{enter, exit} in
      sunxi_pinctrl_irq_handler
    - [arm64] clk: mvebu: a3700: fix the XTAL MODE pin to MPP1_9
    - [arm64,armhf] clk: tegra: Do not return 0 on failure
    - device-dax/core: Fix memory leak when rmmod dax.ko
    - dma-buf/dma-resv: Respect num_fences when initializing the shared fence
      list.
    - driver: core: Fix list corruption after device_del()
    - libnvdimm/namespace: Fix reaping of invalidated block-window-namespace
      labels
    - [x86] platform/x86: intel-vbtn: Allow switch events on Acer Switch Alpha
      12
    - tracing: Disable ftrace selftests when any tracer is running
    - mt76: add back the SUPPORTS_REORDERING_BUFFER flag
    - PCI: Fix pci_slot_release() NULL pointer dereference
    - [arm64,armhf] regulator: axp20x: Fix DLDO2 voltage control register mask
      for AXP22x
    - [arm*] thermal/drivers/cpufreq_cooling: Update cpufreq_state only if
      state has changed
    - null_blk: Fix zone size initialization
    - null_blk: Fail zone append to conventional zones
    - drm/edid: fix objtool warning in drm_cvt_modes()
    - [x86] CPU/AMD: Save AMD NodeId as cpu_die_id

  [ Uwe Kleine-König ]
  * [armhf] Enable VIDEO_CODA and VIDEO_IMX_PXP for i.MX6 platforms

  [ Vincent Blut ]
  * [x86] Enable SND_SOC_INTEL_USER_FRIENDLY_LONG_NAMES. (Closes: #976791)

  [ Salvatore Bonaccorso ]
  * [rt] Drop "z3fold: simplify freeing slots"
  * [rt] Drop "z3fold: stricter locking and more careful reclaim"
  * [rt] Refresh "sched: Move mmdrop to RCU on RT"
  * Set ABI to 1

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 31 Dec 2020 07:26:43 +0100

linux (5.10.2-1~exp1) experimental; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.2
    - ptrace: Prevent kernel-infoleak in ptrace_get_syscall_info()
    - USB: legotower: fix logical error in recent commit
    - USB: add RESET_RESUME quirk for Snapscan 1212
    - ALSA: usb-audio: Fix potential out-of-bounds shift
    - ALSA: usb-audio: Fix control 'access overflow' errors from chmap
    - xhci: Give USB2 ports time to enter U3 in bus suspend
    - usb: xhci: Set quirk for XHCI_SG_TRB_CACHE_SIZE_QUIRK
    - xhci-pci: Allow host runtime PM as default for Intel Alpine Ridge LP
    - xhci-pci: Allow host runtime PM as default for Intel Maple Ridge xHCI
    - USB: UAS: introduce a quirk to set no_write_same
    - ALSA: pcm: oss: Fix potential out-of-bounds shift

  [ Salvatore Bonaccorso ]
  * [rt] Update to 5.10.1-rt20
  * Revert "Generate BTF debug info" (fixes FTBFS on 32bit architectures)
    (Reopen: #973870) (Cf. #977715)
  * Enable USB_DUMMY_HCD as module (Closes: #868771)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Dec 2020 22:22:59 +0100

linux (5.10.1-1~exp1) experimental; urgency=medium

  * New upstream release: https://kernelnewbies.org/Linux_5.10
  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.1

  [ Salvatore Bonaccorso ]
  * [rt] Update to 5.10-rt17

  [ Ben Hutchings ]
  * userns: Enable unprivileged user namespaces by default (Closes: #898446)
    (sysctl: kernel.unprivileged_userns_clone)

  [ Bastian Blank ]
  * Enable all Industrial I/O accelerometers. (closes: #975572)
  * Enable all Industrial I/O ADC.
  * Enable all Industrial I/O DAC.
  * Enable all Industrial I/O digital gyroscopes.
  * Enable all Industrial I/O IMU.
  * Enable all Industrial I/O light sensors.
  * Enable all Industrial I/O magnetometers.
  * Enable all Industrial I/O pressure sensors.
  * Enable all Industrial I/O proximity sensors.
  * Enable all Industrial I/O temperatur sensors.
  * Enable BT_LEDS.
  * Enable remaining LEDS_TRIGGER_*.
  * Enable ZONEFS_FS.
  * Gemerate BTF debug info: (closes: #973870)
    - Enable DEBUG_INFO_BTF.
    - Build-depend on dwarves.
  * [amd64] Support high CPU counts:
    - Set MAXSMP.
    - Remove not longer modifiable NR_CPUS.
  * [armel/marvell] Disable uncompressed size check.
  * [x86] Enable INTEL_TXT. (closes: #960195)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 Dec 2020 10:06:31 +0100

linux (5.10~rc7-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Vincent Blut ]
  * net/sched: Enable NET_SCH_ETS and NET_SCH_FQ_PIE as modules.

  [ Bastian Blank ]
  * Enable SOUNDWIRE, SOUNDWIRE_INTEL, SOUNDWIRE_QCOM.
  * Enable SND_SOC_RT700_SDW, SND_SOC_RT711_SDW, SND_SOC_RT715_SDW.
    (closes: #976791)
  * [x86] Enable SND_SOC_SOF_INTEL_SOUNDWIRE_LINK.
  * [x86] Enable SND_SOC_SOF_COMETLAKE_LP_SUPPORT,
    SND_SOC_SOF_ELKHARTLAKE_SUPPORT, SND_SOC_SOF_JASPERLAKE_SUPPORT.
  * [cloud] Disable some further filesystems. (closes: #977005)
  * [cloud] Disable NET_VENDOR_MICROCHIP.
  * [cloud] Disable ICE, IGC.
  * [amd64] Make GVE module.
  * [x86] Enable X86_CPU_RESCTRL.
  * [amd64/cloud] Disable INFINIBAND_USNIC.
  * Enable PSTORE_BLK.
  * Set SQUASHFS_FILE_DIRECT, SQUASHFS_DECOMP_MULTI_PERCPU.
  * Disable EFI_VARS.
  * [x86] Enable APPLE_PROPERTIES.
  * Enable CRYPTO_ECRDSA, CRYPTO_CURVE25519, disable CRYPTO_SM2.
  * Enable CRYPTO_CFB, CRYPTO_OFB, CRYPTO_KEYWRAP, CRYPTO_ADIANTUM.
  * Enable CRYPTO_BLAKE2S, disable CRYPTO_SM3.
  * Enable CRYPTO_AES_TI, disable CRYPTO_SM4.
  * Enable CRYPTO_DRBG_HASH, CRYPTO_DRBG_CTR.
  * Enable SND_SOC_MAX98373_SDW, SND_SOC_RT1308_SDW, SND_SOC_RT5682_SDW.
  * Enable SND_SOC_INTEL_SOUNDWIRE_SOF_MACH.
  * Enable ATH11K. (closes: #977004)
  * [arm64] Enable most accelerated crypto modules. (closes: #976635)
  * [s390x] Disable IIO.
  * Enable BLK_CGROUP_IOCOST.
  * Enable CGROUP_HUGETLB.

  [ Ben Hutchings ]
  * Fix missing module.lds for building out-of-tree modules (Closes: #975571)
    - debian/rules.real: Install module.lds under arch directory
    - kbuild: Look for module.lds under arch directory too

 -- Bastian Blank <waldi@debian.org>  Fri, 11 Dec 2020 11:16:29 +0100

linux (5.10~rc6-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Romain Perier ]
  * Enable F2FS compression support (Closes: #969139)

  [ Uwe Kleine-König ]
  * [arm64] Enable support for Kontron's sl28cpld Board Management Controller
  * [arm64] Enable support for NXP's PCF85063 RTC (Closes: #972345)

  [ Salvatore Bonaccorso ]
  * udeb: Remove efivars from efi-modules.
  * [rt] Update to 5.10-rc6-rt13

  [ Aurelien Jarno ]
  * [mips*] Increase RELOCATION_TABLE_SIZE to 0x180000.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Dec 2020 15:42:50 +0100

linux (5.10~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Uwe Kleine-König ]
  * enable support for ISO 15765-2:2016 CAN (CAN_ISOTP)

  [ YunQiang Su ]
  * [mips/loongson-3]: enable some new features for 3A 4000
    - VIRTUALIZATION/KVM
    - HOTPLUG_PCI
    - RTC based on GOLDFISH
    - ieee754 to relaxed mode

  [ Madhu Adav M J ]
  * nvme: Enable NVME_TCP and NVME_TARGET_TCP as modules (Closes: #961573)

  [ Ben Hutchings ]
  * Rewrite "MODSIGN: load blacklist from MOKx" for 5.10
  * Revert "lockdown: Refer to Debian wiki until manual page exists";
    the page was added in man-pages 5.09

  [ Salvatore Bonaccorso ]
  * [rt] Update to 5.10-rc4-rt8
  * linux-cpupower: Add librt to turbostat linker flags

  [ Nicolas Dandrimont ]
  * udeb: add bonding driver to nic-modules

 -- Ben Hutchings <benh@debian.org>  Thu, 19 Nov 2020 12:58:26 +0000

linux (5.9.15-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.12
    - io_uring: get an active ref_node from files_data
    - io_uring: order refnode recycling
    - [arm*] spi: bcm2835: Fix use-after-free on unbind
    - ipv4: use IS_ENABLED instead of ifdef
    - [amd64] IB/hfi1: Ensure correct mm is used at all times (CVE-2020-27835)
    - RDMA/i40iw: Address an mmap handler exploit in i40iw
    - btrfs: fix missing delalloc new bit for new delalloc ranges
    - btrfs: tree-checker: add missing return after error in root_item
    - btrfs: tree-checker: add missing returns after data_ref alignment checks
    - btrfs: don't access possibly stale fs_info data for printing duplicate
      device
    - btrfs: fix lockdep splat when reading qgroup config on mount
    - [arm64] rtc: pcf2127: fix a bug when not specify interrupts property
    - [s390x] fix fpu restore in entry.S
    - mm: fix VM_BUG_ON(PageTail) and BUG_ON(PageWriteback)
    - smb3: Call cifs reconnect from demultiplex thread
    - smb3: Avoid Mid pending list corruption
    - smb3: Handle error case during offload read path
    - cifs: fix a memleak with modefromsid
    - [powerpc*] KVM: PPC: Book3S HV: XIVE: Fix possible oops when accessing
      ESB page
    - [arm64] KVM: vgic-v3: Drop the reporting of GICR_TYPER.Last for
      userspace
    - [x86] KVM: x86: handle !lapic_in_kernel case in kvm_cpu_*_extint
    - [x86] KVM: x86: Fix split-irqchip vs interrupt injection window request
    - [amd64] iommu/vt-d: Don't read VCCAP register unless it exists
    - [arm64] firmware: xilinx: Use hash-table for api feature check
    - drm/amdgpu: fix SI UVD firmware validate resume fail
    - io_uring: fix ITER_BVEC check
    - trace: fix potenial dangerous pointer
    - [arm64] pgtable: Fix pte_accessible()
    - [arm64] pgtable: Ensure dirty bit is preserved across pte_wrprotect()
    - drm/amdgpu: fix a page fault
    - drm/amdgpu: update golden setting for sienna_cichlid
    - drm/amd/amdgpu: fix null pointer in runtime pm
    - HID: uclogic: Add ID for Trust Flex Design Tablet
    - HID: ite: Replace ABS_MISC 120/121 events with touchpad on/off
      keypresses
    - HID: cypress: Support Varmilo Keyboards' media hotkeys
    - HID: add support for Sega Saturn
    - Input: i8042 - allow insmod to succeed on devices without an i8042
      controller
    - HID: hid-sensor-hub: Fix issue with devices with no report ID
    - HID: add HID_QUIRK_INCREMENT_USAGE_ON_DUPLICATE for Gamevice devices
    - [x86] xen: don't unbind uninitialized lock_kicker_irq
    - HID: logitech-hidpp: Add HIDPP_CONSUMER_VENDOR_KEYS quirk for the Dinovo
      Edge
    - HID: Add Logitech Dinovo Edge battery quirk
    - proc: don't allow async path resolution of /proc/self components
    - nvme: free sq/cq dbbuf pointers when dbbuf set fails
    - io_uring: handle -EOPNOTSUPP on path resolution
    - [arm64,armhf] net: stmmac: dwmac_lib: enlarge dma reset timeout
    - vhost: add helper to check if a vq has been setup
    - vhost scsi: alloc cmds per vq instead of session
    - vhost scsi: fix cmd completion race
    - [arm64,armhf] dmaengine: pl330: _prep_dma_memcpy: Fix wrong burst size
    - scsi: libiscsi: Fix NOP race condition
    - scsi: target: iscsi: Fix cmd abort fabric stop race
    - lockdep: Put graph lock/unlock under lock_recursion protection
    - [x86] perf/x86: fix sysfs type mismatches
    - [x86] dumpstack: Do not try to access user space code of other tasks
    - [arm64,armhf] net: dsa: mv88e6xxx: Wait for EEPROM done after HW reset
    - [armhf] bus: ti-sysc: Fix reset status check for modules with quirks
    - [armhf] bus: ti-sysc: Fix bogus resetdone warning on enable for cpsw
    - [arm64,armhf] phy: tegra: xusb: Fix dangling pointer on probe failure
    - iwlwifi: mvm: use the HOT_SPOT_CMD to cancel an AUX ROC
    - iwlwifi: mvm: properly cancel a session protection for P2P
    - iwlwifi: mvm: write queue_sync_state only for sync
    - [s390x] KVM: pv: Mark mm as protected after the set secure parameters
      and improve cleanup
    - [s390x] KVM: remove diag318 reset code
    - btrfs: qgroup: don't commit transaction when we already hold the handle
    - arch: pgtable: define MAX_POSSIBLE_PHYSMEM_BITS where needed
    - [armhf] bus: ti-sysc: suppress err msg for timers used as
      clockevent/source
    - scsi: ufs: Fix race between shutdown and runtime resume flow
    - bnxt_en: fix error return code in bnxt_init_one()
    - bnxt_en: fix error return code in bnxt_init_board()
    - [x86] video: hyperv_fb: Fix the cache type when mapping the VRAM
    - bnxt_en: Release PCI regions when DMA mask setup fails during probe.
    - cxgb4: fix the panic caused by non smac rewrite
    - [s390x] qeth: make af_iucv TX notification call more robust
    - [s390x] qeth: fix af_iucv notification race
    - [s390x] qeth: fix tear down of async TX buffers
    - bonding: wait for sysfs kobject destruction before freeing struct slave
    - [powerpc*] 64s: Fix allnoconfig build since uaccess flush
    - iommu: Check return of __iommu_attach_device()
    - IB/mthca: fix return value of error branch in mthca_init_cq()
    - i40e: Fix removing driver while bare-metal VFs pass traffic
    - [arm64] firmware: xilinx: Fix SD DLL node reset issue
    - [armhf] spi: imx: fix the unbalanced spi runtime pm management
    - io_uring: fix shift-out-of-bounds when round up cq size
    - [amd64,arm64] aquantia: Remove the build_skb path
    - net: ena: handle bad request id in ena_netdev
    - net: ena: set initial DMA width to avoid intel iommu issue
    - net: ena: fix packet's addresses for rx_offset feature
    - [arm64] optee: add writeback to valid memory type
    - efi/efivars: Set generic ops before loading SSDT
    - efivarfs: revert "fix memory leak in efivarfs_create()"
      (Closes:  #977048)
    - efi: EFI_EARLYCON should depend on EFI
    - [riscv64] Add missing jump label initialization
    - [riscv64] fix barrier() use in <vdso/processor.h>
    - [arm64,armhf] net: stmmac: fix incorrect merge of patch upstream
    - [arm64] enetc: Let the hardware auto-advance the taprio base-time of 0
    - drm/nouveau: fix relocations applying logic and a double-free
    - can: gs_usb: fix endianess problem with candleLight firmware
    - [x86] platform/x86: thinkpad_acpi: Send tablet mode switch at wakeup
      time
    - [x86] platform/x86: toshiba_acpi: Fix the wrong variable assignment
    - [arm64] RDMA/hns: Fix retry_cnt and rnr_cnt when querying QP
    - [arm64] RDMA/hns: Bugfix for memory window mtpt configuration
    - perf record: Synthesize cgroup events only if needed
    - perf stat: Use proper cpu for shadow stats
    - perf probe: Fix to die_entrypc() returns error correctly
    - [arm*] spi: bcm2835aux: Restore err assignment in bcm2835aux_spi_probe
    - USB: core: Change %pK for __user pointers to %px
    - usb: gadget: f_midi: Fix memleak in f_midi_alloc
    - USB: core: Fix regression in Hercules audio card
    - USB: quirks: Add USB_QUIRK_DISCONNECT_SUSPEND quirk for Lenovo A630Z TIO
      built-in usb-audio card
    - usb: gadget: Fix memleak in gadgetfs_fill_super
    - [arm64] irqchip/exiu: Fix the index of fwspec for IRQ type
    - [x86] mce: Do not overwrite no_way_out if mce_end() fails
    - [x86] speculation: Fix prctl() when spectre_v2_user={seccomp,prctl},ibpb
    - drm/amdgpu: add rlc iram and dram firmware support
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.13
    - devlink: Hold rtnl lock while reading netdev attributes
    - devlink: Make sure devlink instance and port are in same net namespace
    - ipv6: addrlabel: fix possible memory leak in ip6addrlbl_net_init
    - [s390x] net/af_iucv: set correct sk_protocol for child sockets
    - net: openvswitch: fix TTL decrement action netlink message format
    - rose: Fix Null pointer dereference in rose_send_frame()
    - sock: set sk_err to ee_errno on dequeue from errq
    - tcp: Set INET_ECN_xmit configuration in tcp_reinit_congestion_control
    - tun: honor IOCB_NOWAIT flag
    - vsock/virtio: discard packets only when socket is really closed
    - net/packet: fix packet receive on L3 devices without visible hard header
    - netfilter: bridge: reset skb->pkt_type after NF_INET_POST_ROUTING
      traversal
    - ipv4: Fix tos mask in inet_rtm_getroute()
    - dt-bindings: net: correct interrupt flags in examples
    - tipc: fix incompatible mtu of transmission
    - inet_ecn: Fix endianness of checksum update when setting ECT(1)
    - geneve: pull IP header before ECN decapsulation
    - net: ip6_gre: set dev->hard_header_len when using header_ops
    - cxgb3: fix error return code in t3_sge_alloc_qset()
    - [powerpc*] net: pasemi: fix error return code in pasemi_mac_open()
    - vxlan: fix error return code in __vxlan_dev_create()
    - [arm64,armhf] net: mvpp2: Fix error return code in mvpp2_open()
    - net: skbuff: ensure LSE is pullable before decrementing the MPLS ttl
    - net: openvswitch: ensure LSE is pullable before reading it
    - net/mlx5: DR, Proper handling of unsupported Connect-X6DX SW steering
    - net/mlx5: Fix wrong address reclaim when command interface is down
    - net: mlx5e: fix fs_tcp.c build when IPV6 is not enabled
    - ALSA: usb-audio: US16x08: fix value count for level meters
    - Input: xpad - support Ardwiino Controllers
    - Input: i8042 - add ByteSpeed touchpad to noloop table
    - Input: atmel_mxt_ts - fix lost interrupts
    - tracing: Fix alignment of static buffer
    - tracing: Remove WARN_ON in start_thread()
    - uapi: fix statx attribute value overlap for DAX & MOUNT_ROOT
    - [x86] drm/i915/gt: Fixup tgl mocs for PTE tracking
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.14
    - usb: gadget: f_fs: Use local copy of descriptors for userspace copy
    - USB: serial: kl5kusb105: fix memleak on open
    - USB: serial: ch341: add new Product ID for CH341A
    - USB: serial: ch341: sort device-id entries
    - USB: serial: option: add Fibocom NL668 variants
    - USB: serial: option: add support for Thales Cinterion EXS82
    - USB: serial: option: fix Quectel BG96 matching
    - tty: Fix ->pgrp locking in tiocspgrp() (CVE-2020-29661)
    - tty: Fix ->session locking (CVE-2020-29660)
    - speakup: Reject setting the speakup line discipline outside of speakup
      (CVE-2020-27830)
    - ALSA: hda/realtek: Fix bass speaker DAC assignment on Asus Zephyrus G14
    - ALSA: hda/realtek: Add mute LED quirk to yet another HP x360 model
    - ALSA: hda/realtek: Enable headset of ASUS UX482EG & B9400CEA with ALC294
    - ALSA: hda/realtek - Add new codec supported for ALC897
    - ALSA: hda/realtek - Fixed Dell AIO wrong sound tone
    - ALSA: hda/generic: Add option to enforce preferred_dacs pairs
    - ring-buffer: Update write stamp with the correct ts
    - ring-buffer: Set the right timestamp in the slow path of
      __rb_reserve_next()
    - ring-buffer: Always check to put back before stamp when crossing pages
    - ftrace: Fix updating FTRACE_FL_TRAMP
    - ftrace: Fix DYNAMIC_FTRACE_WITH_DIRECT_CALLS dependency
    - cifs: allow syscalls to be restarted in __smb_send_rqst()
    - cifs: fix potential use-after-free in cifs_echo_request()
    - cifs: refactor create_sd_buf() and and avoid corrupting the buffer
    - cifs: add NULL check for ses->tcon_ipc
    - gfs2: Upgrade shared glocks for atime updates
    - gfs2: Fix deadlock between gfs2_{create_inode,inode_lookup} and
      delete_work_func
    - [s390x] pci: fix CPU address in MSI for directed IRQ
    - [arm64,armhf] i2c: imx: Fix reset of I2SR_IAL flag
    - [arm64,armhf] i2c: imx: Check for I2SR_IAL after every byte
    - [arm64,armhf] i2c: imx: Don't generate STOP condition if arbitration has
      been lost
    - tracing: Fix userstacktrace option for instances
    - [x86] thunderbolt: Fix use-after-free in remove_unplugged_switch()
    - [armhf] drm/omap: sdi: fix bridge enable/disable
    - drm/amdgpu/vcn3.0: stall DPG when WPTR/RPTR reset
    - drm/amdgpu/vcn3.0: remove old DPG workaround
    - [x86] drm/i915/gt: Retain default context state across shrinking
    - [x86] drm/i915/gt: Limit frequency drop to RPe on parking
    - [x86] drm/i915/gt: Program mocs:63 for cache eviction on gen9
    - [powerpc*] KVM: PPC: Book3S HV: XIVE: Fix vCPU id sanity check
    - scsi: mpt3sas: Fix ioctl timeout
    - io_uring: fix recvmsg setup with compat buf-select
    - dm writecache: advance the number of arguments when reporting max_age
    - dm writecache: fix the maximum number of arguments
    - [powerpc*] 64s/powernv: Fix memory corruption when saving SLB entries on
      MCE
    - genirq/irqdomain: Add an irq_create_mapping_affinity() function
    - [powerpc*] pseries: Pass MSI affinity to irq_create_mapping()
    - dm: fix bug with RCU locking in dm_blk_report_zones
    - dm: fix double RCU unlock in dm_dax_zero_page_range() error path
    - dm: remove invalid sparse __acquires and __releases annotations
    - [x86] uprobes: Do not use prefixes.nbytes when looping over
      prefixes.bytes
    - coredump: fix core_pattern parse error
    - mm: list_lru: set shrinker map bit when child nr_items is not zero
    - mm/swapfile: do not sleep with a spin lock held
    - hugetlb_cgroup: fix offline of hugetlb cgroup with reservations
    - Revert "amd/amdgpu: Disable VCN DPG mode for Picasso"
    - iommu/amd: Set DTE[IntTabLen] to represent 512 IRTEs
    - mm: memcg/slab: fix obj_cgroup_charge() return value handling
    - lib/syscall: fix syscall registers retrieval on 32-bit platforms
      (CVE-2020-28588)
    - can: af_can: can_rx_unregister(): remove WARN() statement from list
      operation sanity check
    - gfs2: check for empty rgrp tree in gfs2_ri_update
    - netfilter: ipset: prevent uninit-value in hash_ip6_add
    - tipc: fix a deadlock when flushing scheduled work
    - gfs2: Fix deadlock dumping resource group glocks
    - gfs2: Don't freeze the file system during unmount
    - rtw88: debug: Fix uninitialized memory in debugfs code
    - [arm64] i2c: qup: Fix error return code in qup_i2c_bam_schedule_desc()
    - dm writecache: remove BUG() and fail gracefully instead
    - Input: i8042 - fix error return code in i8042_setup_aux()
    - netfilter: nf_tables: avoid false-postive lockdep splat
    - netfilter: nftables_offload: set address type in control dissector
    - netfilter: nftables_offload: build mask based from the matching bytes
    - [x86] insn-eval: Use new for_each_insn_prefix() macro to loop over
      prefixes bytes
    - Revert "geneve: pull IP header before ECN decapsulation"
    - bpf: Fix propagation of 32-bit signed bounds from 64-bit bounds.
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.15
    - mm/zsmalloc.c: drop ZSMALLOC_PGTABLE_MAPPING
    - kprobes: Remove NMI context check
    - kprobes: Tell lockdep about kprobe nesting
    - [x86] ASoC: Intel: bytcr_rt5640: Fix HP Pavilion x2 Detachable quirks
    - net, xsk: Avoid taking multiple skbuff references
    - bpftool: Fix error return value in build_btf_type_table
    - [powerpc*] 64s: Fix hash ISA v3.0 TLBIEL instruction generation
    - batman-adv: Consider fragmentation for needed_headroom
    - batman-adv: Reserve needed_*room for fragments
    - batman-adv: Don't always reallocate the fragmentation skb head
    - ipvs: fix possible memory leak in ip_vs_control_net_init
    - [armhf] drm/panel: sony-acx565akm: Fix race condition in probe
    - can: sja1000: sja1000_err(): don't count arbitration lose as an error
    - [armhf] can: sun4i_can: sun4i_can_err(): don't count arbitration lose as
      an error
    - [armhf] can: c_can: c_can_power_up(): fix error handling
    - [x86] scsi: storvsc: Fix error return in storvsc_probe()
    - iwlwifi: pcie: invert values of NO_160 device config entries
    - [x86] perf/x86/intel: Fix a warning on x86_pmu_stop() with large PEBS
    - [x390x] zlib: export S390 symbols for zlib modules
    - mm/mmap.c: fix mmap return value when vma is merged after call_mmap()
    - [arm64] dts: rockchip: Remove system-power-controller from pmic on
      Odroid Go Advance
    - iwlwifi: pcie: limit memory read spin time
    - iwlwifi: sta: set max HE max A-MPDU according to HE capa
    - iwlwifi: pcie: set LTR to avoid completion timeout
    - iwlwifi: mvm: fix kernel panic in case of assert during CSA
    - [powerpc*] Drop -me200 addition to build flags
    - scsi: ufs: Fix unexpected values from ufshcd_read_desc_param()
    - scsi: ufs: Make sure clk scaling happens only when HBA is runtime ACTIVE
    - [arm64,armhf] irqchip/gic-v3-its: Unconditionally save/restore the ITS
      state on suspend
    - [arm64] spi: spi-nxp-fspi: fix fspi panic by unexpected interrupts
    - [arm64,armhf] arm-smmu-qcom: Ensure the qcom_scm driver has finished
      probing
    - btrfs: do nofs allocations when adding and removing qgroup relations
    - btrfs: fix lockdep splat when enabling and disabling qgroups
    - [arm64] soc: fsl: dpio: Get the cpumask through cpumask_of(cpu)
    - sched/idle: Fix arch_cpu_idle() vs tracing
    - [x86] intel_idle: Fix intel_idle() vs tracing
    - [x86] platform/x86: thinkpad_acpi: add P1 gen3 second fan support
    - [x86] platform/x86: thinkpad_acpi: Do not report SW_TABLET_MODE on Yoga
      11e
    - [x86] platform/x86: thinkpad_acpi: Add BAT1 is primary battery quirk for
      Thinkpad Yoga 11e 4th gen
    - [x86] platform/x86: thinkpad_acpi: Whitelist P15 firmware for dual fan
      control
    - [x86] platform/x86: acer-wmi: add automatic keyboard background light
      toggle key as KEY_LIGHTS_TOGGLE
    - [x86] platform/x86: intel-vbtn: Support for tablet mode on HP Pavilion
      13 x360 PC
    - [s390x] fix irq state tracing
    - [x86] intel_idle: Build fix
    - media: pulse8-cec: fix duplicate free at disconnect or probe error
    - media: pulse8-cec: add support for FW v10 and up
    - xen: add helpers for caching grant mapping pages
    - xen: don't use page->lru for ZONE_DEVICE memory
    - Input: cm109 - do not stomp on control URB
    - Input: i8042 - add Acer laptops to the i8042 reset list
    - pinctrl: amd: remove debounce filter setting in IRQ type setting
    - [arm64] mmc: sdhci-of-arasan: Fix clock registration error for Keem Bay
      SOC
    - mmc: block: Fixup condition for CMD13 polling for RPMB requests
    - [x86] drm/i915/gem: Propagate error from cancelled submit due to context
      closure
    - [x86] drm/i915/display/dp: Compute the correct slice count for VDSC on
      DP
    - [x86] drm/i915/gt: Declare gen9 has 64 mocs entries!
    - [x86] drm/i915/gt: Ignore repeated attempts to suspend request flow
      across reset
    - [x86] drm/i915/gt: Cancel the preemption timeout on responding to it
    - drm/amdgpu: fix sdma instance fw version and feature version init
    - kbuild: avoid static_assert for genksyms
    - proc: use untagged_addr() for pagemap_read addresses
    - mm/hugetlb: clear compound_nr before freeing gigantic pages
    - scsi: be2iscsi: Revert "Fix a theoretical leak in beiscsi_create_eqs()"
    - [x86] membarrier: Get rid of a dubious optimization
    - [x86] apic/vector: Fix ordering in vector assignment
    - [x86] kprobes: Fix optprobe to detect INT3 padding correctly

  [ Salvatore Bonaccorso ]
  * [x86] drm/i915: Update TGL and RKL DMC firmware versions (Closes: #974646)
  * [rt] Refresh "mm/zsmalloc: copy with get_cpu_var() and locking"
  * xen/xenbus: Allow watches discard events before queueing (CVE-2020-29568,
    XSA-349)
  * xen/xenbus: Add 'will_handle' callback support in xenbus_watch_path()
    (CVE-2020-29568, XSA-349)
  * xen/xenbus/xen_bus_type: Support will_handle watch callback
    (CVE-2020-29568, XSA-349)
  * xen/xenbus: Count pending messages for each watch (CVE-2020-29568,
    XSA-349)
  * xenbus/xenbus_backend: Disallow pending watch messages (CVE-2020-29568,
    XSA-349)
  * xen-blkback: set ring->xenblkd to NULL after kthread_stop()
    (CVE-2020-29569, XSA-350)
  * Bump ABI to 5

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 Dec 2020 06:31:52 +0100

linux (5.9.11-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.10
    - [powerpc*] 64s: flush L1D on kernel entry (CVE-2020-4788)
    - [powerpc*] 64s: flush L1D after user accesses (CVE-2020-4788)
    - [powerpc*] Only include kup-radix.h for 64-bit Book3S
    - Input: sunkbd - avoid use-after-free in teardown paths (CVE-2020-25669)
    - mac80211: always wind down STA state
    - can: proc: can_remove_proc(): silence remove_proc_entry warning
    - [powerpc*] smp: Call rcu_cpu_starting() earlier
    - [x86] perf/x86/intel/uncore: Fix Add BW copypasta
    - [x86] KVM: clflushopt should be treated as a no-op by emulation
    - [arm64,x86] ACPI: GED: fix -Wformat
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.11
    - ah6: fix error return code in ah6_input()
    - atm: nicstar: Unmap DMA on send error
    - bnxt_en: read EEPROM A2h address using page 0
    - devlink: Add missing genlmsg_cancel() in devlink_nl_sb_port_pool_fill()
    - [arm64] enetc: Workaround for MDIO register access issue
    - Exempt multicast addresses from five-second neighbor lifetime
    - inet_diag: Fix error path to cancel the meseage in inet_req_diag_fill()
    - ipv6: Fix error path to cancel the meseage
    - lan743x: fix issue causing intermittent kernel log warnings
    - lan743x: prevent entire kernel HANG on open, for some platforms
    - net: b44: fix error return code in b44_init_one()
    - net: bridge: add missing counters to ndo_get_stats64 callback
    - [arm64,armhf] net: dsa: mv88e6xxx: Avoid VTU corruption on 6097
    - [armhf] net: ethernet: ti: cpsw: fix cpts irq after suspend
    - [armhf] net: ethernet: ti: cpsw: fix error return code in cpsw_probe()
    - [armhf] net: ftgmac100: Fix crash when removing driver
    - net: Have netpoll bring-up DSA management interface
    - netlabel: fix our progress tracking in netlbl_unlabel_staticlist()
    - netlabel: fix an uninitialized warning in netlbl_unlabel_staticlist()
    - net/mlx4_core: Fix init_hca fields offset
    - [armhf] net/ncsi: Fix netlink registration
    - net: phy: mscc: remove non-MACSec compatible phy
    - net/smc: fix direct access to ib_gid_addr->ndev in
      smc_ib_determine_gid()
    - [arm64,armhf] net: stmmac: Use rtnl_lock/unlock on
      netif_set_real_num_rx_queues() call
    - page_frag: Recover from memory pressure
    - qed: fix error return code in qed_iwarp_ll2_start()
    - qed: fix ILT configuration of SRC block
    - qlcnic: fix error return code in qlcnic_83xx_restart_hw()
    - sctp: change to hold/put transport for proto_unreach_timer
    - tcp: only postpone PROBE_RTT if RTT is < current min_rtt estimate
    - vsock: forward all packets to the host when no H2G is registered
    - net/mlx5e: Fix check if netdev is bond slave
    - net/mlx5: Add handling of port type in rule deletion
    - net/mlx5: Clear bw_share upon VF disable
    - net/mlx5: Disable QoS when min_rates on all VFs are zero
    - PM: runtime: Add pm_runtime_resume_and_get to deal with usage counter
    - [armhf] net: fec: Fix reference count leak in fec series ops
    - bnxt_en: Fix counter overflow logic.
    - bnxt_en: Free port stats during firmware reset.
    - [arm64,armhf] net: mvneta: fix possible memory leak in
      mvneta_swbm_add_rx_fragment
    - net: usb: qmi_wwan: Set DTR quirk for MR400
    - [armhf] Revert "Revert "gpio: omap: Fix lost edge wake-up interrupts""
    - tools, bpftool: Avoid array index warnings.
    - [arm64,armhf] pinctrl: rockchip: enable gpio pclk for
      rockchip_gpio_to_irq
    - scsi: ufs: Fix unbalanced scsi_block_reqs_cnt caused by ufshcd_hold()
    - scsi: ufs: Try to save power mode change and UIC cmd completion timeout
    - [armhf] pinctrl: mcp23s08: Print error message when regmap init fails
    - [x86] ACPI: button: Add DMI quirk for Medion Akoya E2228T
    - [arm64] errata: Fix handling of 1418040 with late CPU onlining
    - [arm64] psci: Avoid printing in cpu_psci_cpu_die()
    - [arm64] smp: Tell RCU about CPUs that fail to come online
    - vfs: remove lockdep bogosity in __sb_start_write
    - gfs2: fix possible reference leak in gfs2_check_blk_type
    - [arm64,armhf] hwmon: (pwm-fan) Fix RPM calculation
    - gfs2: Fix case in which ail writes are done to jdata holes
    - [arm64] Add MIDR value for KRYO2XX gold/silver CPU cores
    - [arm64] kpti: Add KRYO2XX gold/silver CPU cores to kpti safelist
    - [arm64] cpu_errata: Apply Erratum 845719 to KRYO2XX Silver
    - [arm64,armhf] usb: dwc2: Avoid leaving the error_debugfs label unused
    - [arm64] dts: allwinner: beelink-gs1: Enable both RGMII RX/TX delay
    - [arm64] dts: allwinner: Pine H64: Enable both RGMII RX/TX delay
    - [arm64] dts: allwinner: a64: OrangePi Win: Fix ethernet node
    - [arm64] dts: allwinner: a64: Pine64 Plus: Fix ethernet node
    - [arm64] dts: allwinner: h5: OrangePi PC2: Fix ethernet node
    - [armhf] dts: sun8i: r40: bananapi-m2-ultra: Fix ethernet node
    - [armhf] Revert "arm: sun8i: orangepi-pc-plus: Set EMAC activity LEDs to
      active high"
    - [armhf] dts: sun6i: a31-hummingbird: Enable RGMII RX/TX delay on
      Ethernet PHY
    - [armhf] dts: sun7i: cubietruck: Enable RGMII RX/TX delay on Ethernet PHY
    - [armhf] dts: sun7i: bananapi-m1-plus: Enable RGMII RX/TX delay on
      Ethernet PHY
    - [armhf] dts: sun8i: h3: orangepi-plus2e: Enable RGMII RX/TX delay on
      Ethernet PHY
    - [armhf] dts: sun9i: Enable both RGMII RX/TX delay on Ethernet PHY
    - [arm64] dts: allwinner: h5: libretech-all-h5-cc: Enable RGMII RX/TX
      delay on PHY
    - [arm64] dts: allwinner: a64: bananapi-m64: Enable RGMII RX/TX delay on
      PHY
    - [mips64el,mipsel] export has_transparent_hugepage() for modules
    - [arm64] dts: allwinner: h5: OrangePi Prime: Fix ethernet node
    - [armhf] dts: imx6q-prti6q: fix PHY address
    - swiotlb: using SIZE_MAX needs limits.h included
    - [armhf] dmaengine: ti: omap-dma: Block PM if SDMA is busy to fix audio
    - rcu: Don't invoke try_invoke_on_locked_down_task() with irqs disabled
    - spi: fix client driver breakages when using GPIO descriptors
    - Input: elan_i2c - fix firmware update on newer ICs
    - rfkill: Fix use-after-free in rfkill_resume()
    - perf lock: Correct field name "flags"
    - perf lock: Don't free "lock_seq_stat" if read_count isn't zero
    - SUNRPC: Fix oops in the rpc_xdr_buf event class
    - [arm64,armhf] drm: bridge: dw-hdmi: Avoid resetting force in the detect
      function
    - tools, bpftool: Add missing close before bpftool net attach exit
    - [amd64] IB/hfi1: Fix error return code in hfi1_init_dd()
    - ip_tunnels: Set tunnel option flag when tunnel metadata is present
    - can: af_can: prevent potential access of uninitialized member in
      can_rcv()
    - can: af_can: prevent potential access of uninitialized member in
      canfd_rcv()
    - can: dev: can_restart(): post buffer from the right context
    - can: mcba_usb: mcba_usb_start_xmit(): first fill skb, then pass to
      can_put_echo_skb()
    - can: peak_usb: fix potential integer overflow on shift of a int
    - [armhf] can: flexcan: fix failure handling of pm_runtime_get_sync()
    - [arm64] ASoC: qcom: lpass-platform: Fix memory leak
    - [arm64,armhf] drm/sun4i: dw-hdmi: fix error return code in
      sun8i_dw_hdmi_bind()
    - net/mlx5: E-Switch, Fail mlx5_esw_modify_vport_rate if qos disabled
    - bpf, sockmap: Fix partial copy_page_to_iter so progress can still be
      made
    - bpf, sockmap: Ensure SO_RCVBUF memory is observed on ingress redirect
    - can: kvaser_usb: kvaser_usb_hydra: Fix KCAN bittiming limits
    - dmaengine: fix error codes in channel_register()
    - [amd64] iommu/vt-d: Move intel_iommu_gfx_mapped to Intel IOMMU header
    - [amd64] iommu/vt-d: Avoid panic if iommu init fails in tboot system
    - [armhf] can: flexcan: flexcan_chip_start(): fix erroneous
      flexcan_transceiver_enable() during bus-off recovery
    - xfs: ensure inobt record walks always make forward progress
    - xfs: return corresponding errcode if xfs_initialize_perag() fail
    - [x86] ASOC: Intel: kbl_rt5663_rt5514_max98927: Do not try to disable
      disabled clock
    - [armhf] regulator: ti-abb: Fix array out of bound read access on the
      first transition
    - lib/strncpy_from_user.c: Mask out bytes after NUL terminator.
    - xfs: revert "xfs: fix rmap key and record comparison functions"
    - bpf, sockmap: Skb verdict SK_PASS to self already checked rmem limits
    - bpf, sockmap: On receive programs try to fast track SK_PASS ingress
    - bpf, sockmap: Use truesize with sk_rmem_schedule()
    - bpf, sockmap: Avoid returning unneeded EAGAIN when redirecting to self
    - [armhf] efi/arm: set HSCTLR Thumb2 bit correctly for HVC calls from HYP
    - [amd64] efi/x86: Free efi_pgd with free_pages()
    - sched/fair: Fix overutilized update in enqueue_task_fair()
    - sched: Fix data-race in wakeup
    - sched: Fix rq->nr_iowait ordering
    - libfs: fix error cast of negative value in simple_attr_write()
    - afs: Fix speculative status fetch going out of order wrt to
      modifications
    - HID: logitech-hidpp: Add PID for MX Anywhere 2
    - HID: logitech-dj: Handle quad/bluetooth keyboards with a builtin
      trackpad
    - HID: logitech-dj: Fix Dinovo Mini when paired with a MX5x00 receiver
    - speakup: Do not let the line discipline be used several times
      (CVE-2020-28941)
    - ALSA: firewire: Clean up a locking issue in copy_resp_to_buf()
    - ALSA: usb-audio: Add delay quirk for all Logitech USB devices
    - ALSA: ctl: fix error path at adding user-defined element set
    - ALSA: mixart: Fix mutex deadlock
    - ALSA: hda/realtek - Add supported for Lenovo ThinkPad Headset Button
    - ALSA: hda/realtek - Add supported mute Led for HP
    - ALSA: hda/realtek: Add some Clove SSID in the ALC293(ALC1220)
    - ALSA: hda/realtek - HP Headset Mic can't detect after boot
    - [armhf] tty: serial: imx: fix potential deadlock
    - [armhf] tty: serial: imx: keep console clocks always on
    - HID: logitech-dj: Fix an error in mse_bluetooth_descriptor
    - [arm64,armhf,x86] efivarfs: fix memory leak in efivarfs_create()
    - [arm64,x86] staging: rtl8723bs: Add 024c:0627 to the list of SDIO
      device-ids
    - xfs: fix forkoff miscalculation related to XFS_LITINO(mp)
    - [arm64,x86] ACPI: fan: Initialize performance state sysfs attribute
    - [x86] iio: accel: kxcjk1013: Replace is_smo8500_device with an acpi_type
      enum
    - [x86] iio: accel: kxcjk1013: Add support for KIOX010A ACPI DSM for
      setting tablet-mode
    - [arm64] iio: cros_ec: Use default frequencies when EC returns invalid
      information
    - spi: Introduce device-managed SPI controller allocation
    - [arm64,armhf] spi: bcm2835aux: Fix use-after-free on unbind
    - [armhf] regulator: pfuze100: limit pfuze-support-disable-sw to
      pfuze{100,200}
    - regulator: fix memory leak with repeated set_machine_constraints()
    - regulator: avoid resolve_supply() infinite recursion
    - regulator: workaround self-referent regulators
    - gfs2: Fix regression in freeze_go_sync
    - mac80211: minstrel: remove deferred sampling code
    - mac80211: minstrel: fix tx status processing corner case
    - mac80211: free sta in sta_info_insert_finish() on errors
    - [s390x] fix system call exit path
    - [s390x] cpum_sf.c: fix file permission for cpum_sfb_size
    - [s390x] dasd: fix null pointer dereference for ERP requests
    - [x86] Drivers: hv: vmbus: Allow cleanup of VMBUS_CONNECT_CPU if
      disconnected
    - [x86] drm/i915: Handle max_bpc==16
    - [x86] drm/i915/tgl: Fix Media power gate sequence.
    - io_uring: don't double complete failed reissue request
    - mmc: sdhci-pci: Prefer SDR25 timing for High Speed mode for BYT-based
      Intel controllers
    - [arm64] mmc: sdhci-of-arasan: Allow configuring zero tap values
    - [arm64] mmc: sdhci-of-arasan: Use Mask writes for Tap delays
    - [arm64] mmc: sdhci-of-arasan: Issue DLL reset explicitly
    - blk-cgroup: fix a hd_struct leak in blkcg_fill_root_iostats
    - ptrace: Set PF_SUPERPRIV when checking capability
    - seccomp: Set PF_SUPERPRIV when checking capability
    - fanotify: fix logic of reporting name info with watched parent
    - [x86] microcode/intel: Check patch signature before saving microcode for
      early loading
    - mm: never attempt async page lock if we've transferred data already
    - mm: fix readahead_page_batch for retry entries
    - mm: memcg/slab: fix root memcg vmstats
    - mm/userfaultfd: do not access vma->vm_mm after calling
      handle_userfault()

  [ Ben Hutchings ]
  * [arm64][rt] Disable KVM, which currently conflicts with PREEMPT_RT

  [ Yves-Alexis Perez ]
  * usbnet: ipheth: fix connectivity with iOS 14

  [ Salvatore Bonaccorso ]
  * Bump ABI to 4

  [ Julien Cristau ]
  * Disable NOUVEAU_LEGACY_CTX_SUPPORT, which was keeping DRM_LEGACY enabled
    for no good reason (closes: #975038)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 27 Nov 2020 22:02:14 +0100

linux (5.9.9-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.7
    - net: core: use list_del_init() instead of list_del() in
      netdev_run_todo()
    - tipc: fix use-after-free in tipc_bcast_get_mode
    - [x86] drm/i915/gem: Avoid implicit vmap for highmem on x86-32
    - [x86] drm/i915/gem: Prevent using pgprot_writecombine() if PAT is not
      supported
    - [x86] drm/i915/gem: Always test execution status on closing the context
    - [x86] drm/i915/gt: Always send a pulse down the engine after disabling
      heartbeat
    - [x86] drm/i915: Break up error capture compression loops with
      cond_resched()
    - [x86] drm/i915: Cancel outstanding work after disabling heartbeats on an
      engine
    - [x86] drm/i915: Avoid mixing integer types during batch copies
    - [x86] drm/i915: Fix TGL DKL PHY DP vswing handling
    - [x86] drm/i915/gt: Initialize reserved and unspecified MOCS indices
    - [x86] drm/i915/gt: Undo forced context restores after trivial
      preemptions
    - [x86] drm/i915/gt: Delay execlist processing for tgl
    - [x86] drm/i915: Drop runtime-pm assert from vgpu io accessors
    - [x86] drm/i915: Exclude low pages (128KiB) of stolen from use
    - [x86] drm/i915: Mark ininitial fb obj as WT on eLLC machines to avoid
      rcu lockup during fbdev init
    - [x86] drm/i915: Use the active reference on the vma while capturing
    - [x86] drm/i915: Reject 90/270 degree rotated initial fbs
    - [x86] drm/i915: Restore ILK-M RPS support
    - drm/nouveau/kms/nv50-: Program notifier offset before requesting disp
      caps
    - drm/nouveau/device: fix changing endianess code to work on older GPUs
    - ptrace: fix task_join_group_stop() for the case when current is traced
    - [arm64,riscv64] cadence: force nonlinear buffers to be cloned
    - ip_tunnel: fix over-mtu packet send fail without TUNNEL_DONT_FRAGMENT
      flags
    - [armhf] net: ethernet: ti: cpsw: disable PTPv1 hw timestamping
      advertisement
    - net: usb: qmi_wwan: add Telit LE910Cx 0x1230 composition
    - sctp: Fix COMM_LOST/CANT_STR_ASSOC err reporting on big-endian platforms
    - [arm64,armhf,riscv64] sfp: Fix error handing in sfp_probe()
    - ip6_tunnel: set inner ipproto before ip6_tnl_encap
    - [armhf] net: fec: fix MDIO probing for some FEC hardware blocks
    - net: openvswitch: silence suspicious RCU usage warning
    - r8169: work around short packet hw bug on RTL8125
    - drm/nouveau/kms/nv50-: Get rid of bogus nouveau_conn_mode_valid()
    - drm/nouveau/kms/nv50-: Fix clock checking algorithm in
      nv50_dp_mode_valid()
    - Fonts: Replace discarded const qualifier
    - ALSA: hda/realtek - Fixed HP headset Mic can't be detected
    - ALSA: hda/realtek - Enable headphone for ASUS TM420
    - ALSA: usb-audio: Add implicit feedback quirk for Zoom UAC-2
    - ALSA: usb-audio: add usb vendor id as DSD-capable for Khadas devices
    - ALSA: usb-audio: Add implicit feedback quirk for Qu-16
    - ALSA: usb-audio: Add implicit feedback quirk for MODX
    - hugetlb_cgroup: fix reservation accounting
    - mm: mempolicy: fix potential pte_unmap_unlock pte error
    - kthread_worker: prevent queuing delayed work from timer_fn when it is
      being canceled
    - mm: always have io_remap_pfn_range() set pgprot_decrypted()
    - gfs2: Wake up when sd_glock_disposal becomes zero
    - gfs2: Don't call cancel_delayed_work_sync from within delete work
      function
    - ring-buffer: Fix recursion protection transitions between interrupt
      context
    - drm/amdgpu: update golden setting for sienna_cichlid
    - drm/amdgpu: resolved ASD loading issue on sienna
    - [amd64] iommu/vt-d: Fix kernel NULL pointer dereference in find_domain()
    - mtd: spi-nor: Don't copy self-pointing struct around
    - ftrace: Fix recursion check for NMI test
    - ftrace: Handle tracing when switching between context
    - regulator: defer probe when trying to get voltage from unresolved supply
    - [arm*] spi: bcm2835: fix gpio cs level inversion
    - tracing: Fix out of bounds write in get_trace_buf
    - futex: Handle transient "ownerless" rtmutex state correctly
    - [amd64] x86/lib: Change .weak to SYM_FUNC_START_WEAK for
      arch/x86/lib/mem*_64.S
    - [x86] kexec: Use up-to-dated screen_info copy to fill boot params
    - [x86] hyperv_fb: Update screen_info after removing old framebuffer
    - io_uring: don't miss setting IO_WQ_WORK_CONCURRENT
    - of: Fix reserved-memory overlap detection
    - [arm64,armhf] drm/sun4i: frontend: Rework a bit the phase data
    - [arm64,armhf] drm/sun4i: frontend: Reuse the ch0 phase for RGB formats
    - [arm64,armhf] drm/sun4i: frontend: Fix the scaler phase on A33
    - blk-cgroup: Fix memleak on error path
    - blk-cgroup: Pre-allocate tree node on blkg_conf_prep
    - btrfs: drop the path before adding qgroup items when enabling qgroups
    - btrfs: add a helper to read the tree_root commit root for backref lookup
    - scsi: core: Don't start concurrent async scan on same host
    - drm/amdgpu: disable DCN and VCN for navi10 blockchain SKU(v3)
    - drm/amdgpu: add DID for navi10 blockchain SKU
    - [powerpc*] scsi: ibmvscsi: Fix potential race after loss of transport
    - vsock: use ns_capable_noaudit() on socket create
    - nvme-rdma: handle unexpected nvme completion data length
    - nvmet: fix a NULL pointer dereference when tracing the flush command
    - [arm*] staging: mmal-vchiq: Fix memory leak for vchiq_instance
    - [arm*] drm/vc4: drv: Add error handding for bind
    - [amd64,arm64] ACPI: NFIT: Fix comparison to '-ENXIO'
    - drm/nouveau/gem: fix "refcount_t: underflow; use-after-free"
    - [arm64] smp: Move rcu_cpu_starting() earlier
    - vt: Disable KD_FONT_OP_COPY
    - tty: fix crash in release_tty if tty->port is not set
    - fork: fix copy_process(CLONE_PARENT) race with the exiting ->real_parent
    - entry: Fix the incorrect ordering of lockdep and RCU check
    - [s390x] pci: fix hot-plug of PCI function missing bus
    - [s390x] mm: make pmd/pud_deref() large page aware
    - [s390x] pkey: fix paes selftest failure with paes and pkey static build
    - USB: serial: cyberjack: fix write-URB completion race
    - USB: serial: option: add Quectel EC200T module support
    - USB: serial: option: add LE910Cx compositions 0x1203, 0x1230, 0x1231
    - USB: serial: option: add Telit FN980 composition 0x1055
    - [arm64,armhf] usb: dwc3: ep0: Fix delay status handling
    - USB: Add NO_LPM quirk for Kingston flash drive
    - io_uring: fix link lookup racing with link timeout
    - mac80211: fix regression where EAPOL frames were sent in plaintext
    - [arm64,armhf] drm/panfrost: Fix a deadlock between the shrinker and
      madvise path
    - PM: runtime: Drop runtime PM references to supplier on link removal
    - PM: runtime: Drop pm_runtime_clean_up_links()
    - PM: runtime: Resume the device earlier in __device_release_driver()
    - [x86] drm/i915: Fix encoder lookup during PSR atomic check
    - [x86] drm/i915/gt: Use the local HWSP offset during submission
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.8
    - [x86] powercap: restrict energy meter to root access (CVE-2020-8694)
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.9
    - [x86] drm/i915: Hold onto an explicit ref to i915_vma_work.pinned
    - [x86] drm/i915/gem: Flush coherency domains on first set-domain-ioctl
    - mm: memcg: link page counters to root if use_hierarchy is false
    - nbd: don't update block size after device is started
    - [arm64] KVM: Force PTE mapping on fault resulting in a device mapping
    - xfrm: interface: fix the priorities for ipip and ipv6 tunnels
    - [x86] ASoC: Intel: kbl_rt5663_max98927: Fix kabylake_ssp_fixup function
    - [x86] hv_balloon: disable warning when floor reached
    - net: xfrm: fix a race condition during allocing spi
    - [riscv64] irqchip/sifive-plic: Fix broken irq_set_affinity() callback
    - mtd: spi-nor: Fix address width on flash chips > 16MB
    - xfs: set xefi_discard when creating a deferred agfl free log intent item
    - mac80211: don't require VHT elements for HE on 2.4 GHz
    - netfilter: nftables: fix netlink report logic in flowtable and genid
    - netfilter: use actual socket sk rather than skb sk when routing harder
    - netfilter: nf_tables: missing validation from the abort path
    - PCI: Always enable ACS even if no ACS Capability
    - netfilter: ipset: Update byte and packet counters regardless of whether
      they match
    - [riscv64] irqchip/sifive-plic: Fix chip_data access within a hierarchy
    - [powerpc*] eeh_cache: Fix a possible debugfs deadlock
    - [arm*] drm/vc4: bo: Add a managed action to cleanup the cache
    - IB/srpt: Fix memory leak in srpt_add_one
    - mm: memcontrol: correct the NR_ANON_THPS counter of hierarchical memcg
    - [arm64,armhf] drm/panfrost: rename error labels in device_init
    - [arm64,armhf] drm/panfrost: move devfreq_init()/fini() in device
    - [arm64,armhf] drm/panfrost: Fix module unload
    - perf trace: Fix segfault when trying to trace events by cgroup
    - perf tools: Add missing swap for ino_generation
    - perf tools: Add missing swap for cgroup events
    - [x86] ALSA: hda: prevent undefined shift in snd_hdac_ext_bus_get_link()
    - [amd64] iommu/vt-d: Fix sid not set issue in intel_svm_bind_gpasid()
    - [amd64] iommu/vt-d: Fix a bug for PDP check in prq_event_thread
    - afs: Fix warning due to unadvanced marshalling pointer
    - afs: Fix incorrect freeing of the ACL passed to the YFS ACL store op
    - vfio/pci: Implement ioeventfd thread handler for contended memory lock
    - can: rx-offload: don't call kfree_skb() from IRQ context
    - can: dev: can_get_echo_skb(): prevent call to kfree_skb() in hard IRQ
      context
    - can: dev: __can_get_echo_skb(): fix real payload length return value for
      RTR frames
    - can: can_create_echo_skb(): fix echo skb generation: always use
      skb_clone()
    - can: j1939: swap addr and pgn in the send example
    - can: j1939: j1939_sk_bind(): return failure if netdev is down
    - can: peak_usb: add range checking in decode operations
    - can: peak_usb: peak_usb_get_ts_time(): fix timestamp wrapping
    - can: peak_canfd: pucan_handle_can_rx(): fix echo management when
      loopback is on
    - [armhf] can: flexcan: remove FLEXCAN_QUIRK_DISABLE_MECR quirk for
      LS1021A
    - [armhf] can: flexcan: flexcan_remove(): disable wakeup completely
    - xfs: flush new eof page on truncate to avoid post-eof corruption
    - xfs: fix missing CoW blocks writeback conversion retry
    - xfs: fix scrub flagging rtinherit even if there is no rt device
    - io_uring: ensure consistent view of original task ->mm from SQPOLL
    - [arm64] spi: fsl-dspi: fix wrong pointer in suspend/resume
    - [armel,armhf] PCI: mvebu: Fix duplicate resource requests
    - ceph: check session state after bumping session->s_seq
    - [x86] speculation: Allow IBPB to be conditionally enabled on CPUs with
      always-on STIBP
    - USB: apple-mfi-fastcharge: fix reference leak in
      apple_mfi_fc_set_property
    - [arm64,x86] tpm: efi: Don't create binary_bios_measurements file for an
      empty log
    - [arm64] KVM: ARM_SMCCC_ARCH_WORKAROUND_1 doesn't return
      SMCCC_RET_NOT_REQUIRED
    - ath9k_htc: Use appropriate rs_datalen type
    - scsi: ufs: Fix missing brace warning for old compilers
    - [arm64] usb: dwc3: pci: add support for the Intel Alder Lake-S
    - opp: Reduce the size of critical section in _opp_table_kref_release()
    - usb: raw-gadget: fix memory leak in gadget_setup
    - ALSA: hda: Separate runtime and system suspend
    - ALSA: hda: Reinstate runtime_allow() for all hda controllers
    - [amd64] x86/boot/compressed/64: Introduce sev_status
    - gfs2: Free rd_bits later in gfs2_clear_rgrpd to fix use-after-free
    - gfs2: Add missing truncate_inode_pages_final for sd_aspace
    - gfs2: check for live vs. read-only file system in gfs2_fitrim
    - scsi: hpsa: Fix memory leak in hpsa_init_one()
    - drm/amdgpu: perform srbm soft reset always on SDMA resume
    - mac80211: fix use of skb payload instead of header
    - cfg80211: initialize wdev data earlier
    - cfg80211: regulatory: Fix inconsistent format argument
    - tracing: Fix the checking of stackidx in __ftrace_trace_stack
    - Revert "nvme-pci: remove last_sq_tail"
    - scsi: scsi_dh_alua: Avoid crash during alua_bus_detach()
    - scsi: mpt3sas: Fix timeouts observed while reenabling IRQ
    - nvme: introduce nvme_sync_io_queues
    - nvme-rdma: avoid race between time out and tear down
    - nvme-rdma: avoid repeated request completion
    - [amd64] iommu/amd: Increase interrupt remapping table limit to 512
      entries
    - [s390x] smp: move rcu_cpu_starting() earlier
    - vfio/pci: Bypass IGD init in case of -ENODEV
    - amd/amdgpu: Disable VCN DPG mode for Picasso
    - iomap: clean up writeback state logic on writepage error
    - [riscv64] Set text_offset correctly for M-Mode
    - tpm_tis: Disable interrupts on ThinkPad T490s
    - [arm*] spi: bcm2835: remove use of uninitialized gpio flags variable
    - [x86] pinctrl: intel: Fix 2 kOhm bias which is 833 Ohm
    - [x86] pinctrl: intel: Set default bias in case no particular value given
    - [armhf] gpio: aspeed: fix ast2600 bank properties
    - [armel,armhf] 9019/1: kprobes: Avoid fortify_panic() when copying
      optprobe template
    - bpf: Don't rely on GCC __attribute__((optimize)) to disable GCSE
    - libbpf, hashmap: Fix undefined behavior in hash_bits
    - [armhf] pinctrl: mcp23s08: Use full chunk of memory for regmap
      configuration
    - [armhf] pinctrl: aspeed: Fix GPI only function problem.
    - net/mlx5e: Fix modify header actions memory leak
    - net/mlx5e: Protect encap route dev from concurrent release
    - net/mlx5e: Use spin_lock_bh for async_icosq_lock
    - net/mlx5: Fix deletion of duplicate rules
    - net/mlx5: E-switch, Avoid extack error log for disabled vport
    - net/mlx5e: Fix VXLAN synchronization after function reload
    - net/mlx5e: Fix incorrect access of RCU-protected xdp_prog
    - SUNRPC: Fix general protection fault in trace_rpc_xdr_overflow()
    - NFSD: Fix use-after-free warning when doing inter-server copy
    - NFSD: fix missing refcount in nfsd4_copy by nfsd4_do_async_copy
    - tools/bpftool: Fix attaching flow dissector
    - bpf: Zero-fill re-used per-cpu map element
    - r8169: fix potential skb double free in an error path
    - r8169: disable hw csum for short packets on all chip versions
    - [arm64] pinctrl: qcom: Move clearing pending IRQ to
      .irq_request_resources callback
    - nbd: fix a block_device refcount leak in nbd_release
    - i40e: Fix MAC address setting for a VF via Host/VM
    - igc: Fix returning wrong statistics (Closes: #970722)
    - lan743x: correctly handle chips with internal PHY
    - net: phy: realtek: support paged operations on RTL8201CP
    - xfs: fix flags argument to rmap lookup when converting shared file rmaps
    - xfs: set the unwritten bit in rmap lookup flags in
      xchk_bmap_get_rmapextents
    - xfs: fix rmap key and record comparison functions
    - xfs: fix brainos in the refcount scrubber's rmap fragment processor
    - lan743x: fix "BUG: invalid wait context" when setting rx mode
    - xfs: fix a missing unlock on error in xfs_fs_map_blocks
    - of/address: Fix of_node memory leak in of_dma_is_coherent
    - ch_ktls: Update cheksum information
    - ch_ktls: tcb update fails sometimes
    - [i386] cosa: Add missing kfree in error path of cosa_write
    - hwmon: (applesmc) Re-work SMC comms
    - NFS: Fix listxattr receive buffer size
    - vrf: Fix fast path output packet handling with async Netfilter rules
    - lan743x: fix use of uninitialized variable
    - [arm64] mm: Validate hotplug range before creating linear mapping
    - kernel/watchdog: fix watchdog_allowed_mask not used warning
    - mm: memcontrol: fix missing wakeup polling thread
    - afs: Fix afs_write_end() when called with copied == 0 [ver #3]
    - perf: Fix get_recursion_context()
    - nvme: factor out a nvme_configure_metadata helper
    - nvme: freeze the queue over ->lba_shift updates
    - nvme: fix incorrect behavior when BLKROSET is called by the user
    - perf: Simplify group_sched_in()
    - perf: Fix event multiplexing for exclusive groups
    - [arm64] firmware: xilinx: fix out-of-bounds access
    - erofs: fix setting up pcluster for temporary pages
    - erofs: derive atime instead of leaving it empty
    - ext4: correctly report "not supported" for {usr,grp}jquota when
      !CONFIG_QUOTA
    - ext4: unlock xattr_sem properly in ext4_inline_data_truncate()
    - btrfs: fix potential overflow in cluster_pages_for_defrag on 32bit arch
    - btrfs: ref-verify: fix memory leak in btrfs_ref_tree_mod
    - btrfs: fix min reserved size calculation in merge_reloc_root
    - btrfs: dev-replace: fail mount if we don't have replace item with target
      device
    - [arm64] KVM: Don't hide ID registers from userspace
    - [x86] thunderbolt: Fix memory leak if ida_simple_get() fails in
      enumerate_services()
    - [x86] thunderbolt: Add the missed ida_simple_remove() in
      ring_request_msix()
    - block: add a return value to set_capacity_revalidate_and_notify
    - loop: Fix occasional uevent drop
    - uio: Fix use-after-free in uio_unregister_device()
    - Revert "usb: musb: convert to devm_platform_ioremap_resource_byname"
    - usb: cdc-acm: Add DISABLE_ECHO for Renesas USB Download mode
    - [x86] usb: typec: ucsi: Report power supply changes
    - virtio: virtio_console: fix DMA memory allocation for rproc serial
    - futex: Don't enable IRQs unconditionally in put_pi_state()
    - jbd2: fix up sparse warnings in checkpoint code
    - bootconfig: Extend the magic check range to the preceding 3 bytes
    - mm/compaction: count pages and stop correctly during page isolation
    - mm/compaction: stop isolation if too many pages are isolated and we have
      pages to migrate
    - mm/slub: fix panic in slab_alloc_node()
    - mm/vmscan: fix NR_ISOLATED_FILE corruption on 64-bit
    - mm/gup: use unpin_user_pages() in __gup_longterm_locked()
    - Revert "kernel/reboot.c: convert simple_strtoul to kstrtoint"
    - reboot: fix overflow parsing reboot cpu number
    - hugetlbfs: fix anon huge page migration race
    - ocfs2: initialize ip_next_orphan
    - hwmon: (amd_energy) modify the visibility of the counters
      (CVE-2020-12912)
    - selinux: Fix error return code in sel_ib_pkey_sid_slow()
    - io_uring: round-up cq size before comparing with rounded sq size
    - [riscv64] gpio: sifive: Fix SiFive gpio probe
    - gpio: pcie-idio-24: Fix irq mask when masking
    - gpio: pcie-idio-24: Fix IRQ Enable Register value
    - gpio: pcie-idio-24: Enable PEX8311 interrupts
    - [arm64] mmc: sdhci-of-esdhc: Handle pulse width detection erratum for
      more SoCs
    - don't dump the threads that had been already exiting when zapped.
    - [x86] drm/i915: Correctly set SFC capability for video engines
    - [x86] drm/gma500: Fix out-of-bounds access to struct drm_device.vblank[]
    - NFSv4.2: fix failure to unregister shrinker
    - pinctrl: amd: use higher precision for 512 RtcClk
    - pinctrl: amd: fix incorrect way to disable debounce filter
    - swiotlb: fix "x86: Don't panic if can not alloc buffer for swiotlb"
    - cpufreq: Introduce governor flags
    - cpufreq: Introduce CPUFREQ_GOV_STRICT_TARGET
    - cpufreq: Add strict_target to struct cpufreq_policy
    - cpufreq: intel_pstate: Take CPUFREQ_GOV_STRICT_TARGET into account
    - ethtool: netlink: add missing netdev_features_change() call
    - IPv6: Set SIT tunnel hard_header_len to zero
    - [s390x] net/af_iucv: fix null pointer dereference on shutdown
    - net: udp: fix IP header access and skb lookup on Fast/frag0 UDP GRO
    - net: udp: fix UDP header access on Fast/frag0 UDP GRO
    - net: Update window_clamp if SOCK_RCVBUF is set
    - tipc: fix memory leak in tipc_topsrv_start()
    - devlink: Avoid overwriting port attributes of registered port
    - tunnels: Fix off-by-one in lower MTU bounds for ICMP/ICMPv6 replies
    - [powerpc*] 603: Always fault when _PAGE_ACCESSED is not set
    - null_blk: Fix scheduling in atomic with zoned mode
    - Convert trailing spaces and periods in path components

  [ Uwe Kleine-König ]
  * [amd64] Enable SND_SOC_AMD_ACP3x, SND_SOC_AMD_RENOIR and
    SND_SOC_AMD_RENOIR_MACH (Closes: #973252)
  * [arm64] Add device tree for Kobol helios64 from rockchip next branch.

  [ John L. Villalovos ]
  * [arm64] NUMA: Kconfig: Increase NODES_SHIFT to 4

  [ Salvatore Bonaccorso ]
  * [rt] Refresh "signals: Allow rt tasks to cache one sigqueue struct"
  * [armhf] dts: sun8i: a83t: Enable both RGMII RX/TX delay on Ethernet PHY
    (Closes: #973369)
  * Bump ABI to 3

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 19 Nov 2020 08:19:18 +0100

linux (5.9.6-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.2
    - [powerpc*] ibmveth: Switch order of ibmveth_helper calls.
    - [powerpc*] ibmveth: Identify ingress large send packets.
    - cxgb4: handle 4-tuple PEDIT to NAT mode translation
    - ipv4: Restore flowi4_oif update before call to xfrm_lookup_route
    - mlx4: handle non-napi callers to napi_poll
    - net: dsa: microchip: fix race condition
    - net: fec: Fix phy_device lookup for phy_reset_after_clk_enable()
    - net: fec: Fix PHY init after phy_reset_after_clk_enable()
    - net: fix pos incrementment in ipv6_route_seq_next
    - net: ipa: skip suspend/resume activities if not set up
    - net: sched: Fix suspicious RCU usage while accessing tcf_tunnel_info
    - net/smc: fix use-after-free of delayed events
    - net/smc: fix valid DMBE buffer sizes
    - tipc: fix NULL pointer dereference in tipc_named_rcv
    - tipc: fix the skb_unshare() in tipc_buf_append()
    - socket: fix option SO_TIMESTAMPING_NEW
    - socket: don't clear SOCK_TSTAMP_NEW when SO_TIMESTAMPNS is disabled
    - can: m_can_platform: don't call m_can_class_suspend in runtime suspend
    - can: j1935: j1939_tp_tx_dat_new(): fix missing initialization of skbcnt
    - net: j1939: j1939_session_fresh_new(): fix missing initialization of
      skbcnt
    - binder: fix UAF when releasing todo list (CVE-2020-0423)
    - ALSA: bebob: potential info leak in hwdep_read()
    - ALSA: hda: fix jack detection with Realtek codecs when in D3
    - ALSA: hda/hdmi: fix incorrect locking in hdmi_pcm_close
    - tipc: re-configure queue limit for broadcast link
    - tipc: fix incorrect setting window for bcast link
    - ibmvnic: save changed mac address to adapter->mac_addr
    - icmp: randomize the global rate limiter
    - net: ftgmac100: Fix Aspeed ast2600 TX hang issue
    - net: hdlc: In hdlc_rcv, check to make sure dev is an HDLC device
    - net: hdlc_raw_eth: Clear the IFF_TX_SKB_SHARING flag after calling
      ether_setup
    - net: Properly typecast int values to set sk_max_pacing_rate
    - net/sched: act_ct: Fix adding udp port mangle operation
    - net/sched: act_tunnel_key: fix OOB write in case of IPv6 ERSPAN tunnels
    - netsec: ignore 'phy-mode' device property on ACPI systems
    - nexthop: Fix performance regression in nexthop deletion
    - nfc: Ensure presence of NFC_ATTR_FIRMWARE_NAME attribute in
      nfc_genl_fw_download()
    - r8169: fix operation under forced interrupt threading
    - tcp: fix to update snd_wl1 in bulk receiver fast path
    - net: ethernet: mtk-star-emac: select REGMAP_MMIO
    - net/sched: act_gate: Unlock ->tcfa_lock in tc_setup_flow_action()
    - ixgbe: fix probing of multi-port devices with one MDIO
    - net: openvswitch: fix to make sure flow_lookup() is not preempted
    - sfc: move initialisation of efx->filter_sem to efx_init_struct()
    - ALSA: hda - Don't register a cb func if it is registered already
    - ALSA: hda - Fix the return value if cb func is already registered
    - ALSA: usb-audio: Line6 Pod Go interface requires static clock rate quirk
    - ALSA: hda/realtek - The front Mic on a HP machine doesn't work
    - ALSA: hda/realtek - set mic to auto detect on a HP AIO machine
    - ALSA: hda/realtek - Add mute Led support for HP Elitebook 845 G7
    - ALSA: hda/realtek: Enable audio jacks of ASUS D700SA with ALC887
    - cifs: remove bogus debug code
    - cifs: Return the error from crypt_message when enc/dec key not found.
    - SMB3: Resolve data corruption of TCP server info fields
    - SMB3.1.1: Fix ids returned in POSIX query dir
    - smb3: do not try to cache root directory if dir leases not supported
    - smb3: fix stat when special device file and mounted with modefromsid
    - [arm64] Make use of ARCH_WORKAROUND_1 even when KVM is not enabled
    - [x86] KVM: nVMX: Morph notification vector IRQ on nested VM-Enter to
      pending PI
    - [x86] KVM: nVMX: Reset the segment cache when stuffing guest segs
    - [x86] KVM: nVMX: Reload vmcs01 if getting vmcs12's pages fails
    - [x86] KVM: x86/mmu: Commit zap of remaining invalid pages when
      recovering lpages
    - [x86] KVM: x86: Intercept LA57 to inject #GP fault when it's reserved
    - [x86] KVM: SVM: Initialize prev_ga_tag before use
    - crypto: caam - add xts check for block length equal to zero
    - crypto: algif_aead - Do not set MAY_BACKLOG on the async path
    - crypto: caam/qi - add fallback for XTS with more than 8B IV
    - crypto: caam/qi - add support for more XTS key lengths
    - crypto: caam/jr - add fallback for XTS with more than 8B IV
    - crypto: caam/jr - add support for more XTS key lengths
    - crypto: caam/qi2 - add fallback for XTS with more than 8B IV
    - crypto: caam/qi2 - add support for more XTS key lengths
    - RAS/CEC: Fix cec_init() prototype
    - sched/fair: Fix wrong negative conversion in find_energy_efficient_cpu()
    - microblaze: fix kbuild redundant file warning
    - [x86] EDAC/i5100: Fix error handling order in i5100_init_one()
    - [x86] perf/x86/intel/ds: Fix x86_pmu_stop warning for large PEBS
    - [x86] x86/fpu: Allow multiple bits in clearcpuid= parameter
    - irqchip/ti-sci-inta: Fix unsigned comparison to zero
    - irqchip/ti-sci-intr: Fix unsigned comparison to zero
    - [arm64] kprobe: add checks for ARMv8.3-PAuth combined instructions
    - seqlock: Unbreak lockdep
    - drivers/perf: xgene_pmu: Fix uninitialized resource struct
    - drivers/perf: thunderx2_pmu: Fix memory resource error handling
    - sched/fair: Fix wrong cpu selecting from isolated domain
    - sched/fair: Use dst group while checking imbalance for NUMA balancer
    - [arm64] perf: Add missing ISB in armv8pmu_enable_counter()
    - [x86] perf/x86/intel/uncore: Update Ice Lake uncore units
    - [x86] perf/x86/intel/uncore: Reduce the number of CBOX counters
    - [x86] perf/x86/intel/uncore: Fix for iio mapping on Skylake Server
    - [x86] perf/x86/intel/uncore: Fix the scale of the IMC free-running
      events
    - [x86] x86/nmi: Fix nmi_handle() duration miscalculation
    - [amd64] x86/events/amd/iommu: Fix sizeof mismatch
    - [arm64] pinctrl: qcom: Set IRQCHIP_SET_TYPE_MASKED and
      IRQCHIP_MASK_ON_SUSPEND flags
    - [arm64] pinctrl: qcom: Use return value from irq_set_wake() call
    - [x86] perf/x86: Fix n_pair for cancelled txn
    - lockdep: Fix usage_traceoverflow
    - lockdep: Fix lockdep recursion
    - lockdep: Revert "lockdep: Use raw_cpu_*() for per-cpu variables"
    - perf/core: Fix race in the perf_mmap_close() function (CVE-2020-14351)
    - crypto: algif_skcipher - EBUSY on aio should be an error
    - crypto: ixp4xx - Fix the size used in a 'dma_free_coherent()' call
    - crypto: picoxcell - Fix potential race condition bug
    - media: vivid: Fix global-out-of-bounds read in precalculate_color()
    - crypto: ccree - fix runtime PM imbalance on error
    - media: hantro: h264: Get the correct fallback reference buffer
    - media: hantro: postproc: Fix motion vector space allocation
    - media: ov5640: Correct Bit Div register in clock tree diagram
    - media: i2c: fix error check on max9286_read call
    - media: m5mols: Check function pointer in m5mols_sensor_power
    - fscrypt: restrict IV_INO_LBLK_32 to ino_bits <= 32
    - media: uvcvideo: Set media controller entity functions
    - media: uvcvideo: Silence shift-out-of-bounds warning
    - media: staging/intel-ipu3: css: Correctly reset some memory
    - media: omap3isp: Fix memleak in isp_probe
    - media: i2c: ov5640: Remain in power down for DVP mode unless streaming
    - media: i2c: ov5640: Separate out mipi configuration from s_power
    - media: i2c: ov5640: Enable data pins on poweron for DVP mode
    - media: i2c: max9286: Allocate v4l2_async_subdev dynamically
    - crypto: sa2ul - fix compiler warning produced by clang
    - spi: fsi: Handle 9 to 15 byte transfers lengths
    - spi: fsi: Fix use of the bneq+ sequencer instruction
    - spi: fsi: Implement restricted size for certain controllers
    - spi: dw-pci: free previously allocated IRQs if desc->setup() fails
    - crypto: sa2ul - Select CRYPTO_AUTHENC
    - crypto: omap-sham - fix digcnt register handling with export/import
    - crypto: sa2ul - Fix pm_runtime_get_sync() error checking
    - regmap: debugfs: Fix more error path regressions
    - hwmon: (pmbus/max34440) Fix status register reads for MAX344{51,60,61}
    - hwmon: (w83627ehf) Fix a resource leak in probe
    - crypto: stm32/crc32 - Avoid lock if hardware is already used
    - crypto: sun8i-ce - handle endianness of t_common_ctl
    - media: mx2_emmaprp: Fix memleak in emmaprp_probe
    - media: mtk-mdp: Fix Null pointer dereference when calling list_add
    - media: tc358743: initialize variable
    - media: tc358743: cleanup tc358743_cec_isr
    - nvme: fix error handling in nvme_ns_report_zones
    - media: rcar-vin: Fix a reference count leak.
    - media: rockchip/rga: Fix a reference count leak.
    - media: platform: fcp: Fix a reference count leak.
    - media: camss: Fix a reference count leak.
    - media: s5p-mfc: Fix a reference count leak
    - media: stm32-dcmi: Fix a reference count leak
    - media: ti-vpe: Fix a missing check and reference count leak
    - regulator: resolve supply after creating regulator
    - hwmon: (bt1-pvt) Test sensor power supply on probe
    - hwmon: (bt1-pvt) Cache current update timeout
    - hwmon: (bt1-pvt) Wait for the completion with timeout
    - spi: imx: Fix freeing of DMA channels if spi_bitbang_start() fails
    - btrfs: add owner and fs_info to alloc_state io_tree
    - blk-mq: move cancel of hctx->run_work to the front of blk_exit_queue
    - ath10k: provide survey info as accumulated data
    - Bluetooth: hci_uart: Cancel init work before unregistering
    - [arm64,armhf] drm: panel: Fix bus format for OrtusTech COM43H4M85ULC
      panel
    - ath6kl: prevent potential array overflow in ath6kl_add_new_sta()
    - ath9k: Fix potential out of bounds in ath9k_htc_txcompletion_cb()
    - ath10k: Fix the size used in a 'dma_free_coherent()' call in an error
      handling path
    - wcn36xx: Fix reported 802.11n rx_highest rate wcn3660/wcn3680
    - [arm64] ASoC: qcom: lpass-platform: fix memory leak
    - [arm64] ASoC: qcom: lpass-cpu: fix concurrency issue
    - ath11k: Fix possible memleak in ath11k_qmi_init_service
    - brcmfmac: check ndev pointer
    - mwifiex: Do not use GFP_KERNEL in atomic context
    - [arm64] drm/malidp: Use struct drm_gem_object_funcs.get_sg_table
      internally
    - staging: rtl8192u: Do not use GFP_KERNEL in atomic context
    - drm/gma500: fix error check
    - scsi: qla4xxx: Fix an error handling path in 'qla4xxx_get_host_stats()'
    - scsi: qla2xxx: Fix the size used in a 'dma_free_coherent()' call
    - scsi: qla2xxx: Fix wrong return value in qlt_chk_unresolv_exchg()
    - scsi: qla2xxx: Fix wrong return value in qla_nvme_register_hba()
    - scsi: csiostor: Fix wrong return value in csio_hw_prep_fw()
    - libbpf: Fix unintentional success return code in bpf_object__load
    - wilc1000: Fix memleak in wilc_sdio_probe
    - wilc1000: Fix memleak in wilc_bus_probe
    - rtw88: don't treat NULL pointer as an array
    - backlight: sky81452-backlight: Fix refcount imbalance on error
    - staging: wfx: fix frame reordering
    - staging: emxx_udc: Fix passing of NULL to dma_alloc_coherent()
    - [x86] VMCI: check return value of get_user_pages_fast() for errors
    - mm/error_inject: Fix allow_error_inject function signatures.
    - drm: panel: Fix bpc for OrtusTech COM43H4M85ULC panel
    - Bluetooth: Clear suspend tasks on unregister
    - scsi: ufs: Make ufshcd_print_trs() consider UFSHCD_QUIRK_PRDT_BYTE_GRAN
    - binder: Remove bogus warning on failed same-process transaction
    - drm/amdgpu: fix max_entries calculation v4
    - soundwire: stream: fix NULL/IS_ERR confusion
    - soundwire: intel: fix NULL/ERR_PTR confusion
    - tty: hvcs: Don't NULL tty->driver_data until hvcs_cleanup()
    - pty: do tty_flip_buffer_push without port->lock in pty_write
    - [x86] pwm: lpss: Fix off by one error in base_unit math in
      pwm_lpss_prepare()
    - [x86] pwm: lpss: Add range limit check for the base_unit register value
    - sfc: don't double-down() filters in ef100_reset()
    - ath11k: fix a double free and a memory leak
    - video: fbdev: vga16fb: fix setting of pixclock because a pass-by-value
      error
    - video: fbdev: sis: fix null ptr dereference
    - video: fbdev: radeon: Fix memleak in radeonfb_pci_register
    - HID: roccat: add bounds checking in kone_sysfs_write_settings()
    - ath11k: fix uninitialized return in ath11k_spectral_process_data()
    - drm/msm: Avoid div-by-zero in dpu_crtc_atomic_check()
    - [arm64,armhf] drm/panfrost: Ensure GPU quirks are always initialised
    - iomap: Clear page error before beginning a write
    - iomap: Mark read blocks uptodate in write_begin
    - Bluetooth: Fix memory leak in read_adv_mon_features()
    - Bluetooth: Re-order clearing suspend tasks
    - [armhf] pinctrl: mcp23s08: Fix mcp23x17_regmap initialiser
    - [armhf] pinctrl: mcp23s08: Fix mcp23x17 precious range
    - pinctrl: devicetree: Keep deferring even on timeout
    - [s390x] bpf: Fix multiple tail calls
    - net/mlx5: Fix uninitialized variable warning
    - net/mlx5: Don't call timecounter cyc2time directly from 1PPS flow
    - scsi: mpt3sas: Fix sync irqs
    - [arm64,armhf] net: stmmac: Fix incorrect location to set
      real_num_rx|tx_queues
    - [arm64,armhf] net: stmmac: use netif_tx_start|stop_all_queues() function
    - xfs: force the log after remapping a synchronous-writes file
    - [arm64] cpufreq: armada-37xx: Add missing MODULE_DEVICE_TABLE
    - ASoC: topology: disable size checks for bytes_ext controls if needed
    - ASoC: tlv320adcx140: Fix digital gain range
    - nvmem: core: fix missing of_node_put() in of_nvmem_device_get()
    - dmaengine: ti: k3-udma-glue: fix channel enable functions
    - Bluetooth: Fix auto-creation of hci_conn at Conn Complete event
    - xhci: don't create endpoint debugfs entry before ring buffer is set.
    - [arm64] drm/msm: Fix the a650 hw_apriv check
    - net: dsa: rtl8366: Check validity of passed VLANs
    - net: dsa: rtl8366: Refactor VLAN/PVID init
    - net: dsa: rtl8366: Skip PVID setting if not requested
    - net: wilc1000: clean up resource in error path of init mon interface
    - ASoC: tlv320aic32x4: Fix bdiv clock rate derivation
    - net: dsa: rtl8366rb: Support all 4096 VLANs
    - ASoC: SOF: control: add size checks for ext_bytes control .put()
    - ASoC: tas2770: Fix unbalanced calls to pm_runtime
    - [armhf] spi: omap2-mcspi: Improve performance waiting for CHSTAT
    - ath11k: Add checked value for ath11k_ahb_remove
    - ath6kl: wmi: prevent a shift wrapping bug in
      ath6kl_wmi_delete_pstream_cmd()
    - drm: rcar-du: Put reference to VSP device
    - phy: rockchip-dphy-rx0: Include linux/delay.h
    - dmaengine: dmatest: Check list for emptiness before access its last
      entry
    - ASoC: cros_ec_codec: fix kconfig dependency warning for
      SND_SOC_CROS_EC_CODEC
    - misc: mic: scif: Fix error handling path
    - ALSA: seq: oss: Avoid mutex lock for a long-time ioctl
    - net/mlx5e: IPsec: Use kvfree() for memory allocated with kvzalloc()
    - [arm*] usb: dwc2: Fix parameter type in function pointer prototype
    - [arm64,armhf] usb: dwc3: core: Properly default unspecified speed
    - [arm*] usb: dwc2: Add missing cleanups when usb_add_gadget_udc() fails
    - rtw88: Fix probe error handling race with firmware loading
    - rtw88: Fix potential probe error handling race with wow firmware loading
    - quota: clear padding in v2r1_mem2diskdqb()
    - [arm*] drm/vc4: crtc: Rework a bit the CRTC state code
    - ASoC: fsl_sai: Instantiate snd_soc_dai_driver
    - HID: hid-input: fix stylus battery reporting
    - tty: hvc: fix link error with CONFIG_SERIAL_CORE_CONSOLE=n
    - tty: serial: imx: fix link error with CONFIG_SERIAL_CORE_CONSOLE=n
    - nvmem: core: fix possibly memleak when use
      nvmem_cell_info_to_nvmem_cell()
    - [x86] hv: clocksource: Add notrace attribute to read_hv_sched_clock_*()
      functions
    - nl80211: fix OBSS PD min and max offset validation
    - iomap: Use kzalloc to allocate iomap_page
    - ibmvnic: set up 200GBPS speed
    - bpf: disallow attaching modify_return tracing functions to other BPF
      programs
    - qtnfmac: fix resource leaks on unsupported iftype error return path
    - pinctrl: aspeed: Use the right pinconf mask
    - [arm64] iommu/qcom: add missing put_device() call in
      qcom_iommu_of_xlate()
    - iio: adc: stm32-adc: fix runtime autosuspend delay when slow polling
    - net: enic: Cure the enic api locking trainwreck
    - pinctrl: tigerlake: Fix register offsets for TGL-H variant
    - serial: 8250: Discard RTS/DTS setting from clock update method
    - serial: 8250: Skip uninitialized TTY port baud rate update
    - serial: 8250_dw: Fix clk-notifier/port suspend deadlock
    - mfd: syscon: Don't free allocated name for regmap_config
    - mfd: sm501: Fix leaks in probe()
    - dm: fix missing imposition of queue_limits from dm_wq_work() thread
    - pinctrl: single: fix pinctrl_spec.args_count bounds check
    - pinctrl: single: fix debug output when #pinctrl-cells = 2
    - staging: rtl8712: Fix enqueue_reorder_recvframe()
    - ASoC: wm_adsp: Pass full name to snd_ctl_notify
    - iwlwifi: mvm: split a print to avoid a WARNING in ROC
    - iwlwifi: dbg: remove no filter condition
    - iwlwifi: dbg: run init_cfg function once per driver load
    - usb: gadget: f_ncm: fix ncm_bitrate for SuperSpeed and above.
    - usb: gadget: u_serial: clear suspended flag when disconnecting
    - usb: gadget: u_ether: enable qmult on SuperSpeed Plus as well
    - bus: mhi: core: Fix the building of MHI module
    - ocxl: fix kconfig dependency warning for OCXL
    - nl80211: fix non-split wiphy information
    - [arm*] usb: dwc2: Fix INTR OUT transfers in DDMA mode.
    - scsi: target: tcmu: Fix warning: 'page' may be used uninitialized
    - scsi: be2iscsi: Fix a theoretical leak in beiscsi_create_eqs()
    - dmaengine: ioat: Allocate correct size for descriptor chunk
    - staging: qlge: fix build breakage with dumping enabled
    - ipmi_si: Fix wrong return value in try_smi_init()
    - tracing: Fix parse_synth_field() error handling
    - staging: wfx: fix BA sessions for older firmwares
    - [x86] platform/x86: mlx-platform: Remove PSU EEPROM configuration
    - dm: fix request-based DM to not bounce through indirect dm_submit_bio
    - mwifiex: fix double free
    - [arm64,armhf] drm/panfrost: increase readl_relaxed_poll_timeout values
    - drm/amdgpu: Fix invalid number of character '{' in amdgpu_acpi_init
    - ipvs: clear skb->tstamp in forwarding path
    - bpf, sockmap: Remove skb_orphan and let normal skb_kfree do cleanup
    - netfilter: nf_log: missing vlan offload tag and proto
    - mm/swapfile.c: fix potential memory leak in sys_swapon
    - mm: memcg/slab: fix racy access to page->mem_cgroup in
      mem_cgroup_from_obj()
    - mm/memcg: fix device private memcg accounting
    - mm/mmap.c: replace do_brk with do_brk_flags in comment of
      insert_vm_struct()
    - mm/page_alloc.c: fix freeing non-compound pages
    - mm, oom_adj: don't loop through tasks in __set_oom_adj when not
      necessary
    - fs: fix NULL dereference due to data race in prepend_path()
    - tracing: Handle synthetic event array field type checking correctly
    - i3c: master add i3c_master_attach_boardinfo to preserve boardinfo
    - IB/mlx4: Fix starvation in paravirt mux/demux
    - IB/mlx4: Adjust delayed work when a dup is observed
    - [powerpc*] pseries: Fix missing of_node_put() in rng_init()
    - [powerpc*] icp-hv: Fix missing of_node_put() in success path
    - rcu/tree: Force quiescent state on callback overload
    - rcutorture: Properly set rcu_fwds for OOM handling
    - refperf: Avoid null pointer dereference when buf fails to allocate
    - RDMA/ucma: Fix locking for ctx->events_reported
    - RDMA/ucma: Add missing locking around rdma_leave_multicast()
    - mtd: lpddr: fix excessive stack usage with clang
    - RDMA/hns: Add a check for current state before modifying QP
    - RDMA/umem: Fix signature of stub ib_umem_find_best_pgsz()
    - [powerpc*] pseries: explicitly reschedule during drmem_lmb list
      traversal
    - [powerpc*] pseries/drmem: don't cache node id in drmem_lmb struct
    - RDMA/mlx5: Fix potential race between destroy and CQE poll
    - mtd: mtdoops: Don't write panic data twice
    - perf tools: Make GTK2 support opt-in
    - [armel,armhf] 9007/1: l2c: fix prefetch bits init in L2X0_AUX_CTRL using
      DT values
    - xfs: fix finobt btree block recovery ordering
    - m68knommu: include SDHC support only when hardware has it
    - xfs: limit entries returned when counting fsmap records
    - xfs: fix deadlock and streamline xfs_getfsmap performance
    - nfs: add missing "posix" local_lock constant table definition
    - xfs: fix high key handling in the rt allocator's query_range function
    - RDMA/rtrs-srv: Incorporate ib_register_client into rtrs server init
    - RDMA/core: Delete function indirection for alloc/free kernel CQ
    - RDMA: Allow fail of destroy CQ
    - RDMA: Change XRCD destroy return value
    - RDMA: Restore ability to return error for destroy WQ
    - RDMA/umem: Fix ib_umem_find_best_pgsz() for mappings that cross a page
      boundary
    - RDMA/umem: Prevent small pages from being returned by
      ib_umem_find_best_pgsz()
    - RDMA/qedr: Fix qp structure memory leak
    - RDMA/qedr: Fix doorbell setting
    - RDMA/qedr: Fix use of uninitialized field
    - RDMA/qedr: Fix return code if accept is called on a destroyed qp
    - RDMA/qedr: Fix inline size returned for iWARP
    - [powerpc*] pseries/svm: Allocate SWIOTLB buffer anywhere in memory
    - [powerpc*] watchpoint: Fix quadword instruction handling on p10
      predecessors
    - [powerpc*] watchpoint: Fix handling of vector instructions
    - [powerpc*] watchpoint: Add hw_len wherever missing
    - [powerpc*] book3s64/hash/4k: Support large linear mapping range with 4K
    - [powerpc*] 64s/radix: Fix mm_cpumask trimming race vs kthread_use_mm
    - [powerpc*] papr_scm: Fix warning triggered by perf_stats_show()
    - RDMA/cma: Combine cma_ndev_work with cma_work
    - RDMA/cma: Remove dead code for kernel rdmacm multicast
    - RDMA/cma: Consolidate the destruction of a cma_multicast in one place
    - RDMA/cma: Fix use after free race in roce multicast join
    - perf intel-pt: Fix "context_switch event has no tid" error
    - perf metricgroup: Fix uncore metric expressions
    - RDMA/qedr: Fix resource leak in qedr_create_qp
    - RDMA/hns: Set the unsupported wr opcode
    - RDMA/mlx5: Use set_mkc_access_pd_addr_fields() in reg_create()
    - RDMA/mlx5: Make mkeys always owned by the kernel's PD when not enabled
    - RDMA/mlx5: Disable IB_DEVICE_MEM_MGT_EXTENSIONS if IB_WR_REG_MR can't
      work
    - i40iw: Add support to make destroy QP synchronous
    - perf stat: Skip duration_time in setup_system_wide
    - RDMA/hns: Add check for the validity of sl configuration
    - RDMA/hns: Solve the overflow of the calc_pg_sz()
    - RDMA/hns: Fix the wrong value of rnr_retry when querying qp
    - RDMA/hns: Fix configuration of ack_req_freq in QPC
    - RDMA/hns: Fix missing sq_sig_type when querying QP
    - RDMA/mlx5: Fix type warning of sizeof in __mlx5_ib_alloc_counters()
    - mtd: hyperbus: hbmc-am654: Fix direct mapping setup flash access
    - overflow: Include header file with SIZE_MAX declaration
    - mtd: parsers: bcm63xx: Do not make it modular
    - RDMA/ipoib: Set rtnl_link_ops for ipoib interfaces
    - [powerpc*] 64: fix irq replay missing preempt
    - [powerpc*] 64: fix irq replay pt_regs->softe value
    - [powerpc*] perf: Exclude pmc5/6 from the irrelevant PMU group
      constraints
    - [powerpc*] perf/hv-gpci: Fix starting index value
    - perf stat: Fix out of bounds CPU map access when handling armv8_pmu
      events
    - i3c: master: Fix error return in cdns_i3c_master_probe()
    - [powerpc*] security: Fix link stack flush instruction
    - [powerpc*] book3s64/radix: Make radix_mem_block_size 64bit
    - [powerpc*] papr_scm: Add PAPR command family to pass-through command-set
    - [powerpc*] cpufreq: powernv: Fix frame-size-overflow in
      powernv_cpufreq_reboot_notifier
    - IB/rdmavt: Fix sizeof mismatch
    - RDMA/rxe: Fix skb lifetime in rxe_rcv_mcast_pkt()
    - f2fs: reject CASEFOLD inode flag without casefold feature
    - um: vector: Use GFP_ATOMIC under spin lock
    - um: time-travel: Fix IRQ handling in time_travel_handle_message()
    - thermal: core: Adding missing nlmsg_free() in
      thermal_genl_sampling_temp()
    - perf trace: Fix off by ones in memset() after realloc() in arches using
      libaudit
    - f2fs: wait for sysfs kobject removal before freeing f2fs_sb_info
    - afs: Fix rapid cell addition/removal by not using RCU on cells tree
    - afs: Fix cell refcounting by splitting the usage counter
    - afs: Fix cell purging with aliases
    - afs: Fix cell removal
    - RDMA/rxe: Handle skb_clone() failure in rxe_recv.c
    - mm/page_owner: change split_page_owner to take a count
    - mm/huge_memory: fix split assumption of page size
    - mm: fix a race during THP splitting
    - lib/crc32.c: fix trivial typo in preprocessor condition
    - ramfs: fix nommu mmap with gaps in the page cache
    - rapidio: fix error handling path
    - rapidio: fix the missed put_device() for rio_mport_add_riodev
    - clk: meson: axg-audio: separate axg and g12a regmap tables
    - rtc: ds1307: Clear OSF flag on DS1388 when setting time
    - clk: meson: g12a: mark fclk_div2 as critical
    - PCI: designware-ep: Fix the Header Type check
    - PCI: aardvark: Fix compilation on s390
    - PCI: aardvark: Check for errors from pci_bridge_emul_init() call
    - PCI: iproc: Set affinity mask on MSI interrupts
    - PCI/IOV: Mark VFs as not implementing PCI_COMMAND_MEMORY
    - vfio: add a singleton check for vfio_group_pin_pages
    - [s390x] pci: Mark all VFs as not implementing PCI_COMMAND_MEMORY
    - vfio/pci: Decouple PCI_COMMAND_MEMORY bit checks from is_virtfn
    - vfio: fix a missed vfio group put in vfio_pin_pages
    - [x86,arm64] vfio/type1: fix dirty bitmap calculation in vfio_dma_rw
    - nfsd: Cache R, RW, and W opens separately
    - [x86] PCI: hv: Fix hibernation in case interrupts are not re-created
    - module: statically initialize init section freeing data
    - clk: at91: clk-main: update key before writing AT91_CKGR_MOR
    - clk: bcm2835: add missing release if devm_clk_hw_register fails
    - kbuild: deb-pkg: do not build linux-headers package if CONFIG_MODULES=n
    - watchdog: Fix memleak in watchdog_cdev_register
    - watchdog: Use put_device on error
    - watchdog: sp5100: Fix definition of EFCH_PM_DECODEEN3
    - clk: at91: sam9x60: support only two programmable clocks
    - svcrdma: fix bounce buffers for unaligned offsets and multiple pages
    - ext4: fix dead loop in ext4_mb_new_blocks
    - ext4: discard preallocations before releasing group lock
    - ext4: disallow modifying DAX inode flag if inline_data has been set
    - ext4: limit entries returned when counting fsmap records
    - vfio/pci: Clear token on bypass registration failure
    - [x86,arm64] vfio iommu type1: Fix memory leak in
      vfio_iommu_type1_pin_pages
    - clk: qcom: gdsc: Keep RETAIN_FF bit set if gdsc is already on
    - clk: imx8mq: Fix usdhc parents order
    - SUNRPC: fix copying of multiple pages in gss_read_proxy_verf()
    - NFSv4.2: Fix NFS4ERR_STALE error when doing inter server copy
    - platform/chrome: cros_ec_typec: Send enum values to
      usb_role_switch_set_role()
    - platform/chrome: cros_ec_lightbar: Reduce ligthbar get version command
    - Input: elants_i2c - fix typo for an attribute to show calibration count
    - Input: imx6ul_tsc - clean up some errors in imx6ul_tsc_resume()
    - Input: stmfts - fix a & vs && typo
    - Input: ep93xx_keypad - fix handling of platform_get_irq() error
    - Input: omap4-keypad - fix handling of platform_get_irq() error
    - Input: twl4030_keypad - fix handling of platform_get_irq() error
    - Input: sun4i-ps2 - fix handling of platform_get_irq() error
    - [x86] KVM: x86: emulating RDPID failure shall return #UD rather than #GP
    - [x86] KVM: nSVM: CR3 MBZ bits are only 63:52
    - scsi: bfa: Fix error return in bfad_pci_init()
    - [arm64] mm: use single quantity to represent the PA to VA translation
    - bpf: Enforce id generation for all may-be-null register type
    - net: dsa: seville: the packet buffer is 2 megabits, not megabytes
    - netfilter: conntrack: connection timeout after re-register
    - netfilter: ebtables: Fixes dropping of small packets in bridge nat
    - vdpa/mlx5: Make use of a specific 16 bit endianness API
    - vdpa/mlx5: Fix failure to bring link up
    - vdpa/mlx5: Setup driver only if VIRTIO_CONFIG_S_DRIVER_OK
    - netfilter: nf_fwd_netdev: clear timestamp in forwarding path
    - [arm64] soc: xilinx: Fix error code in zynqmp_pm_probe()
    - [arm64] arm64: dts: meson: vim3: correct led polarity
    - [armhf] dts: sun8i: r40: bananapi-m2-ultra: Fix dcdc1 regulator
    - [arm64] dts: allwinner: h5: remove Mali GPU PMU module
    - [armhf] memory: omap-gpmc: Fix a couple off by ones
    - [armhf] memory: omap-gpmc: Fix build error without CONFIG_OF
    - [arm64] dts: qcom: msm8992: Fix UART interrupt property
    - [arm64] dts: qcom: sdm845-db845c: Fix hdmi nodes
    - [arm64] dts: qcom: sm8150: fix up primary USB nodes
    - [arm64] dts: qcom: sc7180: Fix the LLCC base register size
    - memory: fsl-corenet-cf: Fix handling of platform_get_irq() error
    - firmware: arm_scmi: Fix NULL pointer dereference in mailbox_chan_free
    - [arm64] dts: mt8173-elm: fix supported values for
      regulator-allowed-modes of da9211
    - [arm64] dts: qcom: sm8250: Rename UART2 node to UART12
    - dmaengine: ti: k3-udma-glue: Fix parameters for rx ring pair request
    - [arm64] dts: imx8mq: Add missing interrupts to GPC
    - [arm64] dts: qcom: sc7180: Drop flags on mdss irqs
    - [arm64] dts: sdm845: Fixup OPP table for all qup devices
    - [arm64] dts: qcom: msm8916: Remove one more thermal trip point unit name
    - [arm64] dts: qcom: pm8916: Remove invalid reg size from wcd_codec
    - [arm64] dts: qcom: msm8916: Fix MDP/DSI interrupts
    - [arm64] dts: mt8173: elm: Fix nor_flash node property
    - [arm64] dts: ti: k3-j721e: Rename mux header and update macro names
    - [arm64] dts: actions: limit address range for pinctrl node
    - lightnvm: fix out-of-bounds write to array devices->info[]
    - [powerpc*] powernv/dump: Fix race while processing OPAL dump
    - [powerpc*] 64s: Remove TM from Power10 features
    - [powerpc*] pseries: Avoid using addr_to_pfn in real mode
    - nvmet: fix uninitialized work for zero kato
    - nvmet: limit passthru MTDS by BIO_MAX_PAGES
    - [x86] KVM: ioapic: break infinite recursion on lazy EOI (CVE-2020-27152)
    - NTB: hw: amd: fix an issue about leak system resources
    - sched/features: Fix !CONFIG_JUMP_LABEL case
    - perf: correct SNOOPX field offset
    - random32: make prandom_u32() output unpredictable
    - i2c: core: Restore acpi_walk_dep_device_list() getting called after
      registering the ACPI i2c devs
    - md/bitmap: fix memory leak of temporary bitmap
    - block: ratelimit handle_bad_sector() message
    - [x86] dumpstack: Fix misleading instruction pointer error message
    - crypto: ccp - fix error handling
    - [x86] asm: Replace __force_order with a memory clobber
    - [x86] mce: Add Skylake quirk for patrol scrub reported errors
    - media: firewire: fix memory leak
    - media: ati_remote: sanity check for both endpoints
    - media: st-delta: Fix reference count leak in delta_run_work
    - media: sti: Fix reference count leaks
    - media: exynos4-is: Fix several reference count leaks due to
      pm_runtime_get_sync
    - media: exynos4-is: Fix a reference count leak due to pm_runtime_get_sync
    - media: exynos4-is: Fix a reference count leak
    - media: vsp1: Fix runtime PM imbalance on error
    - media: platform: s3c-camif: Fix runtime PM imbalance on error
    - media: platform: sti: hva: Fix runtime PM imbalance on error
    - media: bdisp: Fix runtime PM imbalance on error
    - media: media/pci: prevent memory leak in bttv_probe
    - [x86] mce: Annotate mce_rd/wrmsrl() with noinstr
    - crypto: hisilicon - fixed memory allocation error
    - spi: fsi: Fix clock running too fast
    - blk-mq: always allow reserved allocation in hctx_may_queue
    - [x86] mce: Make mce_rdmsrl() panic on an inaccessible MSR
    - media: uvcvideo: Ensure all probed info is returned to v4l2
    - mmc: sdio: Check for CISTPL_VERS_1 buffer size
    - media: saa7134: avoid a shift overflow
    - media: atomisp: fix memleak in ia_css_stream_create
    - media: venus: fixes for list corruption
    - notifier: Fix broken error handling pattern
    - fs: dlm: fix configfs memory leak
    - media: venus: core: Fix error handling in probe
    - media: venus: core: Fix runtime PM imbalance in venus_probe
    - ntfs: add check for mft record size in superblock
    - ip_gre: set dev->hard_header_len and dev->needed_headroom properly
    - mac80211: handle lack of sband->bitrates in rates
    - staging: wfx: fix handling of MMIC error
    - libbpf: Close map fd if init map slots failed
    - bpf: Use raw_spin_trylock() for pcpu_freelist_push/pop in NMI
    - PM: hibernate: remove the bogus call to get_gendisk() in
      software_resume()
    - scsi: mvumi: Fix error return in mvumi_io_attach()
    - scsi: target: core: Add CONTROL field for trace events
    - [amd64] mic: vop: copy data to kernel space then write to io memory
    - [amd64] misc: vop: add round_up(x,4) for vring_size to avoid kernel
      panic
    - [arm64,armhf] usb: dwc3: Add splitdisable quirk for Hisilicon Kirin Soc
    - usb: gadget: function: printer: fix use-after-free in __lock_acquire
    - rtw88: pci: Power cycle device during shutdown
    - udf: Limit sparing table size
    - udf: Avoid accessing uninitialized data on failed inode read
    - rtw88: increse the size of rx buffer size
    - USB: cdc-acm: handle broken union descriptors
    - [arm64,armhf] usb: dwc3: simple: add support for Hikey 970
    - can: flexcan: flexcan_chip_stop(): add error handling and propagate
      error value
    - HID: multitouch: Lenovo X1 Tablet Gen3 trackpoint and buttons
    - ath9k: hif_usb: fix race condition between usb_get_urb() and
      usb_kill_anchored_urbs()
    - [arm64,armhf] drm/panfrost: add Amlogic GPU integration quirks
    - [arm64,armhf] drm/panfrost: add amlogic reset quirk callback
    - [arm64,armhf] drm/panfrost: add support for vendor quirk
    - bpf: Limit caller's stack depth 256 for subprogs with tailcalls
    - dma-direct: Fix potential NULL pointer dereference
    - misc: rtsx: Fix memory leak in rtsx_pci_probe
    - reiserfs: only call unlock_new_inode() if I_NEW
    - opp: Prevent memory leak in dev_pm_opp_attach_genpd()
    - xfs: make sure the rt allocator doesn't run off the end
    - usb: ohci: Default to per-port over-current protection
    - drm: fix double free for gbo in drm_gem_vram_init and
      drm_gem_vram_create
    - Bluetooth: Only mark socket zapped after unlocking
    - drm/msm/a6xx: fix a potential overflow issue
    - drm/xlnx: Use devm_drm_dev_alloc
    - iomap: fix WARN_ON_ONCE() from unprivileged users
    - scsi: ibmvfc: Fix error return in ibmvfc_probe()
    - scsi: qla2xxx: Warn if done() or free() are called on an already freed
      srb
    - soundwire: cadence: fix race condition between suspend and Slave device
      alerts
    - brcmsmac: fix memory leak in wlc_phy_attach_lcnphy
    - rtl8xxxu: prevent potential memory leak
    - Fix use after free in get_capset_info callback.
    - HID: ite: Add USB id match for Acer One S1003 keyboard dock
    - scsi: qedf: Return SUCCESS if stale rport is encountered
    - scsi: qedi: Mark all connections for recovery on link down event
    - scsi: qedi: Protect active command list to avoid list corruption
    - scsi: qedi: Fix list_del corruption while removing active I/O
    - fbmem: add margin check to fb_check_caps()
    - tty: ipwireless: fix error handling
    - Bluetooth: btusb: Fix memleak in btusb_mtk_submit_wmt_recv_urb
    - ipvs: Fix uninit-value in do_ip_vs_set_ctl()
    - reiserfs: Fix memory leak in reiserfs_parse_options()
    - [s390x] qeth: strictly order bridge address events
    - mwifiex: don't call del_timer_sync() on uninitialized timer
    - ALSA: hda/ca0132 - Add AE-7 microphone selection commands.
    - ALSA: hda/ca0132 - Add new quirk ID for SoundBlaster AE-7.
    - [x86] ASoC: SOF: Add topology filename override based on dmi data match
    - [x86] ASoC: Intel: sof_rt5682: override quirk data for
      tgl_max98373_rt5682
    - scsi: smartpqi: Avoid crashing kernel for controller issues
    - brcm80211: fix possible memleak in brcmf_proto_msgbuf_attach
    - usb: core: Solve race condition in anchor cleanup functions
    - soundwire: intel: reinitialize IP+DSP in .prepare(), but only when
      resuming
    - scsi: ufs: ufs-qcom: Fix race conditions caused by
      ufs_qcom_testbus_config()
    - dmaengine: dw: Add DMA-channels mask cell support
    - dmaengine: dw: Activate FIFO-mode for memory peripherals only
    - drm/hisilicon: Code refactoring for hibmc_drv_de
    - [arm64,armhf] drm/panfrost: perfcnt: fix ref count leak in
      panfrost_perfcnt_enable_locked
    - ath10k: check idx validity in __ath10k_htt_rx_ring_fill_n()
    - [s390x] qeth: don't let HW override the configured port role
    - tty: serial: lpuart: fix lpuart32_write usage
    - tty: serial: fsl_lpuart: fix lpuart32_poll_get_char
    - usb: gadget: bcm63xx_udc: fix up the error of undeclared usb_debug_root
    - usb: cdc-acm: add quirk to blacklist ETAS ES58X devices
    - USB: cdc-wdm: Make wdm_flush() interruptible and add wdm_fsync().
    - usb: cdns3: gadget: free interrupt after gadget has deleted
    - eeprom: at25: set minimum read/write access stride to 1
    - usb: gadget: f_ncm: allow using NCM in SuperSpeed Plus gadgets.
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.3
    - cpufreq: Improve code around unlisted freq check
    - netfilter: nftables_offload: KASAN slab-out-of-bounds Read in
      nft_flow_rule_create
    - io_uring: allow timeout/poll/files killing to take task into account
    - io_uring: move dropping of files into separate helper
    - io_uring: stash ctx task reference for SQPOLL
    - io_uring: unconditionally grab req->task
    - io_uring: return cancelation status from poll/timeout/files handlers
    - io_uring: enable task/files specific overflow flushing
    - io_uring: don't rely on weak ->files references
    - io_uring: reference ->nsproxy for file table commands
    - io_wq: Make io_wqe::lock a raw_spinlock_t
    - io-wq: fix use-after-free in io_wq_worker_running
    - io_uring: no need to call xa_destroy() on empty xarray
    - io_uring: Fix use of XArray in __io_uring_files_cancel
    - io_uring: Fix XArray usage in io_uring_add_task_file
    - io_uring: Convert advanced XArray uses to the normal API
    - scripts/setlocalversion: make git describe output more reliable
    - [arm64] efi/arm64: libstub: Deal gracefully with EFI_RNG_PROTOCOL
      failure
    - fs/kernel_read_file: Remove FIRMWARE_EFI_EMBEDDED enum
    - [arm64] Run ARCH_WORKAROUND_1 enabling code on all CPUs
    - [arm64] Run ARCH_WORKAROUND_2 enabling code on all CPUs
    - [arm64] link with -z norelro regardless of CONFIG_RELOCATABLE
    - [x86] PCI: Fix intel_mid_pci.c build error when ACPI is not enabled
    - efivarfs: Replace invalid slashes with exclamation marks in dentries.
    - bnxt_en: Check abort error state in bnxt_open_nic().
    - bnxt_en: Fix regression in workqueue cleanup logic in bnxt_remove_one().
    - bnxt_en: Invoke cancel_delayed_work_sync() for PFs also.
    - bnxt_en: Re-write PCI BARs after PCI fatal error.
    - bnxt_en: Send HWRM_FUNC_RESET fw command unconditionally.
    - cxgb4: set up filter action after rewrites
    - gtp: fix an use-before-init in gtp_newlink()
    - ibmveth: Fix use of ibmveth in a bridge.
    - ibmvnic: fix ibmvnic_set_mac
    - mlxsw: core: Fix memory leak on module removal
    - mlxsw: Only advertise link modes supported by both driver and device
    - netem: fix zero division in tabledist
    - net: hns3: Clear the CMDQ registers before unmapping BAR region
    - net: ipa: command payloads already mapped
    - net/sched: act_mpls: Add softdep on mpls_gso.ko
    - r8169: fix issue with forced threading in combination with shared
      interrupts
    - ravb: Fix bit fields checking in ravb_hwtstamp_get()
    - tcp: Prevent low rmem stalls with SO_RCVLOWAT.
    - tipc: fix memory leak caused by tipc_buf_append()
    - net/smc: fix invalid return code in smcd_new_buf_create()
    - net/smc: fix suppressed return code
    - net: protect tcf_block_unbind with block lock
    - erofs: avoid duplicated permission check for "trusted." xattrs
    - [x86] arch/x86/amd/ibs: Fix re-arming IBS Fetch
    - [x86] traps: Fix #DE Oops message regression
    - [x86] xen: disable Firmware First mode for correctable memory errors
    - PCI: aardvark: Fix initialization with old Marvell's Arm Trusted
      Firmware
    - ata: ahci: mvebu: Make SATA PHY optional for Armada 3720
    - fuse: fix page dereference after free
    - bpf: Fix comment for helper bpf_current_task_under_cgroup()
    - evm: Check size of security.evm before using it
    - p54: avoid accessing the data mapped to streaming DMA
    - cxl: Rework error message for incompatible slots
    - RDMA/addr: Fix race with netevent_callback()/rdma_addr_cancel()
    - mtd: lpddr: Fix bad logic in print_drs_error
    - [x86] drm/i915/gem: Serialise debugfs i915_gem_objects with ctx->mutex
    - serial: qcom_geni_serial: To correct QUP Version detection logic
    - serial: pl011: Fix lockdep splat when handling magic-sysrq interrupt
    - PM: runtime: Fix timer_expires data type on 32-bit arches
    - ata: sata_rcar: Fix DMA boundary mask
    - mm: mark async iocb read as NOWAIT once some data has been copied
    - xen/gntdev.c: Mark pages as dirty
    - io_uring: don't reuse linked_timeout
    - misc: rtsx: do not setting OC_POWER_DOWN reg in rtsx_pci_init_ocp()
    - phy: marvell: comphy: Convert internal SMCC firmware return codes to
      errno
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.4
    - [x86,powerpc] Rename memcpy_mcsafe() to copy_mc_to_{user, kernel}()
    - [x86] copy_mc: Introduce copy_mc_enhanced_fast_string()
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.5
    - xen/events: avoid removing an event channel while handling it
      (CVE-2020-27675)
    - xen/events: add a proper barrier to 2-level uevent unmasking
      (CVE-2020-27673)
    - xen/events: fix race in evtchn_fifo_unmask() (CVE-2020-27673)
    - xen/events: add a new "late EOI" evtchn framework (CVE-2020-27673)
    - xen/blkback: use lateeoi irq binding (CVE-2020-27673)
    - xen/netback: use lateeoi irq binding (CVE-2020-27673)
    - xen/scsiback: use lateeoi irq binding (CVE-2020-27673)
    - xen/pvcallsback: use lateeoi irq binding (CVE-2020-27673)
    - xen/pciback: use lateeoi irq binding (CVE-2020-27673)
    - xen/events: switch user event channels to lateeoi model (CVE-2020-27673)
    - xen/events: use a common cpu hotplug hook for event channels
      (CVE-2020-27673)
    - xen/events: defer eoi in case of excessive number of events
      (CVE-2020-27673)
    - xen/events: block rogue events for some time (CVE-2020-27673)
    - [arm64] tee: client UUID: Skip REE kernel login method as well
    - [x86] unwind/orc: Fix inactive tasks with stack pointer in %sp on GCC 10
      compiled kernels
    - [x86] alternative: Don't call text_poke() in lazy TLB mode
    - RDMA/mlx5: Fix devlink deadlock on net namespace deletion
    - afs: Fix a use after free in afs_xattr_get_acl()
    - afs: Fix afs_launder_page to not clear PG_writeback
    - RDMA/qedr: Fix memory leak in iWARP CM
    - ata: sata_nv: Fix retrieving of active qcs
    - [arm64] efi: increase EFI PE/COFF header padding to 64 KB
    - afs: Fix to take ref on page when PG_private is set
    - afs: Fix page leak on afs_write_begin() failure
    - afs: Fix where page->private is set during write
    - afs: Wrap page->private manipulations in inline functions
    - afs: Alter dirty range encoding in page->private
    - afs: Fix afs_invalidatepage to adjust the dirty region
    - afs: Fix dirty-region encoding on ppc32 with 64K pages
    - lockdep: Fix preemption WARN for spurious IRQ-enable
    - [arm64,armhf] usb: host: ehci-tegra: Fix error handling in
      tegra_ehci_probe()
    - futex: Fix incorrect should_fail_futex() handling
    - [powerpc*] vmemmap: Fix memory leak with vmemmap list allocation
      failures.
    - [powerpc*] powernv/smp: Fix spurious DBG() warning
    - RDMA/core: Change how failing destroy is handled during uobj abort
    - f2fs: allocate proper size memory for zstd decompress
    - mm: fix exec activate_mm vs TLB shootdown and lazy tlb switching race
    - [powerpc*] select ARCH_WANT_IRQS_OFF_ACTIVATE_MM
    - [sparc64] remove mm_cpumask clearing to fix kthread_use_mm race
    - f2fs: add trace exit in exception path
    - f2fs: do sanity check on zoned block device path
    - f2fs: fix uninit-value in f2fs_lookup
    - f2fs: fix to check segment boundary during SIT page readahead
    - [s390x] startup: avoid save_area_sync overflow
    - f2fs: compress: fix to disallow enabling compress on non-empty file
    - [s390x] ap/zcrypt: revisit ap and zcrypt error handling
    - f2fs: handle errors of f2fs_get_meta_page_nofail
    - afs: Don't assert on unpurgeable server records
    - [powerpc*] 64s: handle ISA v3.1 local copy-paste context switches
    - [armel,armhf] 8997/2: hw_breakpoint: Handle inexact watchpoint addresses
    - NFS4: Fix oops when copy_file_range is attempted with NFS4.0 source
    - xfs: Set xfs_buf type flag when growing summary/bitmap files
    - xfs: Set xfs_buf's b_ops member when zeroing bitmap/summary files
    - xfs: log new intent items created as part of finishing recovered intent
      items
    - power: supply: bq27xxx: report "not charging" on all types
    - xfs: change the order in which child and parent defer ops are finished
    - xfs: fix realtime bitmap/summary file truncation when growing rt volume
    - io_uring: don't set COMP_LOCKED if won't put
    - ath10k: fix retry packets update in station dump
    - [x86] kaslr: Initialize mem_limit to the real maximum address
    - drm/ast: Separate DRM driver from PCI code
    - drm/amdgpu: restore ras flags when user resets eeprom(v2)
    - ath10k: start recovery process when payload length exceeds max htc
      length for sdio
    - ath10k: fix VHT NSS calculation when STBC is enabled
    - drm/scheduler: Scheduler priority fixes (v2)
    - [x86] ASoC: SOF: fix a runtime pm issue in SOF when HDMI codec doesn't
      work
    - drm/bridge_connector: Set default status connected for eDP connectors
    - media: videodev2.h: RGB BT2020 and HSV are always full range
    - [x86] usb: typec: tcpm: During PR_SWAP, source caps should be sent only
      after tSwapSourceStart
    - mmc: via-sdmmc: Fix data race bug
    - brcmfmac: increase F2 watermark for BCM4329
    - [arm64] topology: Stop using MPIDR for topology information
    - printk: reduce LOG_BUF_SHIFT range for H8300
    - [ia64] kprobes: Use generic kretprobe trampoline handler
    - bpf: Permit map_ptr arithmetic with opcode add and offset 0
    - [arm64,armhf] drm: lima: fix common struct sg_table related issues
    - [arm64,armhf] drm: panfrost: fix common struct sg_table related issues
    - media: uvcvideo: Fix dereference of out-of-bound list iterator
    - selinux: access policycaps with READ_ONCE/WRITE_ONCE
    - samples/bpf: Fix possible deadlock in xdpsock
    - [riscv64] Define AT_VECTOR_SIZE_ARCH for ARCH_DLINFO
    - cpufreq: sti-cpufreq: add stih418 support
    - USB: adutux: fix debugging
    - mac80211: add missing queue/hash initialization to 802.3 xmit
    - usb: xhci: omit duplicate actions when suspending a runtime suspended
      host.
    - SUNRPC: Mitigate cond_resched() in xprt_transmit()
    - [arm64] mm: return cpu_all_mask when node is NUMA_NO_NODE
    - [armhf] can: flexcan: disable clocks during stop mode
    - xfs: don't free rt blocks when we're doing a REMAP bunmapi call
    - xfs: avoid LR buffer overrun due to crafted h_len
    - ACPI: Add out of bounds and numa_off protections to pxm_to_node()
    - brcmfmac: Fix warning message after dongle setup failed
    - ath11k: Use GFP_ATOMIC instead of GFP_KERNEL in
      ath11k_dp_htt_get_ppdu_desc
    - ath11k: fix warning caused by lockdep_assert_held
    - ath11k: change to disable softirqs for ath11k_regd_update to solve
      deadlock
    - drivers/net/wan/hdlc_fr: Correctly handle special skb->protocol values
    - [arm64,armhf] usb: dwc3: core: do not queue work if dr_mode is not
      USB_DR_MODE_OTG
    - [arm64] bus/fsl_mc: Do not rely on caller to provide non NULL mc_io
    - ACPI: HMAT: Fix handling of changes from ACPI 6.2 to ACPI 6.3
    - block: Consider only dispatched requests for inflight statistic
    - btrfs: fix replace of seed device
    - md/bitmap: md_bitmap_get_counter returns wrong blocks
    - f2fs: fix to set SBI_NEED_FSCK flag for inconsistent inode
    - bnxt_en: Log unknown link speed appropriately.
    - [arm64] rpmsg: glink: Use complete_all for open states
    - PCI/ACPI: Add Ampere Altra SOC MCFG quirk
    - [armhf] clk: ti: clockdomain: fix static checker warning
    - nfsd: rename delegation related tracepoints to make them less confusing
    - nfsd4: remove check_conflicting_opens warning
    - net: 9p: initialize sun_server.sun_path to have addr's value only when
      addr is valid
    - ceph: encode inodes' parent/d_name in cap reconnect message
    - jbd2: avoid transaction reuse after reformatting
    - ext4: Detect already used quota file early
    - [ppc64el] KVM: PPC: Book3S HV: Do not allocate HPT for a nested guest
    - scsi: core: Clean up allocation and freeing of sgtables
    - gfs2: call truncate_inode_pages_final for address space glocks
    - gfs2: Fix NULL pointer dereference in gfs2_rgrp_dump
    - gfs2: use-after-free in sysfs deregistration
    - gfs2: add validation checks for size of superblock
    - Handle STATUS_IO_TIMEOUT gracefully
    - cifs: handle -EINTR in cifs_setattr
    - [armhf] memory: emif: Remove bogus debugfs error handling
    - nbd: make the config put is called before the notifying the waiter
    - sgl_alloc_order: fix memory leak
    - nvme-rdma: fix crash when connect rejected
    - vmlinux.lds.h: Add PGO and AutoFDO input sections
    - [mips64el,mipsel] irqchip/loongson-htvec: Fix initial interrupt clearing
    - md: fix the checking of wrong work queue
    - md/raid5: fix oops during stripe resizing
    - mmc: sdhci: Add LTR support for some Intel BYT based controllers
    - mmc: sdhci-acpi: AMDI0040: Set SDHCI_QUIRK2_PRESET_VALUE_BROKEN
    - mm: memcg/slab: uncharge during kmem_cache_free_bulk()
    - seccomp: Make duplicate listener detection non-racy
    - [x86] perf/x86/intel: Fix Ice Lake event constraint table
    - [x86] perf/x86/amd: Fix sampling Large Increment per Cycle events
    - [x86] perf/amd/uncore: Set all slices and threads to restore perf stat
      -a behaviour
    - [x86] perf/x86/amd/ibs: Don't include randomized bits in
      get_ibs_op_count()
    - [x86] perf/x86/amd/ibs: Fix raw sample data accumulation
    - media: uvcvideo: Fix uvc_ctrl_fixup_xu_info() not having any effect
    - fs: Don't invalidate page buffers in block_write_full_page()
    - ACPI: configfs: Add missing config_item_put() to fix refcount leak
    - NFS: fix nfs_path in case of a rename retry
    - ACPI: button: fix handling lid state changes when input device closed
    - ACPI: video: use ACPI backlight for HP 635 Notebook
    - ACPI: debug: don't allow debugging when ACPI is disabled
    - PCI/ACPI: Whitelist hotplug ports for D3 if power managed by ACPI
    - ACPI: EC: PM: Flush EC work unconditionally after wakeup
    - ACPI: EC: PM: Drop ec_no_wakeup check from acpi_ec_dispatch_gpe()
    - acpi-cpufreq: Honor _PSD table setting on new AMD CPUs
    - io-wq: assign NUMA node locality if appropriate
    - w1: mxc_w1: Fix timeout resolution problem leading to bus error
    - fs/kernel_read_file: Remove FIRMWARE_PREALLOC_BUFFER enum
    - scsi: mptfusion: Fix null pointer dereferences in mptscsih_remove()
    - scsi: qla2xxx: Fix MPI reset needed message
    - scsi: qla2xxx: Fix reset of MPI firmware
    - scsi: qla2xxx: Fix crash on session cleanup with unload
    - PM: runtime: Remove link state checks in rpm_get/put_supplier()
    - btrfs: qgroup: fix wrong qgroup metadata reserve for delayed inode
    - btrfs: improve device scanning messages
    - btrfs: qgroup: fix qgroup meta rsv leak for subvolume operations
    - btrfs: sysfs: init devices outside of the chunk_mutex
    - btrfs: tracepoints: output proper root owner for
      trace_find_free_extent()
    - btrfs: reschedule if necessary when logging directory items
    - btrfs: send, orphanize first all conflicting inodes when processing
      references
    - btrfs: send, recompute reference path after orphanization of a directory
    - btrfs: use kvzalloc() to allocate clone_roots in btrfs_ioctl_send()
    - btrfs: tree-checker: fix false alert caused by legacy btrfs root item
    - btrfs: reschedule when cloning lots of extents
    - btrfs: cleanup cow block on error
    - btrfs: skip devices without magic signature when mounting
    - btrfs: tree-checker: validate number of chunk stripes and parity
    - btrfs: fix use-after-free on readahead extent after failure to create it
    - btrfs: fix readahead hang and use-after-free after removing a device
    - btrfs: drop the path before adding block group sysfs files
    - usb: xhci: Workaround for S3 issue on AMD SNPS 3.0 xHC
    - [arm64] usb: dwc3: pci: Allow Elkhart Lake to utilize DSM method for PM
      functionality
    - [arm64,armhf] usb: dwc3: ep0: Fix ZLP for OUT ep0 requests
    - [arm64,armhf] usb: dwc3: gadget: Check MPS of the request length
    - [arm64,armhf] usb: dwc3: gadget: Reclaim extra TRBs after request
      completion
    - [arm64,armhf] usb: dwc3: core: add phy cleanup for probe error handling
    - [arm64,armhf] usb: dwc3: core: don't trigger runtime pm when remove
      driver
    - [arm64,armhf] usb: dwc3: gadget: Resume pending requests after
      CLEAR_STALL
    - [arm64,armhf] usb: dwc3: gadget: END_TRANSFER before CLEAR_STALL command
    - usb: cdc-acm: fix cooldown mechanism
    - [x86] usb: typec: tcpm: reset hard_reset_count for any disconnect
    - usbcore: Check both id_table and match() when both available
    - USB: apple-mfi-fastcharge: don't probe unhandled devices
    - [x86] drm/i915: Force VT'd workarounds when running as a guest OS
    - vt: keyboard, simplify vt_kdgkbsent
    - vt: keyboard, extend func_buf_lock to readers (CVE-2020-25656)
    - vt_ioctl: fix GIO_UNIMAP regression
    - HID: wacom: Avoid entering wacom_wac_pen_report for pad / battery
    - [x86] mce: Allow for copy_mc_fragile symbol checksum to be generated
    - [arm64] tty: serial: fsl_lpuart: LS1021A has a FIFO size of 16 words,
      like LS1028A
    - tracing: Fix race in trace_open and buffer resize call
    - [powerpc*] Fix random segfault when freeing hugetlb range
    - udf: Fix memory leak when mounting
    - rcu-tasks: Fix grace-period/unlock race in RCU Tasks Trace
    - rcu-tasks: Fix low-probability task_struct leak
    - rcu-tasks: Enclose task-list scan in rcu_read_lock()
    - [s390x] stp: add locking to sysfs functions
    - [powerpc*] rtas: Restrict RTAS requests from userspace
    - [powerpc*] Warn about use of smt_snooze_delay
    - [powerpc*] memhotplug: Make lmb size 64bit
    - [powerpc*] powernv/elog: Fix race while processing OPAL error log event.
    - [powerpc*] powermac: Fix low_sleep_handler with KUAP and KUEP
    - [powerpc*] mce: Avoid nmi_enter/exit in real mode on pseries hash
    - [powerpc*] Fix undetected data corruption with P9N DD2.1 VSX CI load
      emulation
    - [powerpc*] 32: Fix vmap stack - Do not activate MMU before reading task
      struct
    - [powerpc*] 32: Fix vmap stack - Properly set r1 before activating MMU
    - block: advance iov_iter on bio_add_hw_page failure
    - io_uring: use type appropriate io_kiocb handler for double poll
    - [armhf] remoteproc: Fixup coredump debugfs disable request
    - gfs2: Make sure we don't miss any delayed withdraws
    - gfs2: Only access gl_delete for iopen glocks
    - NFSv4: Wait for stateid updates after CLOSE/OPEN_DOWNGRADE
    - NFSv4.2: support EXCHGID4_FLAG_SUPP_FENCE_OPS 4.2 EXCHANGE_ID flag
    - NFSD: Add missing NFSv2 .pc_func methods
    - ubifs: dent: Fix some potential memory leaks while iterating entries
    - ubifs: xattr: Fix some potential memory leaks while iterating entries
    - ubifs: journal: Make sure to not dirty twice for auth nodes
    - ubifs: Fix a memleak after dumping authentication mount options
    - ubifs: Don't parse authentication mount options in remount process
    - ubifs: mount_ubifs: Release authentication resource in error handling
      path
    - perf vendor events amd: Add L2 Prefetch events for zen1
    - perf python scripting: Fix printable strings in python3 scripts
    - ubi: check kthread_should_stop() after the setting of task state
    - [arm64,armhf] i2c: imx: Fix external abort on interrupt in exit paths
    - drm/amdgpu: don't map BO in reserved region
    - drm/amdgpu: vcn and jpeg ring synchronization
    - drm/amdgpu: update golden setting for sienna_cichlid
    - drm/amdgpu: correct the gpu reset handling for job != NULL case
    - drm/amdgpu: add function to program pbb mode for sienna cichlid
    - drm/amdgpu: increase the reserved VM size to 2MB
    - ceph: promote to unsigned long long before shifting
    - libceph: clear con->out_msg on Policy::stateful_server faults
    - 9P: Cast to loff_t before multiplying
    - net/sunrpc: Fix return value for sysctl sunrpc.transports
    - [arm64] PCI: qcom: Make sure PCIe is reset before init for rev 2.1.0
    - ring-buffer: Return 0 on success from ring_buffer_resize()
    - [x86] intel_idle: Ignore _CST if control cannot be taken from the
      platform
    - [x86] intel_idle: Fix max_cstate for processor models without C-state
      tables
    - cpufreq: Avoid configuring old governors as default with intel_pstate
    - cpufreq: Introduce CPUFREQ_NEED_UPDATE_LIMITS driver flag
    - cpufreq: intel_pstate: Avoid missing HWP max updates in passive mode
    - [amd64] vringh: fix __vringh_iov() when riov and wiov are different
    - ext4: fix leaking sysfs kobject after failed mount
    - ext4: fix error handling code in add_new_gdb
    - ext4: implement swap_activate aops using iomap
    - ext4: fix invalid inode checksum
    - ext4: clear buffer verified flag if read meta block from disk
    - ext4: fix bdev write error check failed when mount fs with ro
    - ext4: fix bs < ps issue reported with dioread_nolock mount opt
    - ext4: do not use extent after put_bh
    - drm/ttm: fix eviction valuable range check.
    - [arm64] mmc: sdhci-of-esdhc: make sure delay chain locked for HS400
    - [arm64] mmc: sdhci-of-esdhc: set timeout to max before tuning
    - mmc: sdhci: Use Auto CMD Auto Select only when v4_mode is true
    - [arm64,armhf] memory: tegra: Remove GPU from DRM IOMMU group
    - futex: Adjust absolute futex timeouts with per time namespace offset
    - drm/amd/psp: Fix sysfs: cannot create duplicate filename
    - drm/amdgpu: correct the cu and rb info for sienna cichlid
    - tty: make FONTX ioctl use the tty pointer they were actually passed
      (CVE-2020-25668)
    - cachefiles: Handle readpage error correctly
    - [hppa] hil/parisc: Disable HIL driver when it gets stuck
    - [arm64] Change .weak to SYM_FUNC_START_WEAK_PI for arch/arm64/lib/mem*.S
    - [arm64] dts: marvell: espressobin: Add ethernet switch aliases
    - null_blk: synchronization fix for zoned device
    - device property: Keep secondary firmware node secondary by type
    - device property: Don't clear secondary pointer for shared primary
      firmware node
    - [x86] KVM: Fix NULL dereference at kvm_msr_ignored_check()
    - [arm64] KVM: Fix AArch32 handling of DBGD{CCINT,SCRext} and DBGVCR
    - stop_machine, rcu: Mark functions as notrace
    - [x86] staging: comedi: cb_pcidas: Allow 2-channel commands for AO
      subdevice
    - [mips64el,mipsel] staging: octeon: repair "fixed-link" support
    - [mips64el,mipsel] staging: octeon: Drop on uncorrectable alignment or
      FCS error
    - cpufreq: Introduce cpufreq_driver_test_flags()
    - cpufreq: schedutil: Always call driver if CPUFREQ_NEED_UPDATE_LIMITS is
      set
    - time: Prevent undefined behaviour in timespec64_to_ns()
    - time/sched_clock: Mark sched_clock_read_begin/retry() as notrace
    - null_blk: Fix zone reset all tracing
    - null_blk: Fix locking in zoned mode
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.6
    - [x86] ASOC: SOF: Intel: hda-codec: move unused label to correct position

  [ Sudip Mukherjee ]
  * Remove libtraceevent. (See: #971976)

  [ Vagrant Cascadian ]
  * [arm64] Add i2c_mv64xxx i2c-modules udeb.
  * [arm64] Add drivers/pinctrl to kernel-image udeb.

  [ Salvatore Bonaccorso ]
  * [rt] Update to 5.9.1-rt20
  * [rt] Drop "io_wq: Make io_wqe::lock a raw_spinlock_t"
  * [rt] Refresh "kernel/sched: move stack + kprobe clean up to
    __put_task_struct()" for context changes in 5.9.3
  * Bump ABI to 2
  * [x86] media/cec: Enable MEDIA_CEC_SUPPORT; Enable CEC_SECO as module
    (Closes: #972973)
  * [rt] Drop "printk: reduce LOG_BUF_SHIFT range for H8300"
  * [rt] Drop "mm: fix exec activate_mm vs TLB shootdown and lazy tlb
    switching race"
  * [x86] pinctrl: Enable PINCTRL_TIGERLAKE (Closes: #973372)
  * [x86] sound/soc: Enable SND_SOC_SOF_TIGERLAKE_SUPPORT (Closes: #973879)
  * perf/core: Fix a memory leak in perf_event_parse_addr_filter()

  [ Ben Hutchings ]
  * [rt] Rebase seqlock patches on top of 5.9.6

  [ John Paul Adrian Glaubitz ]
  * [sh4] Update kernel configuration for sh7785lcr flavor
    - Compile CONFIG_HID, CONFIG_USB_HID, CONFIG_INPUT_EVDEV and
      CONFIG_R8169 as modules to reduce kernel image size
    - Disable CONFIG_KEYBOARD_ATKBD, CONFIG_MOUSE_PS2*, CONFIG_SERIO*
      and CONFIG_PARPORT_1284 as the SH-7785LCR board does not support
      PC-style keyboards, serial and parallel ports and mice

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 08 Nov 2020 13:40:04 +0100

linux (5.9.1-1) unstable; urgency=medium

  * New upstream release: https://kernelnewbies.org/Linux_5.9
  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.9.1
    - Bluetooth: A2MP: Fix not initializing all members (CVE-2020-12352)
    - Bluetooth: L2CAP: Fix calling sk_filter on non-socket based channel
      (CVE-2020-12351)
    - Bluetooth: MGMT: Fix not checking if BT_HS is enabled
    - media: usbtv: Fix refcounting mixup
    - USB: serial: option: add Cellient MPL200 card
    - USB: serial: option: Add Telit FT980-KS composition
    - [x86] staging: comedi: check validity of wMaxPacketSize of usb endpoints
      found
    - USB: serial: pl2303: add device-id for HP GC device
    - USB: serial: ftdi_sio: add support for FreeCalypso JTAG+UART adapters
    - vt_ioctl: make VT_RESIZEX behave like VT_RESIZE
    - reiserfs: Initialize inode keys properly
    - reiserfs: Fix oops during mount
    - Revert "drm/amdgpu: Fix NULL dereference in dpm sysfs handlers"
    - [x86] crypto: qat - check cipher length for aead AES-CBC-HMAC-SHA

  [ Romain Perier ]
  * [rt] Update to 5.9-rc8-rt12

  [ Uwe Kleine-König ]
  * [armhf,arm64] Enable CONFIG_VIDEO_SUNXI_CEDRUS (Closes: #972123)

  [ Salvatore Bonaccorso ]
  * [rt] Update to 5.9-rt16
  * [x86]  ACPI / extlog: Check for RDMSR failure (Closes: #971058)
  * Set ABI to 1

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Oct 2020 15:14:43 +0200

linux (5.9~rc8-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Ben Hutchings ]
  * linux-doc: Correct index filename in package description
  * [amd64/cloud-amd64] Generalise the description of supported platforms

  [ Salvatore Bonaccorso ]
  * [rt] Update to 5.9-rc8-rt11

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 05 Oct 2020 23:17:12 +0200

linux (5.9~rc6-1~exp1) experimental; urgency=medium

  * New upstream release candidate:

  [ Ben Hutchings ]
  * linux-signed-*: Set Uploaders and Standards-Version to match linux
  * [rt] Update to 5.9-rc5-rt7 and re-enable

  [ Uwe Kleine-König ]
  * [arm64,generic] Enable configs used on SMARC-sAL28 board and its carriers.
    Patch by Michael Walle.

  [ Gianfranco Costamagna ]
  * Provide virtualbox-guest-modules now that the module is inside the kernel
    itself.

  [ Salvatore Bonaccorso ]
  * Set ABI to trunk
  * drivers/net/wireless: Enable RTW88_8821CE (Closes: #917941)

 -- Ben Hutchings <benh@debian.org>  Mon, 21 Sep 2020 03:23:41 +0100

linux (5.9~rc4-1~exp1) experimental; urgency=medium

  * New upstream release candidate

  [ Ben Hutchings ]
  * Un-export symbols no longer needed by the Android ashmem and binder drivers
  * aufs: Disable support patchset until it is updated for Linux 5.9
  * Makefile: Do not check for libelf when building OOT module
  * udeb: Move any compression modules to kernel-image; drop compress-modules
  * libtraceevent1: Update symbols list for functions added in 5.9
  * drm/virtio: Revert "drm/virtio: Call the right shmem helpers"

 -- Ben Hutchings <benh@debian.org>  Fri, 11 Sep 2020 04:20:59 +0100

linux (5.8.14-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.11
    - dt-bindings: spi: Fix spi-bcm-qspi compatible ordering
    - net: handle the return value of pskb_carve_frag_list() correctly
    - dt-bindings: PCI: intel,lgm-pcie: Fix matching on all snps,dw-pcie
      instances
    - [x86] hv_netvsc: Remove "unlikely" from netvsc_select_queue
    - loop: Set correct device size when using LOOP_CONFIGURE
    - firmware_loader: fix memory leak for paged buffer
    - xprtrdma: Release in-flight MRs on disconnect
    - NFSv4.1 handle ERR_DELAY error reclaiming locking state on delegation
      recall
    - [armhf] phy: omap-usb2-phy: disable PHY charger detect
    - scsi: pm8001: Fix memleak in pm8001_exec_internal_task_abort
    - scsi: libfc: Fix for double free()
    - scsi: lpfc: Fix FLOGI/PLOGI receive race condition in pt2pt discovery
    - scsi: lpfc: Extend the RDF FPIN Registration descriptor for additional
      events
    - [arm64] regulator: pwm: Fix machine constraints application
    - NFS: Zero-stateid SETATTR should first return delegation
    - SUNRPC: stop printk reading past end of string
    - cifs: fix DFS mount with cifsacl/modefromsid
    - nvme-fc: cancel async events before freeing event struct
    - nvme-rdma: cancel async events before freeing event struct
    - block: only call sched requeue_request() for scheduled requests
    - f2fs: fix indefinite loop scanning for free nid
    - f2fs: Return EOF on unaligned end of file DIO read
    - i2c: algo: pca: Reapply i2c bus settings after reset
    - spi: Fix memory leak on splited transfers
    - [mips*] KVM: Change the definition of kvm type
    - [arm64,armhf] clk: rockchip: Fix initialization of mux_pll_src_4plls_p
    - [x86] ASoC: Intel: skl_hda_dsp_generic: Fix NULLptr dereference in
      autosuspend delay
    - [arm64] ASoC: qcom: Set card->owner to avoid warnings
    - ASoC: qcom: common: Fix refcount imbalance on error
    - [powerpc*] book3s64/radix: Fix boot failure with large amount of guest
      memory
    - ASoC: soc-core: add snd_soc_find_dai_with_mutex()
    - [x86] ASoC: Intel: haswell: Fix power transition refactor
    - ASoC: core: Do not cleanup uninitialized dais on soc_pcm_open failure
    - [x86] Drivers: hv: vmbus: hibernation: do not hang forever in
      vmbus_bus_resume()
    - scsi: libsas: Fix error path in sas_notify_lldd_dev_found()
    - [arm64] Allow CPUs unffected by ARM erratum 1418040 to come in late
    - [x86] Drivers: hv: vmbus: Add timeout to vmbus_wait_for_unload
    - [x86] drm/i915/gem: Reduce context termination list iteration guard to
      RCU
    - fbcon: Fix user font detection test at fbcon_resize().
    - [arm64] bpf: Fix branch offset in JIT
    - [amd64] iommu/amd: Fix potential @entry null deref
    - [amd64] iommu/amd: Restore IRTE.RemapEn bit for
      amd_iommu_activate_guest_mode
    - [riscv64] Add sfence.vma after early page table changes
    - locking/lockdep: Fix "USED" <- "IN-NMI" inversions
    - efi: efibc: check for efivars write capability
    - locking/percpu-rwsem: Use this_cpu_{inc,dec}() for read_count
    - [x86] unwind/fp: Fix FP unwinding in ret_from_fork
    - [x86] drm/i915/gem: Delay tracking the GEM context until it is
      registered
    - [x86] drm/i915: Filter wake_flags passed to default_wake_function
    - USB: quirks: Add USB_QUIRK_IGNORE_REMOTE_WAKEUP quirk for BYD zhaoxin
      notebook
    - USB: UAS: fix disconnect by unplugging a hub
    - usblp: fix race between disconnect() and read()
    - [x86] usb: typec: ucsi: acpi: Increase command completion timeout value
    - [x86] usb: typec: ucsi: Prevent mode overrun
    - [x86] i2c: i801: Fix resume bug
    - Revert "ALSA: hda - Fix silent audio output and corrupted input on MSI
      X570-A PRO"
    - ALSA: hda: fixup headset for ASUS GX502 laptop
    - ALSA: hda/realtek - The Mic on a RedmiBook doesn't work
    - percpu: fix first chunk size calculation for populated bitmap
    - Input: trackpoint - add new trackpoint variant IDs
    - Input: i8042 - add Entroware Proteus EL07R4 to nomux and reset lists
    - [x86] thunderbolt: Retry DROM read once if parsing fails
    - serial: 8250_pci: Add Realtek 816a and 816b
    - serial: core: fix port-lock initialisation
    - serial: core: fix console port-lock regression
    - ksm: reinstate memcg charge on copied pages
    - kprobes: fix kill kprobe which has been marked as gone
    - mm/thp: fix __split_huge_pmd_locked() for migration PMD
    - [s390x] add 3f program exception handler
    - [s390x] pci: fix leak of DMA tables on hard unplug
    - [s390x] zcrypt: fix kmalloc 256k failure
    - ehci-hcd: Move include to keep CRC stable
    - [arm64] paravirt: Initialize steal time when cpu is online
    - [powerpc*] dma: Fix dma_map_ops::get_required_mask
    - dm/dax: Fix table reference counts
    - mm/memory_hotplug: drain per-cpu pages again during memory offline
    - dm: Call proper helper to determine dax support
    - dax: Fix compilation for CONFIG_DAX && !CONFIG_FS_DAX
    - mm: memcg: fix memcg reclaim soft lockup
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.12
    - act_ife: load meta modules before tcf_idr_check_alloc()
    - bnxt_en: Avoid sending firmware messages when AER error is detected.
    - bnxt_en: Fix NULL ptr dereference crash in bnxt_fw_reset_task()
    - cxgb4: fix memory leak during module unload
    - cxgb4: Fix offset when clearing filter byte counters
    - geneve: add transport ports in route lookup for geneve (CVE-2020-25645)
    - hdlc_ppp: add range checks in ppp_cp_parse_cr() (CVE-2020-25643)
    - [arm64,x86] hinic: bump up the timeout of SET_FUNC_STATE cmd
    - ip: fix tos reflection in ack and reset packets
    - ipv4: Initialize flowi4_multipath_hash in data path
    - ipv4: Update exception handling for multipath routes via same device
    - ipv6: avoid lockdep issue in fib6_del()
    - net: bridge: br_vlan_get_pvid_rcu() should dereference the VLAN group
      under RCU
    - net: DCB: Validate DCB_ATTR_DCB_BUFFER argument
    - net: Fix bridge enslavement failure
    - net: ipv6: fix kconfig dependency warning for IPV6_SEG6_HMAC
    - net/mlx5: Fix FTE cleanup
    - net: phy: call phy_disable_interrupts() in phy_attach_direct() instead
    - net: sched: initialize with 0 before setting erspan md->u
    - net: sch_generic: aviod concurrent reset and enqueue op for lockless
      qdisc
    - net: sctp: Fix IPv6 ancestor_size calc in sctp_copy_descendant
    - nfp: use correct define to return NONE fec
    - tipc: Fix memory leak in tipc_group_create_member()
    - tipc: fix shutdown() of connection oriented socket
    - tipc: use skb_unshare() instead in tipc_buf_append()
    - net/mlx5e: Enable adding peer miss rules only if merged eswitch is
      supported
    - bnxt_en: Use memcpy to copy VPD field info.
    - bnxt_en: return proper error codes in bnxt_show_temp
    - bnxt_en: Protect bnxt_set_eee() and bnxt_set_pauseparam() with mutex.
    - net: phy: Avoid NPD upon phy_detach() when driver is unbound
    - net: phy: Do not warn in phy_stop() on PHY_DOWN
    - net: add __must_check to skb_put_padto()
    - [armhf] net: ethernet: ti: cpsw_new: fix suspend/resume
    - wireguard: noise: take lock when removing handshake entry from table
    - wireguard: peerlookup: take lock before checking hash in replace
      operation
    - net/mlx5e: Fix memory leak of tunnel info when rule under multipath not
      ready
    - [arm64,x86] hinic: fix rewaking txq after netif_tx_disable
    - [x86] hv_netvsc: Fix hibernation for mlx5 VF driver
    - [arm64,armhf] net: dsa: link interfaces with the DSA master to get rid
      of lockdep warnings
    - net: macb: fix for pause frame receive enable bit
    - Revert "netns: don't disable BHs when locking "nsid_lock""
    - net/mlx5e: Use RCU to protect rq->xdp_prog
    - net/mlx5e: Use synchronize_rcu to sync with NAPI
    - net/mlx5e: Fix endianness when calculating pedit mask first bit
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.13
    - device_cgroup: Fix RCU list debugging warning
    - [x86] ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN Converter9 2-in-1
    - [riscv64] Take text_mutex in ftrace_init_nop()
    - [armhf] i2c: aspeed: Mask IRQ status to relevant bits
    - [s390x] init: add missing __init annotations
    - lockdep: fix order in trace_hardirqs_off_caller()
    - i2c: core: Call i2c_acpi_install_space_handler() before
      i2c_acpi_register_devices()
    - objtool: Fix noreturn detection for ignored functions
    - mwifiex: Increase AES key storage size to 256 bits
    - batman-adv: bla: fix type misuse for backbone_gw hash indexing
    - libbpf: Fix build failure from uninitialized variable warning
    - atm: eni: fix the missed pci_disable_device() for eni_init_one()
    - batman-adv: mcast/TT: fix wrongly dropped or rerouted packets
    - netfilter: ctnetlink: add a range check for l3/l4 protonum
      (CVE-2020-25211)
    - netfilter: ctnetlink: fix mark based dump filtering regression
    - netfilter: conntrack: nf_conncount_init is failing with IPv6 disabled
    - netfilter: nft_meta: use socket user_ns to retrieve skuid and skgid
    - mac802154: tx: fix use-after-free
    - bpf: Fix clobbering of r2 in bpf_gen_ld_abs
    - tools/libbpf: Avoid counting local symbols in ABI check
    - [arm*] drm/vc4/vc4_hdmi: fill ASoC card owner
    - net: qed: Disable aRFS for NPAR and 100G
    - net: qede: Disable aRFS for NPAR and 100G
    - net: qed: RDMA personality shouldn't fail VF load
    - igc: Fix wrong timestamp latency numbers
    - igc: Fix not considering the TX delay for timestamps
    - [x86] hv_netvsc: Switch the data path at the right time during
      hibernation
    - RDMA/core: Fix ordering of CQ pool destruction
    - batman-adv: Add missing include for in_interrupt()
    - xsk: Fix number of pinned pages/umem size discrepancy
    - batman-adv: mcast: fix duplicate mcast packets in BLA backbone from LAN
    - batman-adv: mcast: fix duplicate mcast packets in BLA backbone from mesh
    - batman-adv: mcast: fix duplicate mcast packets from BLA backbone to mesh
    - bpf: Fix a rcu warning for bpffs map pretty-print
    - mac80211: do not disable HE if HT is missing on 2.4 GHz
    - cfg80211: fix 6 GHz channel conversion
    - mac80211: fix 80 MHz association to 160/80+80 AP on 6 GHz
    - [x86] ALSA: asihpi: fix iounmap in error handler
    - io_uring: fix openat/openat2 unified prep handling
    - SUNRPC: Fix svc_flush_dcache()
    - regmap: fix page selection for noinc reads
    - regmap: fix page selection for noinc writes
    - net/mlx5e: mlx5e_fec_in_caps() returns a boolean
    - [mips64el,mipsel] Loongson-3: Fix fp register access if MSA enabled
    - [armhf] PM / devfreq: tegra30: Disable clock on error in probe
    - [arm64,armhf] regulator: axp20x: fix LDO2/4 description
    - [x86] KVM: Reset MMU context if guest toggles CR4.SMAP or CR4.PKE
    - [x86] KVM: SVM: Add a dedicated INVD intercept routine
    - mm: validate pmd after splitting
    - [x86] arch/x86/lib/usercopy_64.c: fix __copy_user_flushcache() cache
      writeback
    - [x86] irq: Make run_on_irqstack_cond() typesafe
    - [x86] ioapic: Unbreak check_timer()
    - scsi: lpfc: Fix initial FLOGI failure due to BBSCN not supported
    - ALSA: usb-audio: Add delay quirk for H570e USB headsets
    - ALSA: hda/realtek - Couldn't detect Mic if booting with headset plugged
    - ALSA: hda/realtek: Enable front panel headset LED on Lenovo ThinkStation
      P520
    - lib/string.c: implement stpcpy
    - tracing: fix double free
    - [s390x] dasd: Fix zero write for FBA devices
    - kprobes: Fix to check probe enabled before disarm_kprobe_ftrace()
    - kprobes: tracing/kprobes: Fix to kill kprobes on initmem after boot
    - btrfs: fix put of uninitialized kobject after seed device delete
    - btrfs: fix overflow when copying corrupt csums for a message
    - media: cec-adap.c: don't use flush_scheduled_work()
    - dmabuf: fix NULL pointer dereference in dma_buf_release()
    - mm, THP, swap: fix allocating cluster for swapfile by mistake
    - mm/gup: fix gup_fast with dynamic page table folding
    - mm: replace memmap_context by meminit_context
    - mm: don't rely on system state to detect hot-plug operations
    - [s390x] zcrypt: Fix ZCRYPT_PERDEV_REQCNT ioctl
    - io_uring: ensure open/openat2 name is cleaned on cancelation
    - [arm64] KVM: Assume write fault on S1PTW permission fault on instruction
      fetch
    - dm: fix bio splitting and its bio completion order for regular IO
    - [armhf] clocksource/drivers/timer-ti-dm: Do reset before enable
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.14
    - io_uring: always delete double poll wait entry on match
    - btrfs: fix filesystem corruption after a device replace
    - mmc: sdhci: Workaround broken command queuing on Intel GLK based IRBIS
      models
    - USB: gadget: f_ncm: Fix NDP16 datagram validation
    - Revert "usbip: Implement a match function to fix usbip"
    - usbcore/driver: Fix specific driver selection
    - usbcore/driver: Fix incorrect downcast
    - usbcore/driver: Accommodate usbip
    - [x86] gpio: amd-fch: correct logic of GPIO_LINE_DIRECTION
    - [armhf] clk: samsung: Keep top BPLL mux on Exynos542x enabled
    - scsi: iscsi: iscsi_tcp: Avoid holding spinlock while calling
      getpeername()
    - [arm64,x86] i2c: i801: Exclude device from suspend direct complete
      optimization
    - Input: i8042 - add nopnp quirk for Acer Aspire 5 A515
    - ftrace: Move RCU is watching check after recursion check
    - tracing: Fix trace_find_next_entry() accounting of temp buffer size
    - memstick: Skip allocating card when removing host
    - drm/amdgpu: restore proper ref count in amdgpu_display_crtc_set_config
    - xen/events: don't use chip_data for legacy IRQs
    - [x86] vboxsf: Fix the check for the old binary mount-arguments struct
    - drivers/net/wan/hdlc_fr: Add needed_headroom for PVC devices
    - Revert "wlcore: Adding suppoprt for IGTK key in wlcore driver"
    - [arm64,armhf] drm/sun4i: mixer: Extend regmap max_register
    - [x86] hv_netvsc: Cache the current data path to avoid duplicate call and
      message
    - net: dec: de2104x: Increase receive ring size for Tulip
    - rndis_host: increase sleep time in the query-response loop
    - nvme-pci: disable the write zeros command for Intel 600P/P3100
    - nvme-core: get/put ctrl and transport module in nvme_dev_open/release()
    - fuse: fix the ->direct_IO() treatment of iov_iter
    - drivers/net/wan/hdlc: Set skb->protocol before transmitting
    - mac80211: Fix radiotap header channel flag for 6GHz band
    - mac80211: do not allow bigger VHT MPDUs than the hardware supports
    - tracing: Make the space reserved for the pid wider
    - tools/io_uring: fix compile breakage
    - io_uring: mark statx/files_update/epoll_ctl as non-SQPOLL
    - cpuidle: psci: Fix suspicious RCU usage
    - nvme-pci: fix NULL req in completion handler
    - nvme-fc: fail new connections to a deleted host or remote port
    - scripts/kallsyms: skip ppc compiler stub *.long_branch.* /
      *.plt_branch.*
    - [armhf] pinctrl: mvebu: Fix i2c sda definition for 98DX3236
    - nfs: Fix security label length not being reset
    - NFSv4.2: fix client's attribute cache management for copy_file_range
    - pNFS/flexfiles: Ensure we initialise the mirror bsizes correctly on read
    - [arm64,armhf] clk: tegra: Always program PLL_E when enabled
    - [arm64,armhf] clk: tegra: Fix missing prototype for
      tegra210_clk_register_emc()
    - [armhf] clk: samsung: exynos4: mark 'chipid' clock as CLK_IGNORE_UNUSED
    - scsi: target: Fix lun lookup for TARGET_SCF_LOOKUP_LUN_FROM_TAG case
    - [arm64,armhf] gpio: pca953x: Fix uninitialized pending variable
    - Input: trackpoint - enable Synaptics trackpoints
    - blk-mq: call commit_rqs while list empty but error happen
    - scripts/dtc: only append to HOST_EXTRACFLAGS instead of overwriting
    - autofs: use __kernel_write() for the autofs pipe writing
    - [arm64,armhf] gpio: pca953x: Correctly initialize registers 6 and 7 for
      PCA957x
    - [amd64] iommu/amd: Fix the overwritten field in IVMD header
    - pipe: remove pipe_wait() and fix wakeup race with splice
    - random32: Restore __latent_entropy attribute on net_rand_state
    - gpiolib: Fix line event handling in syscall compatible mode
    - [x86] drm/i915/gvt: Fix port number for BDW on EDID region setup
    - scsi: sd: sd_zbc: Fix handling of host-aware ZBC disks
    - scsi: sd: sd_zbc: Fix ZBC disk initialization
    - epoll: do not insert into poll queues until all sanity checks are done
    - epoll: replace ->visited/visited_list with generation count
    - epoll: EPOLL_CTL_ADD: close the race in decision to take fast path
    - ep_create_wakeup_source(): dentry name can change under you...

  [ Vagrant Cascadian ]
  * [armhf] Enable MFD_AXP20X_RSB as a built-in (Closes: #914813). Thanks
    to Bernhard.

  [ Salvatore Bonaccorso ]
  * [x86] Enable INTEL_PMC_CORE as module (Closes: #971017)
  * Bump ABI to 3

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 10 Oct 2020 21:40:31 +0200

linux (5.8.10-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.8
    - HID: quirks: Always poll three more Lenovo PixArt mice
    - [arm64] drm/msm/dpu: Fix reservation failures in modeset
    - [arm64] drm/msm/dpu: Fix scale params in plane validation
    - [arm64] drm/msm/dpu: fix unitialized variable error
    - [arm64] drm/msm: add shutdown support for display platform_driver
    - [x86] hwmon: (applesmc) check status earlier.
    - nvmet: Disable keep-alive timer when kato is cleared to 0h
    - [arm64] drm/msm: enable vblank during atomic commits
    - [arm64] drm/msm/a6xx: fix gmu start on newer firmware
    - gfs2: add some much needed cleanup for log flushes that fail
    - [x86] hv_utils: return error if host timesysnc update is stale
    - [x86] hv_utils: drain the timesync packets on onchannelcallback
    - ceph: don't allow setlease on cephfs
    - [armhf] drm/omap: fix incorrect lock state
    - cpuidle: Fixup IRQ state
    - nbd: restore default timeout when setting it to zero
    - [s390x] don't trace preemption in percpu macros
    - xen/xenbus: Fix granting of vmalloc'd memory
    - dmaengine: of-dma: Fix of_dma_router_xlate's of_dma_xlate handling
    - batman-adv: Avoid uninitialized chaddr when handling DHCP
    - batman-adv: Fix own OGM check in aggregated OGMs
    - batman-adv: bla: use netif_rx_ni when not in interrupt context
    - rxrpc: Keep the ACK serial in a var in rxrpc_input_ack()
    - rxrpc: Fix loss of RTT samples due to interposed ACK
    - rxrpc: Make rxrpc_kernel_get_srtt() indicate validity
    - [mips*] mm: BMIPS5000 has inclusive physical caches
    - [arm64,x86] mmc: sdhci-acpi: Fix HS400 tuning for AMDI0040
    - perf sched timehist: Fix use of CPU list with summary option
    - perf top: Skip side-band event setup if HAVE_LIBBPF_SUPPORT is not set
    - netfilter: nf_tables: add NFTA_SET_USERDATA if not null
    - netfilter: nf_tables: incorrect enum nft_list_attributes definition
    - netfilter: nf_tables: fix destination register zeroing
    - [arm64] net: hns: Fix memleak in hns_nic_dev_probe
    - bpf: Fix a buffer out-of-bound access when filling raw_tp link_info
    - [arm64,armhf] dmaengine: pl330: Fix burst length if burst size is
      smaller than bus width
    - gtp: add GTPA_LINK info to msg sent to userspace
    - [armhf] net: ethernet: ti: cpsw: fix clean up of vlan mc entries for
      host port
    - [armhf] net: ethernet: ti: cpsw_new: fix clean up of vlan mc entries for
      host port
    - bnxt_en: Don't query FW when netif_running() is false.
    - bnxt_en: Check for zero dir entries in NVRAM.
    - bnxt_en: Fix ethtool -S statitics with XDP or TCs enabled.
    - bnxt_en: Fix PCI AER error recovery flow
    - bnxt_en: Fix possible crash in bnxt_fw_reset_task().
    - bnxt_en: fix HWRM error when querying VF temperature
    - xfs: finish dfops on every insert range shift iteration
    - xfs: fix boundary test in xfs_attr_shortform_verify
    - bnxt: don't enable NAPI until rings are ready
    - [armhf] net: ethernet: ti: cpsw_new: fix error handling in
      cpsw_ndo_vlan_rx_kill_vid()
    - netfilter: nfnetlink: nfnetlink_unicast() reports EAGAIN instead of
      ENOBUFS
    - nvmet-fc: Fix a missed _irqsave version of spin_lock in
      'nvmet_fc_fod_op_done()'
    - nvme: fix controller instance leak
    - netfilter: conntrack: do not auto-delete clash entries on reply
    - opp: Don't drop reference for an OPP table that was never parsed
    - cxgb4: fix thermal zone device registration
    - [mips*] perf: Fix wrong check condition of Loongson event IDs
    - block: fix locking in bdev_del_partition
    - perf top/report: Fix infinite loop in the TUI for grouped events
    - perf cs-etm: Fix corrupt data after perf inject from
    - perf intel-pt: Fix corrupt data after perf inject from
    - perf tools: Correct SNOOPX field offset
    - net: ethernet: mlx4: Fix memory allocation in mlx4_buddy_init()
    - fix regression in "epoll: Keep a reference on files added to the check
      list"
    - [arm64] net: bcmgenet: fix mask check in bcmgenet_validate_flow()
    - nfp: flower: fix ABI mismatch between driver and firmware
    - net: dp83867: Fix WoL SecureOn password
    - [mips*] add missing MSACSR and upper MSA initialization
    - xfs: fix xfs_bmap_validate_extent_raw when checking attr fork of rt
      files
    - perf jevents: Fix suspicious code in fixregex()
    - perf stat: Turn off summary for interval mode by default
    - perf bench: The do_run_multi_threaded() function must use
      IS_ERR(perf_session__new())
    - tg3: Fix soft lockup when tg3_reset_task() fails.
    - [amd64] x86, fakenuma: Fix invalid starting node ID
    - [amd64] iommu/vt-d: Serialize IOMMU GCMD register modifications
    - [armhf] thermal: ti-soc-thermal: Fix bogus thermal shutdowns for
      omap4430
    - [arm64] thermal: qcom-spmi-temp-alarm: Don't suppress negative temp
    - [amd64] iommu/amd: Restore IRTE.RemapEn bit after programming IRTE
    - [amd64] iommu/amd: Use cmpxchg_double() when updating 128-bit IRTE
    - [amd64] iommu/vt-d: Handle 36bit addressing for x86-32
    - [x86] tracing/kprobes, x86/ptrace: Fix regs argument order for i386
    - [x86] entry: Fix AC assertion
    - [x86] debug: Allow a single level of #DB recursion
    - ext2: don't update mtime on COW faults
    - xfs: don't update mtime on COW faults
    - btrfs: drop path before adding new uuid tree entry
    - btrfs: fix potential deadlock in the search ioctl
    - btrfs: allocate scrub workqueues outside of locks
    - btrfs: set the correct lockdep class for new nodes
    - btrfs: set the lockdep class for log tree extent buffers
    - btrfs: block-group: fix free-space bitmap threshold
    - btrfs: tree-checker: fix the error message for transid error
    - Bluetooth: Return NOTIFY_DONE for hci_suspend_notifier (Closes: #964839)
    - [x86] mm/32: Bring back vmalloc faulting on x86_32
    - Revert "ALSA: hda: Add support for Loongson 7A1000 controller"
    - ALSA: ca0106: fix error code handling
    - ALSA: usb-audio: Add basic capture support for Pioneer DJ DJM-250MK2
    - ALSA: usb-audio: Add implicit feedback quirk for UR22C
    - ALSA: pcm: oss: Remove superfluous WARN_ON() for mulaw sanity check
    - ALSA: hda/hdmi: always check pin power status in i915 pin fixup
    - ALSA: firewire-digi00x: exclude Avid Adrenaline from detection
    - ALSA: hda - Fix silent audio output and corrupted input on MSI X570-A
      PRO
    - ALSA; firewire-tascam: exclude Tascam FE-8 from detection
    - ALSA: hda/realtek: Add quirk for Samsung Galaxy Book Ion NT950XCJ-X716A
    - ALSA: hda/realtek - Improved routing for Thinkpad X1 7th/8th Gen
    - mmc: sdhci-pci: Fix SDHCI_RESET_ALL for CQHCI for Intel GLK-based
      controllers
    - media: rc: do not access device via sysfs after rc_unregister_device()
    - media: rc: uevent sysfs file races with rc_unregister_device()
    - affs: fix basic permission bits to actually work
    - block: allow for_each_bvec to support zero len bvec
    - block: ensure bdi->io_pages is always initialized
    - io_uring: set table->files[i] to NULL when io_sqe_file_register failed
    - io_uring: fix removing the wrong file in __io_sqe_files_update()
    - libata: implement ATA_HORKAGE_MAX_TRIM_128M and apply to Sandisks
    - [mips*] oprofile: Fix fallthrough placement
    - blk-stat: make q->stats->lock irqsafe
    - [x86] drm/i915: Fix sha_text population code
    - dm writecache: handle DAX to partitions on persistent memory correctly
    - dm mpath: fix racey management of PG initialization
    - dm integrity: fix error reporting in bitmap mode after creation
    - dm crypt: Initialize crypto wait structures
    - dm cache metadata: Avoid returning cmd->bm wild pointer on error
    - dm thin metadata: Avoid returning cmd->bm wild pointer on error
    - dm thin metadata: Fix use-after-free in dm_bm_set_read_only
    - mm: slub: fix conversion of freelist_corrupted()
    - mm: track page table modifications in __apply_to_page_range()
    - mm: madvise: fix vma user-after-free
    - mm/rmap: fixup copying of soft dirty and uffd ptes
    - io_uring: no read/write-retry on -EAGAIN error and O_NONBLOCK marked
      file
    - perf record: Correct the help info of option "--no-bpf-event"
    - [arm64,armhf] sdhci: tegra: Add missing TMCLK for data timeout
    - mm/migrate: fixup setting UFFD_WP flag
    - mm/hugetlb: try preferred node first when alloc gigantic page from cma
    - mm/hugetlb: fix a race between hugetlb sysctl handlers (CVE-2020-25285)
    - mm/khugepaged.c: fix khugepaged's request size in collapse_file
    - cfg80211: regulatory: reject invalid hints
    - net: usb: Fix uninit-was-stored issue in asix_read_phy_addr()
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.9
    - io_uring: fix cancel of deferred reqs with ->files
    - io_uring: fix linked deferred ->files cancellation
    - RDMA/cma: Simplify DEVICE_REMOVAL for internal_id
    - RDMA/cma: Using the standard locking pattern when delivering the removal
      event
    - RDMA/cma: Remove unneeded locking for req paths
    - RDMA/cma: Execute rdma_cm destruction from a handler properly
    - ipv4: Silence suspicious RCU usage warning
    - ipv6: Fix sysctl max for fib_multipath_hash_policy
    - netlabel: fix problems with mapping removal
    - net: usb: dm9601: Add USB ID of Keenetic Plus DSL
    - sctp: not disable bh in the whole sctp_get_port_local()
    - tipc: fix shutdown() of connectionless socket
    - tipc: fix using smp_processor_id() in preemptible
    - net: disable netpoll on fresh napis
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.10
    - [armhf] OMAP2+: Fix an IS_ERR() vs NULL check in _get_pwrdm()
    - regulator: push allocation in regulator_ena_gpio_request() out of lock
    - regulator: remove superfluous lock in regulator_resolve_coupling()
    - RDMA/rxe: Fix memleak in rxe_mem_init_user
    - RDMA/rxe: Drop pointless checks in rxe_init_ports
    - RDMA/rxe: Fix panic when calling kmem_cache_create()
    - [arm64,armhf] drm/sun4i: add missing put_device() call in
      sun8i_r40_tcon_tv_set_mux()
    - [armhf] drm/sun4i: Fix dsi dcs long write function
    - scsi: libsas: Set data_dir as DMA_NONE if libata marks qc as NODATA
    - drm/virtio: fix unblank
    - RDMA/core: Fix unsafe linked list traversal after failing to allocate CQ
    - RDMA/core: Fix reported speed and width
    - scsi: megaraid_sas: Don't call disable_irq from process IRQ poll
    - scsi: mpt3sas: Don't call disable_irq from IRQ poll handler
    - padata: fix possible padata_works_lock deadlock
    - [arm64,armhf] drm/sun4i: Fix DE2 YVU handling
    - [arm64,armhf] drm/sun4i: backend: Support alpha property on lowest plane
    - [arm64,armhf] drm/sun4i: backend: Disable alpha on the lowest plane on
      the A20
    - [arm64] KVM: Update page shift if stage 2 block mapping not supported
    - [arm64,x86] mmc: sdhci-acpi: Clear amd_sdhci_host on reset
    - [arm64] mmc: sdhci-msm: Add retries when all tuning phases are found
      valid
    - [armhf] spi: stm32: Rate-limit the 'Communication suspended' message
    - btrfs: fix NULL pointer dereference after failure to create snapshot
    - block: restore a specific error code in bdev_del_partition
    - seccomp: don't leak memory when filter install races
    - nvme-fabrics: allow to queue requests for live queues
    - [armhf] spi: stm32: fix pm_runtime_get_sync() error checking
    - block: Set same_page to false in __bio_try_merge_page if ret is false
    - IB/isert: Fix unaligned immediate-data handling
    - [x86] KVM: nVMX: Fix the update value of nested load
      IA32_PERF_GLOBAL_CTRL control
    - [x86] KVM: always allow writing '0' to MSR_KVM_ASYNC_PF_EN
    - [arm64,x86] dmaengine: acpi: Put the CSRT table after using it
    - netfilter: conntrack: allow sctp hearbeat after connection re-use
    - netfilter: nft_set_rbtree: Detect partial overlap with start endpoint
      match
    - [x86] firestream: Fix memleak in fs_open
    - scsi: qedf: Fix null ptr reference in qedf_stag_change_work
    - [arm64,armhf] ALSA: hda: Fix 2 channel swapping for Tegra
    - [arm64,armhf] ALSA: hda/tegra: Program WAKEEN register for Tegra
    - [arm64] net: hns3: Fix for geneve tx checksum bug
    - xfs: fix off-by-one in inode alloc block reservation calculation
    - wireless: fix wrong 160/80+80 MHz setting
    - mac80211: reduce packet loss event false positives
    - cfg80211: Adjust 6 GHz frequency to channel conversion
    - xfs: initialize the shortform attr header padding entry
    - nvme-fabrics: don't check state NVME_CTRL_NEW for request acceptance
    - nvme: have nvme_wait_freeze_timeout return if it timed out
    - nvme-rdma: serialize controller teardown sequences
    - nvme-rdma: fix timeout handler
    - nvme-rdma: fix reset hang if controller died in the middle of a reset
    - nvme-pci: cancel nvme device request before disabling
    - HID: quirks: Set INCREMENT_USAGE_ON_DUPLICATE for all Saitek X52 devices
    - HID: microsoft: Add rumble support for the 8bitdo SN30 Pro+ controller
    - drivers/net/wan/hdlc_cisco: Add hard_header_len
    - HID: elan: Fix memleak in elan_input_configured
    - [x86] cpufreq: intel_pstate: Refuse to turn off with HWP enabled
    - [x86] cpufreq: intel_pstate: Fix intel_pstate_get_hwp_max() for turbo
      disabled
    - [arm64] module: set trampoline section flags regardless of
      CONFIG_DYNAMIC_FTRACE
    - ALSA: hda: hdmi - add Rocketlake support
    - ALSA: hda: fix a runtime pm issue in SOF when integrated GPU is disabled
    - ALSA: hda: use consistent HDAudio spelling in comments/docs
    - drivers/net/wan/hdlc: Change the default of hard_header_len to 0
    - [amd64] iommu/amd: Do not force direct mapping when SME is active
    - [amd64] iommu/amd: Do not use IOMMUv2 functionality when SME is active
    - gcov: Disable gcov build with GCC 10
    - iio: adc: ti-ads1015: fix conversion when CONFIG_PM is not set
    - [arm64] iio: cros_ec: Set Gyroscope default frequency to 25Hz
    - [x86] iio:accel:bmc150-accel: Fix timestamp alignment and prevent data
      leak.
    - [x86] iio:magnetometer:ak8975 Fix alignment and data leak issues.
    - [armhf] iio:accel:mma8452: Fix timestamp alignment and prevent data
      leak.
    - [x86] staging: wlan-ng: fix out of bounds read in prism2sta_probe_usb()
    - btrfs: require only sector size alignment for parent eb bytenr
    - btrfs: fix lockdep splat in add_missing_dev
    - btrfs: free data reloc tree on failed mount
    - btrfs: fix wrong address when faulting in pages in the search ioctl
    - [x86] thunderbolt: Disable ports that are not implemented
    - kobject: Restore old behaviour of kobject_del(NULL)
    - regulator: push allocation in regulator_init_coupling() outside of lock
    - regulator: push allocations in create_regulator() outside of lock
    - regulator: push allocation in set_consumer_device_supply() out of lock
    - regulator: plug of_node leak in regulator_register()'s error path
    - regulator: core: Fix slab-out-of-bounds in regulator_unlock_recursive()
    - misc: eeprom: at24: register nvmem only after eeprom is ready to use
    - scsi: target: iscsi: Fix data digest calculation
    - scsi: lpfc: Fix setting IRQ affinity with an empty CPU mask
    - scsi: target: iscsi: Fix hang in iscsit_access_np() when getting
      tpg->np_login_sem
    - [arm64] drm/msm: Split the a5xx preemption record
    - [arm64] drm/msm: Disable preemption on all 5xx targets
    - [arm64] drm/msm: Disable the RPTR shadow
    - mmc: sdio: Use mmc_pre_req() / mmc_post_req()
    - [arm64] mmc: sdhci-of-esdhc: Don't walk device-tree on every interrupt
    - nvme: Revert: Fix controller creation races with teardown flow
    - rbd: require global CAP_SYS_ADMIN for mapping and unmapping
      (CVE-2020-25284)
    - RDMA/rxe: Fix the parent sysfs read when the interface has 15 chars
    - RDMA/mlx4: Read pkey table length instead of hardcoded value
    - fbcon: remove soft scrollback code (CVE-2020-14390)
    - fbcon: remove now unusued 'softback_lines' cursor() argument
    - vgacon: remove software scrollback support
    - [x86] KVM: VMX: Don't freeze guest when event delivery causes an
      APIC-access exit
    - [arm64] KVM: Do not try to map PUDs when they are folded into PMD
    - [x86] kvm x86/mmu: use KVM_REQ_MMU_SYNC to sync when needed
    - KVM: fix memory leak in kvm_io_bus_unregister_dev()
    - [arm64,armhf] Revert "usb: dwc3: meson-g12a: fix shared reset control
      use"
    - debugfs: Fix module state check condition
    - test_firmware: Test platform fw loading on non-EFI systems
    - [x86] video: fbdev: fix OOB read in vga_8planes_imageblit()
    - [arm64] phy: qcom-qmp: Use correct values for ipq8074 PCIe Gen2 PHY init
    - usb: core: fix slab-out-of-bounds Read in read_descriptors
    - USB: serial: ftdi_sio: add IDs for Xsens Mti USB converter
    - USB: serial: option: support dynamic Quectel USB compositions
    - USB: serial: option: add support for SIM7070/SIM7080/SIM7090 modules
    - usb: Fix out of sync data toggle if a configured device is reconfigured
    - [x86] usb: typec: ucsi: acpi: Check the _DEP dependencies
    - [arm64] drm/msm/gpu: make ringbuffer readonly
    - gcov: add support for GCC 10.1

  [ Salvatore Bonaccorso ]
  * [x86] drivers/input/keyboard: Enable KEYBOARD_APPLESPI as module
    (Closes: #943337)
  * drivers/net/wireless: Enable RTW88_8723DE
  * Bump ABI to 2
  * udeb: Make input-modules depend on crc-modules.

  [ Vagrant Cascadian ]
  * [arm64] Enable BATTERY_CW2015 as a module.
  * [arm64] Apply patch from upstream to support battery status on
    Pinebook Pro.

  [ Ben Hutchings ]
  * [hppa] Set Build-Profiles for linux-image-parisc{,64}-smp (Closes: #970011)
  * Provide linux-{image,headers}-generic virtual packages on most
    architectures (Closes: #960209)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Sep 2020 14:17:19 +0200

linux (5.8.7-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.4
    - ext4: fix potential negative array index in do_split() (CVE-2020-14314)
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.5
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.6
    - nfsd: fix oops on mixed NFSv4/NFSv3 client access
    - [powerpc] 32s: Disable VMAP stack which CONFIG_ADB_PMU (Closes: #963689)
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.7

  [ Ben Hutchings ]
  * [mips*] udeb: Drop hfs-modules (fixes FTBFS)
  * [m68k,powerpc,ppc64] udeb: Make hfs-modules depend on cdrom-core-modules
    (fixes FTBFS)
  * tools/include/uapi: Fix <asm/errno.h> (probably fixes FTBFS on ia64)
  * bpftool: Build with Debian recommended compiler options

  [ Salvatore Bonaccorso ]
  * iwlwifi: yoyo: don't print failure if debug firmware is missing
    (Closes: #966218)
  * debian/tests/python: pycodestyle: Increase max-line-length to 100.
  * net/packet: fix overflow in tpacket_rcv (CVE-2020-14386)
  * Set ABI to 1

  [ Uwe Kleine-König ]
  * [arm64] Enable a few options for Kobol's helios64

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Sep 2020 16:52:44 +0200

linux (5.8.3-1~exp1) experimental; urgency=medium

  * New upstream release: https://kernelnewbies.org/Linux_5.8
  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.1
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.2
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.8.3

  [ Jeremy Stanley ]
  * [x86] PMIC operation region support (Closes: #925965)
    - Enable CONFIG_PMIC_OPREGION for general ACPI support of operation
      regions with Power Management Integrated Circuits. Turn on specific
      opregion support for:
      + CONFIG_BYTCRC_PMIC_OPREGION (Bay Trail Crystal Cove PMIC)
      + CONFIG_CHTCRC_PMIC_OPREGION (Cherry Trail Crystal Cove PMIC)
      + CONFIG_XPOWER_PMIC_OPREGION (XPower AXP288 PMIC)
      + CONFIG_BXT_WC_PMIC_OPREGION (BXT WhiskeyCove PMIC)
      + CONFIG_CHT_WC_PMIC_OPREGION (CHT Whiskey Cove PMIC)
      + CONFIG_CHT_DC_TI_PMIC_OPREGION (Dollar Cove TI PMIC)
      Additionally enable CONFIG_MFD_INTEL_PMC_BXT as a module (multi-function
      device driver for Intel Broxton Whiskey Cove PMIC), along with
      CONFIG_INTEL_SOC_PMIC (Crystal Cove PMIC) as a dependency for it.
  * [x86] Fix Cherry Trail power management regression (Closes: #949886)
    - Switch CONFIG_I2C_DESIGNWARE_PLATFORM from being compiled as a module to
      compiled into the kernel directly, since as of kernel version 5.1 this
      state became a dependency for CONFIG_INTEL_SOC_PMIC_CHTWC which is
      already enabled.
    - Enable CONFIG_USB_ROLES_INTEL_XHCI and CONFIG_TYPEC_MUX_PI3USB30532 as
      modules, which became dependencies for the already enabled
      CONFIG_INTEL_CHT_INT33FE as of kernel version 4.17.

  [ Romain Perier ]
  * Rebased patches onto 5.8.

  [ Uwe Kleine-König ]
  * [armhf] Enable BCM2835 auxiliar mini UART support found on Raspberry Pi
    (all models); patch by Marc Kleine-Budde. (Closes: #963619)
  * [arm64] Enable IR_MESON and SPI_MESON_SPICC.

  [ Helge Deller ]
  * [hppa] Build linux-image-parisc-smp and linux-image-parisc64-smp
    transition packages

  [ Yves-Alexis Perez ]
  * usb: Enable APPLE_MFI_FASTCHARGE as a module

  [ Salvatore Bonaccorso ]
  * Set ABI to trunk

  [ Bastian Blank ]
  * [x86] hyperv-daemons:
    - Rename services to remove "hyperv-daemons." prefix
    - Use debhelper for services.
    - Make systemd service bind to device.
    - Start kvp daemon way earlier in boot.
    - Specify some service restrictions.
  * udeb: Reverse order of cdrom-core and isofs/udf.
  * Fix build of documentation.
  * [amd64] Enable GVE. (closes: #964812)
  * Compile with gcc-10 on all architectures.
  * [cloud] Enable TARGET_CORE. (closes: #952108)
  * [cloud] Disable DLM, GFS2_FS, OCFS2_FS.
  * Move System.map into debug package and replace with pointer.

  [ Ben Hutchings ]
  * [x86] hyperv-daemons: Complete renaming of init scripts
  * [x86] hyperv-daemons: Correct old names in Conflicts field of unit files
  * [hppa] Use standard metadata for transitional packages
  * bpftool: Fix version string in recursive builds
  * Revert "linux-libc-dev: Re-add "Provides: linux-kernel-headers""
    (Closes: #959462)
  * mm: Enable INIT_ON_ALLOC_DEFAULT_ON. This can be reverted using the
    kernel parameter: init_on_alloc=0
  * libtraceevent1: Add new APIs to symbols file

  [ Christian Barcenas ]
  * bpftool: add packaging for tools/bpf/bpftool (Closes: #896165)
    - Thank you to Noah Meyerhans for the first iteration of packaging.

  [ Thomas W ]
  * [x86] Enable CONFIG_XIAOMI_WMI

  [ Matthew Gabeler-Lee ]
  * [x86] Re-enable APU2 LED control (Closes: 949448)

  [ Joel Stanley ]
  * [armhf] Enable NET_NCSI

  [ Walter Lozano ]
  * [armhf] Enable NVMEM_IMX_OCOTP (Closes: #968253)

  [ Philipp Kern ]
  * [s390x] Add virtio_net to nic-modules.

 -- Ben Hutchings <benh@debian.org>  Mon, 24 Aug 2020 01:23:22 +0100

linux (5.7.17-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.11
    - bpf: Set the number of exception entries properly for subprograms
    - mac80211: allow rx of mesh eapol frames with default rx key
    - scsi: scsi_transport_spi: Fix function pointer check
    - scsi: mpt3sas: Fix unlock imbalance
    - ALSA: hda/hdmi: fix failures at PCM open on Intel ICL and later
    - net: sky2: initialize return of gm_phy_read
    - drm/nouveau/i2c/g94-: increase NV_PMGR_DP_AUXCTL_TRANSACTREQ timeout
    - scsi: mpt3sas: Fix error returns in BRM_status_show
    - scsi: dh: Add Fujitsu device to devinfo and dh lists
    - dm: use bio_uninit instead of bio_disassociate_blkg
    - fuse: fix weird page warning
    - [x86] irqdomain/treewide: Keep firmware node unconditionally allocated
    - SUNRPC reverting d03727b248d0 ("NFSv4 fix CLOSE not waiting for direct
      IO compeletion")
    - exfat: fix overflow issue in exfat_cluster_to_sector()
    - exfat: fix wrong hint_stat initialization in exfat_find_dir_entry()
    - exfat: fix wrong size update of stream entry by typo
    - exfat: fix name_hash computation on big endian systems
    - btrfs: reloc: clear DEAD_RELOC_TREE bit for orphan roots to prevent
      runaway balance
    - uprobes: Change handle_swbp() to send SIGTRAP with si_code=SI_KERNEL, to
      fix GDB regression
    - ALSA: hda/realtek: Fixed ALC298 sound bug by adding quirk for Samsung
      Notebook Pen S
    - ALSA: info: Drop WARN_ON() from buffer NULL sanity check
    - [x86] ASoC: rt5670: Correct RT5670_LDO_SEL_MASK
    - [x86] ASoC: Intel: cht_bsw_rt5672: Change bus format to I2S 2 channel
    - [s390x] cpum_cf,perf: change DFLT_CCERROR counter name
    - btrfs: fix double free on ulist after backref resolution failure
    - btrfs: fix mount failure caused by race with umount
    - btrfs: fix page leaks after failure to lock page for delalloc
    - mt76: mt76x02: fix handling MCU timeouts during hw restart
    - efi/efivars: Expose RT service availability via efivars abstraction
    - bnxt_en: Fix race when modifying pause settings.
    - bnxt_en: Init ethtool link settings after reading updated PHY
      configuration.
    - bnxt_en: Fix completion ring sizing with TPA enabled.
    - [x86] hippi: Fix a size used in a 'pci_free_consistent()' in an error
      handling path
    - netfilter: nf_tables: fix nat hook table deletion
    - [arm64] dpaa2-eth: check fsl_mc_get_endpoint for IS_ERR_OR_NULL()
    - vsock/virtio: annotate 'the_virtio_vsock' RCU pointer
    - ax88172a: fix ax88172a_unbind() failures
    - RDMA/mlx5: Use xa_lock_irq when access to SRQ table
    - RDMA/core: Fix race in rdma_alloc_commit_uobject()
    - RDMA/cm: Protect access to remote_sidr_table
    - [armhf] net: fec: fix hardware time stamping by external devices
    - [x86] ASoC: Intel: bytcht_es8316: Add missed put_device()
    - ieee802154: fix one possible memleak in adf7242_probe
    - [arm64,armhf] drm: sun4i: hdmi: Fix inverted HPD result
    - [arm64,armhf] net: smc91x: Fix possible memory leak in smc_drv_probe()
    - [arm64,armhf] net: dsa: mv88e6xxx: fix in-band AN link establishment
    - [arm64] dts: clearfog-gt-8k: fix switch link configuration
    - bonding: check error value of register_netdevice() immediately
    - iwlwifi: Make some Killer Wireless-AC 1550 cards work again
    - [arm64] net: bcmgenet: fix error returns in bcmgenet_probe()
    - RDMA/mlx5: Prevent prefetch from racing with implicit destruction
    - [arm64] net: hns3: fix for not calculating TX BD send size correctly
    - [arm64] net: hns3: fix error handling for desc filling
    - [arm64] net: hns3: fix return value error when query MAC link status
      fail
    - qed: suppress "don't support RoCE & iWARP" flooding on HW init
    - qed: suppress false-positives interrupt error messages on HW init
    - ipvs: fix the connection sync failed in some cases
    - [arm64] iommu/qcom: Use domain rather than dev as tlb cookie
    - Revert "PCI/PM: Assume ports without DLL Link Active train links in 100
      ms"
    - nfsd4: fix NULL dereference in nfsd/clients display code
    - bonding: check return value of register_netdevice() in bond_newlink()
    - geneve: fix an uninitialized value in geneve_changelink()
    - serial: exar: Fix GPIO configuration for Sealevel cards based on
      XR17V35X
    - scripts/decode_stacktrace: strip basepath from all paths
    - scripts/gdb: fix lx-symbols 'gdb.error' while loading modules
    - [riscv64] Do not rely on initrd_start/end computed during early dt
      parsing
    - kbuild: fix single target builds for external modules
    - [arm64,x86] HID: i2c-hid: add Mediacom FlexBook edge13 to descriptor
      override
    - HID: alps: support devices with report id 2
    - HID: steam: fixes race in handling device list.
    - dmaengine: idxd: fix hw descriptor fields for delta record
    - HID: apple: Disable Fn-key key-re-mapping on clone keyboards
    - [arm64] dmaengine: tegra210-adma: Fix runtime PM imbalance on error
    - [arm64,armhf] soc: amlogic: meson-gx-socinfo: Fix S905X3 and S905D3 ID's
    - Input: add `SW_MACHINE_COVER`
    - [armhf] dts: n900: remove mmc1 card detect gpio
    - regmap: dev_get_regmap_match(): fix string comparison
    - hwmon: (aspeed-pwm-tacho) Avoid possible buffer overflow
    - [amd64] dmaengine: ioat setting ioat timeout as module parameter
    - Input: synaptics - enable InterTouch for ThinkPad X1E 1st gen
    - Input: elan_i2c - only increment wakeup count on touch
    - [arm64] usb: dwc3: pci: add support for the Intel Tiger Lake PCH -H
      variant
    - [arm64] usb: dwc3: pci: add support for the Intel Jasper Lake
    - drm/amdgpu/gfx10: fix race condition for kiq
    - drm/amdgpu: fix preemption unit test
    - hwmon: (nct6775) Accept PECI Calibration as temperature source for
      NCT6798D
    - [x86] platform: asus-wmi: allow BAT1 battery name
    - ALSA: hda/realtek - fixup for yet another Intel reference board
    - drivers/perf: Fix kernel panic when rmmod PMU modules during perf
      sampling
    - [arm64] Use test_tsk_thread_flag() for checking TIF_SINGLESTEP
    - asm-generic/mmiowb: Allow mmiowb_set_pending() when preemptible()
    - drivers/perf: Prevent forced unbinding of PMU drivers
    - [riscv64] Upgrade smp_mb__after_spinlock() to iorw,iorw
    - [x86] boot: Don't add the EFI stub to targets
    - [arm*] binder: Don't use mmput() from shrinker function.
    - [arm64,armhf] usb: tegra: Fix allocation for the FPCI context
    - usb: xhci: Fix ASM2142/ASM3142 DMA addressing
    - Revert "cifs: Fix the target file was deleted when rename failed."
      (Closes: #966917)
    - iwlwifi: mvm: don't call iwl_mvm_free_inactive_queue() under RCU
    - [arm64] tty: xilinx_uartps: Really fix id assignment
    - [x86] staging: wlan-ng: properly check endpoint types
    - [x86] staging: comedi: addi_apci_1032: check INSN_CONFIG_DIGITAL_TRIG
      shift
    - [x86] staging: comedi: ni_6527: fix INSN_CONFIG_DIGITAL_TRIG support
    - [x86] staging: comedi: addi_apci_1500: check INSN_CONFIG_DIGITAL_TRIG
      shift
    - [x86] staging: comedi: addi_apci_1564: check INSN_CONFIG_DIGITAL_TRIG
      shift
    - [arm64,armhf] serial: tegra: fix CREAD handling for PIO
    - serial: 8250: fix null-ptr-deref in serial8250_start_tx()
    - /dev/mem: Add missing memory barriers for devmem_inode
    - fbdev: Detect integer underflow at "struct fbcon_ops"->clear_margins.
    - vt: Reject zero-sized screen buffer size.
    - mm/mmap.c: close race between munmap() and expand_upwards()/downwards()
    - vfs/xattr: mm/shmem: kernfs: release simple xattr entry in a right way
    - mm/memcg: fix refcount error while moving and swapping
    - mm: memcg/slab: fix memory leak at non-root kmem_cache destroy
    - mm/hugetlb: avoid hardcoding while checking if cma is enabled
    - khugepaged: fix null-pointer dereference due to race
    - io-mapping: indicate mapping failure
    - [armhf] mmc: sdhci-of-aspeed: Fix clock divider calculation
    - drm/amdgpu: Fix NULL dereference in dpm sysfs handlers
    - [x86] vmlinux.lds: Page-align end of ..page_aligned sections
    - [x86] ASoC: rt5670: Add new gpio1_is_ext_spk_en quirk and enable it on
      the Lenovo Miix 2 10
    - [x86] ASoC: topology: fix kernel oops on route addition error
    - [x86] ASoC: topology: fix tlvs in error handling for widget_dmixer
    - [x86] ASoC: Intel: bdw-rt5677: fix non BE conversion
    - dm integrity: fix integrity recalculation that is improperly skipped
    - ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb
    - ath9k: Fix regression with Atheros 9271
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.12
    - AX.25: Fix out-of-bounds read in ax25_connect()
    - AX.25: Prevent out-of-bounds read in ax25_sendmsg()
    - dev: Defer free of skbs in flush_backlog
    - ip6_gre: fix null-ptr-deref in ip6gre_init_net()
    - net-sysfs: add a newline when printing 'tx_timeout' by sysfs
    - net: udp: Fix wrong clean up for IS_UDPLITE macro
    - rtnetlink: Fix memory(net_device) leak when ->newlink fails
    - rxrpc: Fix sendmsg() returning EPIPE due to recvmsg() returning ENODATA
    - tcp: allow at most one TLP probe per flight
    - AX.25: Prevent integer overflows in connect and sendmsg
    - sctp: shrink stream outq only when new outcnt < old outcnt
    - sctp: shrink stream outq when fails to do addstream reconf
    - udp: Copy has_conns in reuseport_grow().
    - udp: Improve load balancing for SO_REUSEPORT.
    - tipc: allow to build NACK message in link timeout function
    - io_uring: ensure double poll additions work with both request types
    - regmap: debugfs: check count when read regmap file
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.13
    - sunrpc: check that domain table is empty at module unload.
    - PCI/ASPM: Disable ASPM on ASMedia ASM1083/1085 PCIe-to-PCI bridge
    - ALSA: usb-audio: Add implicit feedback quirk for SSL2
    - ALSA: hda/realtek: enable headset mic of ASUS ROG Zephyrus G15(GA502)
      series with ALC289
    - ALSA: hda/realtek: typo_fix: enable headset mic of ASUS ROG Zephyrus
      G14(GA401) series with ALC289
    - ALSA: hda/realtek: Fix add a "ultra_low_power" function for intel
      reference board (alc256)
    - ALSA: hda/realtek - Fixed HP right speaker no sound
    - ALSA: hda: Workaround for spurious wakeups on some Intel platforms
    - ALSA: hda/hdmi: Fix keep_power assignment for non-component devices
    - RDMA/mlx5: Fix prefetch memory leak if get_prefetchable_mr fails
    - [amd64] IB/rdmavt: Fix RQ counting issues causing use of an invalid RWQE
    - vhost/scsi: fix up req type endian-ness
    - 9p/trans_fd: Fix concurrency del of req_list in
      p9_fd_cancelled/p9_read_work
    - revert: 1320a4052ea1 ("audit: trigger accompanying records when no rules
      present") (Closes: #966822)
    - [armel,armhf] 8986/1: hw_breakpoint: Don't invoke overflow handler on
      uaccess watchpoints
    - [armhf] 8987/1: VDSO: Fix incorrect clock_gettime64
    - [armhf] dts: imx6sx-sabreauto: Fix the phy-mode on fec2
    - virtio_balloon: fix up endian-ness for free cmd id
    - Revert "drm/amdgpu: Fix NULL dereference in dpm sysfs handlers"
    - drm/amd/display: Clear dm_state for fast updates (Closes: #963868)
    - drm/amdgpu: Prevent kernel-infoleak in amdgpu_info_ioctl()
    - drm/dbi: Fix SPI Type 1 (9-bit) transfer
    - drm: hold gem reference until object is no longer accessed
    - drm: of: Fix double-free bug
    - rds: Prevent kernel-infoleak in rds_notify_queue_get()
    - xfrm: policy: match with both mark and mask on user interfaces
    - [arm64] pinctrl: qcom: Handle broken/missing PDC dual edge IRQs on
      sc7180
    - espintcp: recv() should return 0 when the peer socket is closed
    - xfrm: Fix crash when the hold queue is used.
    - [arm64] net: hns3: fix desc filling bug when skb is expanded or lineared
    - [arm64] net: hns3: fix a TX timeout issue
    - [arm64] net: hns3: add reset check for VF updating port based VLAN
    - [arm64] net: hns3: fix aRFS FD rules leftover after add a user FD rule
    - [arm64] net: hns3: fix for VLAN config when reset failed
    - net/mlx5: E-switch, Destroy TSAR when fail to enable the mode
    - net/mlx5: E-switch, Destroy TSAR after reload interface
    - net/mlx5e: Fix error path of device attach
    - net/mlx5: Fix a bug of using ptp channel index as pin index
    - net/mlx5: Verify Hardware supports requested ptp function on a given pin
    - net/mlx5: Query PPS pin operational status before registering it
    - net/mlx5e: Modify uplink state on interface up/down
    - net/mlx5e: Fix kernel crash when setting vf VLANID on a VF dev
    - net: lan78xx: add missing endpoint sanity check
    - net: lan78xx: fix transfer-buffer memory leak
    - rhashtable: Fix unprotected RCU dereference in __rht_ptr
    - mlx4: disable device on shutdown
    - nvme: add a Identify Namespace Identification Descriptor list quirk
    - bpf: Fix map leak in HASH_OF_MAPS map
    - espintcp: handle short messages instead of breaking the encap socket
    - mac80211: mesh: Free ie data when leaving mesh
    - mac80211: mesh: Free pending skb when destroying a mpath
    - RDMA/core: Stop DIM before destroying CQ
    - RDMA/core: Free DIM memory in error unwind
    - [arm64] alternatives: move length validation inside the subsection
    - [arm64] csum: Fix handling of bad packets
    - Bluetooth: fix kernel oops in store_pending_adv_report
    - net/mlx5e: E-Switch, Add misc bit when misc fields changed for mirroring
    - net/mlx5e: fix bpf_prog reference count leaks in mlx5e_alloc_rq
    - vxlan: fix memleak of fdb
    - iwlwifi: fix crash in iwl_dbg_tlv_alloc_trigger
    - qed: Disable "MFW indication via attention" SPAM every 5 minutes
    - io_uring: always allow drain/link/hardlink/async sqe flags
    - scsi: core: Run queue in case of I/O resource contention failure
    - [amd64] x86/unwind/orc: Fix ORC for newly forked tasks
    - [x86] stacktrace: Fix reliable check for empty user task stacks
    - cxgb4: add missing release on skb in uld_send()
    - xen-netfront: fix potential deadlock in xennet_remove()
    - [riscv64] Set maximum number of mapped pages correctly
    - [riscv64] Parse all memory blocks to remove unusable memory
    - [arm64] KVM: Don't inherit exec permission across page-table levels
    - [x86] KVM: LAPIC: Prevent setting the tscdeadline timer if the lapic is
      hw disabled
    - [x86] KVM: SVM: Fix disable pause loop exit/pause filtering capability
      on SVM
    - [x86] i8259: Use printk_deferred() to prevent deadlock
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.14
    - random32: update the net random state on interrupt and activity
      (CVE-2020-16166)
    - [armel] percpu.h: fix build error
    - [arm64] random: fix circular include dependency on arm64 after addition
      of percpu.h
    - random32: remove net_rand_state from the latent entropy gcc plugin
    - random32: move the pseudo-random 32-bit definitions to prandom.h
    - [arm64] Workaround circular dependency in pointer_auth.h
    - random: random.h should include archrandom.h, not the other way around
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.15
    - scsi: ufs: Fix and simplify setup_xfer_req variant operation
    - USB: serial: qcserial: add EM7305 QDL product ID
    - USB: iowarrior: fix up report size handling for some devices
    - usb: xhci: define IDs for various ASMedia host controllers
    - usb: xhci: Fix ASMedia ASM1142 DMA addressing
    - Revert "ALSA: hda: call runtime_allow() for all hda controllers"
    - ALSA: hda/realtek: Add alc269/alc662 pin-tables for Loongson-3 laptops
    - ALSA: hda/ca0132 - Add new quirk ID for Recon3D.
    - ALSA: hda/ca0132 - Fix ZxR Headphone gain control get value.
    - ALSA: hda/ca0132 - Fix AE-5 microphone selection commands.
    - ALSA: seq: oss: Serialize ioctls
    - [arm*] staging: android: ashmem: Fix lockdep warning for write operation
    - staging: rtl8712: handle firmware load failure
    - Staging: rtl8188eu: rtw_mlme: Fix uninitialized variable authmode
    - Bluetooth: Fix slab-out-of-bounds read in
      hci_extended_inquiry_result_evt()
    - Bluetooth: Prevent out-of-bounds read in hci_inquiry_result_evt()
    - Bluetooth: Prevent out-of-bounds read in
      hci_inquiry_result_with_rssi_evt()
    - [arm*] binder: Prevent context manager from incrementing ref 0
    - Smack: fix use-after-free in smk_write_relabel_self()
    - vgacon: Fix for missing check in scrollback handling (CVE-2020-14331)
    - mtd: properly check all write ioctls for permissions
    - [arm64] gpio: max77620: Fix missing release of interrupt
    - bpf: Fix NULL pointer dereference in __btf_resolve_helper_id()
    - net/9p: validate fds in p9_fd_open
    - drm/nouveau/kms/tu102: wait for core update to complete when assigning
      windows
    - drm/nouveau/fbcon: fix module unload when fbcon init has failed for some
      reason
    - drm/nouveau/fbcon: zero-initialise the mode_cmd2 structure
    - io_uring: fix lockup in io_fail_links()
    - nvme-pci: prevent SK hynix PC400 from using Write Zeroes command
    - [arm64] drm/bridge/adv7511: set the bridge type properly
    - [armhf] i2c: slave: improve sanity check when registering
    - [armhf] i2c: slave: add sanity check when unregistering
    - usb: hso: check for return value in hso_serial_common_create()
    - ALSA: hda: fix NULL pointer dereference during suspend
    - firmware: Fix a reference count leak.
    - cfg80211: check vendor command doit pointer before use
    - igb: reinit_locked() should be called with rtnl_lock
    - atm: fix atm_dev refcnt leaks in atmtcp_remove_persistent
    - tools lib traceevent: Fix memory leak in process_dynamic_array_len
    - xattr: break delegations in {set,remove}xattr
    - [arm64,armhf] PCI: tegra: Revert tegra124 raw_violation_fixup
    - ipv4: Silence suspicious RCU usage warning
    - ipv6: fix memory leaks on IPV6_ADDRFORM path
    - ipv6: Fix nexthop refcnt leak when creating ipv6 route info
    - rxrpc: Fix race between recvmsg and sendmsg on immediate call failure
    - vxlan: Ensure FDB dump is performed under RCU
    - net: lan78xx: replace bogus endpoint lookup
    - rhashtable: Restore RCU marking on rhash_lock_head
    - devlink: ignore -EOPNOTSUPP errors on dumpit
    - appletalk: Fix atalk_proc_init() return path
    - [arm64] dpaa2-eth: Fix passing zero to 'PTR_ERR' warning
    - [x86] hv_netvsc: do not use VF device if link is down
    - net: bridge: clear bridge's private skb space on xmit
    - net: gre: recompute gre csum for sctp over gre tunnels
    - net: macb: Properly handle phylink on at91sam9x
    - [arm64,armhf] net: mvpp2: fix memory leak in mvpp2_rx
    - net/sched: act_ct: fix miss set mru for ovs after defrag in act_ct
    - [arm64] net: thunderx: use spin_lock_bh in nicvf_set_rx_mode_task()
    - openvswitch: Prevent kernel-infoleak in ovs_ct_put_key()
    - Revert "vxlan: fix tos value before xmit"
    - tcp: apply a floor of 1 for RTT samples from TCP timestamps
    - [arm64] kaslr: Use standard early random function
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.16
    - tracepoint: Mark __tracepoint_string's __used
    - io_uring: abstract out task work running
    - HID: input: Fix devices that return multiple bytes in battery report
    - [x86] mce/inject: Fix a wrong assignment of i_mce.status
    - [x86] perf/x86/intel/uncore: Fix oops when counting IMC uncore events on
      some TGL
    - [x86] sched: Bail out of frequency invariance if turbo frequency is
      unknown
    - [x86] sched: Bail out of frequency invariance if turbo_freq/base_freq
      gives 0
    - sched/fair: Fix NOHZ next idle balance
    - sched: correct SD_flags returned by tl->sd_flags()
    - EDAC: Fix reference count leaks
    - crc-t10dif: Fix potential crypto notify dead-lock
    - blktrace: fix debugfs use after free (CVE-2019-19770)
    - [armhf] exynos: MCPM: Restore big.LITTLE cpuidle support
    - rcu/tree: Repeat the monitor if any free channel is busy
    - sched/uclamp: Fix initialization of struct uclamp_rq
    - [x86] crypto: qat - allow xts requests not multiple of block
    - [x86] platform/x86: intel-hid: Fix return value check in
      check_acpi_dev()
    - [x86] platform/x86: intel-vbtn: Fix return value check in
      check_acpi_dev()
    - tpm: Require that all digests are present in TCG_PCR_EVENT2 structures
    - recordmcount: only record relocation of type R_AARCH64_CALL26 on arm64.
    - regulator: fix memory leak on error path of regulator_register()
    - io_uring: fix sq array offset calculation
    - [arm64] dts: meson: fix mmc0 tuning error on Khadas VIM3
    - [arm64,armhf] spi: rockchip: Fix error in SPI slave pio read
    - seccomp: Fix ioctl number for SECCOMP_IOCTL_NOTIF_ID_VALID
    - md: raid0/linear: fix dereference before null check on pointer mddev
    - [mips64el,mipsel] irqchip/loongson-liointc: Fix potential dead lock
    - [arm64,armhf] irqchip/gic-v4.1: Use GFP_ATOMIC flag in
      allocate_vpe_l1_table()
    - nvme-tcp: fix controller reset hang during traffic
    - nvme-rdma: fix controller reset hang during traffic
    - nvme-multipath: fix logic for non-optimized paths
    - nvme-multipath: do not fall back to __nvme_find_path() for non-optimized
      paths
    - block: don't do revalidate zones on invalid devices
    - [armhf] drm/tilcdc: fix leak & null ref in panel_connector_get_modes
    - [armhf] exynos: clear L310_AUX_CTRL_FULL_LINE_ZERO in default
      l2c_aux_val
    - Bluetooth: add a mutex lock to avoid UAF in do_enale_set
    - loop: be paranoid on exit and prevent new additions / removals
    - io_uring: fix req->work corruption
    - fs/btrfs: Add cond_resched() for try_release_extent_mapping() stalls
    - drm/amdgpu: avoid dereferencing a NULL pointer
    - drm/radeon: Fix reference count leaks caused by pm_runtime_get_sync
    - video: fbdev: savage: fix memory leak on error handling path in probe
    - video: fbdev: neofb: fix memory leak in neo_scan_monitor()
    - [armhf] bus: ti-sysc: Add missing quirk flags for usb_host_hs
    - md-cluster: fix wild pointer of unlock_all_bitmaps()
    - drm/nouveau/kms/nv50-: Fix disabling dithering
    - [arm64] dts: hisilicon: hikey: fixes to comply with adi, adv7533 DT
      binding
    - [armhf] drm/etnaviv: fix ref count leak via pm_runtime_get_sync
    - drm/nouveau: fix reference count leak in nouveau_debugfs_strap_peek
    - drm/nouveau: fix multiple instances of reference count leaks
    - btrfs: fix lockdep splat from btrfs_dump_space_info
    - [arm64] drm: msm: a6xx: fix gpu failure after system resume
    - [arm64] drm/msm: Fix a null pointer access in msm_gem_shrinker_count()
    - drm/debugfs: fix plain echo to connector "force" attribute
    - drm/radeon: disable AGP by default
    - net: phy: mscc: restore the base page in vsc8514/8584_config_init
    - mm/mmap.c: Add cond_resched() for exit_mmap() CPU stalls
    - bpf: Fix fds_example SIGSEGV error
    - Bluetooth: hci_qca: Bug fixes for SSR
    - brcmfmac: keep SDIO watchdog running when console_interval is non-zero
    - brcmfmac: To fix Bss Info flag definition Bug
    - brcmfmac: set state of hanger slot to FREE when flushing PSQ
    - [x86] platform/x86: asus-nb-wmi: add support for ASUS ROG Zephyrus G14
      and G15
    - iwlegacy: Check the return value of pcie_capability_read_*()
    - [arm64,armhf] gpu: host1x: debug: Fix multiple channels emitting
      messages simultaneously
    - [x86] uaccess: Make __get_user_size() Clang compliant on 32-bit
    - mmc: sdhci-pci-o2micro: Bug fix for O2 host controller Seabird1
    - usb: gadget: net2280: fix memory leak on probe error handling paths
    - dyndbg: fix a BUG_ON in ddebug_describe_flags
    - bcache: fix super block seq numbers comparision in register_cache_set()
    - btrfs: allow btrfs_truncate_block() to fallback to nocow for data space
      reservation
    - btrfs: qgroup: free per-trans reserved space when a subvolume gets
      dropped
    - [arm64,x86] ACPICA: Do not increment operation_region reference counts
      for field units
    - io_uring: fix racy overflow count reporting
    - io_uring: fix stalled deferred requests
    - [arm64] crypto: caam - silence .setkey in case of bad key length
    - [arm64] drm/msm: ratelimit crtc event overflow error
    - drm/gem: Fix a leak in drm_gem_objects_lookup()
    - drm/amdgpu: use the unlocked drm_gem_object_put
    - [x86] agp/intel: Fix a memory leak on module initialisation failure
    - btmrvl: Fix firmware filename for sd8977 chipset
    - btmrvl: Fix firmware filename for sd8997 chipset
    - Bluetooth: hci_qca: Fix an error pointer dereference
    - Bluetooth: hci_qca: Only remove TX clock vote after TX is completed
    - Bluetooth: Allow suspend even when preparation has failed
    - ath10k: Acquire tx_lock in tx error paths
    - Bluetooth: hci_qca: Bug fix during SSR timeout
    - Bluetooth: hci_qca: Increase SoC idle timeout to 200ms
    - iio: improve IIO_CONCENTRATION channel type description
    - scsi: ufs: Fix imprecise load calculation in devfreq window
    - [armhf] drm/etnaviv: Fix error path on failure to enable bus clk
    - [arm64,armhf] drm/panfrost: Fix inbalance of devfreq record_busy/idle()
    - [arm64] drm/arm: fix unintentional integer overflow on left shift
    - Bluetooth: btusb: fix up firmware download sequence
    - Bluetooth: btmtksdio: fix up firmware download sequence
    - media: marvell-ccic: Add missed v4l2_async_notifier_cleanup()
    - [armhf] media: omap3isp: Add missed v4l2_ctrl_handler_free() for
      preview_init_entities()
    - [arm64] dpaa2-eth: fix condition for number of buffer acquire retries
    - drm/mipi: use dcs write for mipi_dsi_dcs_set_tear_scanline
    - [powerpc*] cxl: Fix kobject memleak
    - tracing: Move pipe reference to trace array instead of current_tracer
    - drm/amdgpu: ensure 0 is returned for success in jpeg_v2_5_wait_for_idle
    - drm/radeon: fix array out-of-bounds read and write issues
    - [arm*] staging: vchiq_arm: Add a matching unregister call
    - iavf: fix error return code in iavf_init_get_resources()
    - iavf: Fix updating statistics
    - RDMA/core: Fix bogus WARN_ON during ib_unregister_device_queued()
    - ipvs: allow connection reuse for unconfirmed conntrack
    - media: firewire: Using uninitialized values in node_probe()
    - media: tvp5150: Add missed media_entity_cleanup()
    - xfs: don't eat an EIO/ENOSPC writeback error when scrubbing data fork
    - xfs: fix reflink quota reservation accounting error
    - RDMA/rxe: Skip dgid check in loopback mode
    - PCI: Fix pci_cfg_wait queue locking problem
    - samples: bpf: Fix bpf programs with kprobe/sys_connect event
    - [armhf] drm/stm: repair runtime power management
    - kobject: Avoid premature parent object freeing in kobject_cleanup()
    - leds: core: Flush scheduled work for system suspend
    - [arm64,armhf] drm: panel: simple: Fix bpc for LG LB070WV8 panel
    - [armhf] phy: exynos5-usbdrd: Calibrating makes sense only for USB2.0 PHY
    - [arm64] mmc: sdhci-of-arasan: Add missed checks for devm_clk_register()
    - scsi: scsi_debug: Add check for sdebug_max_queue during module init
    - mwifiex: Prevent memory corruption handling keys
    - kernfs: do not call fsnotify() with name without a parent
    - [powerpc*] pseries: remove cede offline state for CPUs
    - [powerpc*] rtas: don't online CPUs for partition suspend
    - [powerpc*] vdso: Fix vdso cpu truncation
    - RDMA/qedr: SRQ's bug fixes
    - RDMA/rxe: Prevent access to wr->next ptr afrer wr is posted to send
      queue
    - [x86] staging: rtl8192u: fix a dubious looking mask before a shift
    - PCI/ASPM: Add missing newline in sysfs 'policy'
    - go7007: add sanity checking for endpoints
    - [powerpc*] book3s64/pkeys: Use PVR check instead of cpu feature
    - [armhf] drm/imx: fix use after free
    - [armhf] gpu: ipu-v3: Restore RGB32, BGR32
    - USB: serial: iuu_phoenix: fix led-activity helpers
    - usb: core: fix quirks_param_set() writing to a const pointer
    - [armhf] thermal: ti-soc-thermal: Fix reversed condition in
      ti_thermal_expose_sensor()
    - [powerpc*] perf: Fix missing is_sier_aviable() during build
    - [armhf] phy: armada-38x: fix NETA lockup when repeatedly switching
      speeds
    - [x86] ASoC: hdac_hda: fix deadlock after PCM open error
    - [mips64el,mipsel] OCTEON: add missing put_device() call in
      dwc3_octeon_device_init()
    - [x86] thermal: int340x: processor_thermal: fix: update Jasper Lake PCI
      id
    - [arm*] usb: dwc2: Fix error path in gadget registration
    - usb: gadget: f_uac2: fix AC Interface Header Descriptor wTotalLength
    - scsi: megaraid_sas: Clear affinity hint
    - [powerpc] scsi: mesh: Fix panic after host or bus reset
    - [arm64,armhf] net: dsa: mv88e6xxx: MV88E6097 does not support jumbo
      configuration
    - RDMA/core: Fix return error value in _ib_modify_qp() to negative
    - Bluetooth: btusb: Fix and detect most of the Chinese Bluetooth
      controllers
    - Bluetooth: hci_h5: Set HCI_UART_RESET_ON_INIT to correct flags
    - Bluetooth: hci_serdev: Only unregister device if it was registered
    - Bluetooth: Fix suspend notifier race
    - Bluetooth: hci_qca: Stop collecting memdump again for command timeout
      during SSR
    - xfs: fix inode allocation block res calculation precedence
    - xfs: clear XFS_DQ_FREEING if we can't lock the dquot buffer to flush
    - RDMA/netlink: Remove CAP_NET_RAW check when dump a raw QP
    - PCI: Release IVRS table in AMD ACS quirk
    - [powerpc*] pseries/hotplug-cpu: Remove double free in error path
    - ASoC: soc-core: Fix regression causing sysfs entries to disappear
    - [s390x] qeth: tolerate pre-filled RX buffer
    - [s390x] qeth: don't process empty bridge port events
    - ice: Clear and free XLT entries on reset
    - ice: Graceful error handling in HW table calloc failure
    - netfilter: nft_meta: fix iifgroup matching
    - rtw88: fix LDPC field for RA info
    - rtw88: fix short GI capability based on current bandwidth
    - rtw88: coex: only skip coex triggered by BT info
    - [arm64,armhf] wl1251: fix always return 0 error
    - net/mlx5: DR, Change push vlan action sequence
    - net/mlx5: Delete extra dump stack that gives nothing
    - ftrace: Fix ftrace_trace_task return value
    - [amd64,arm64] net: ethernet: aquantia: Fix wrong return value
    - liquidio: Fix wrong return value in cn23xx_get_pf_num()
    - [powerpc] net: spider_net: Fix the size used in a 'dma_free_coherent()'
      call
    - gpio: don't use same lockdep class for all devm_gpiochip_add_data users
    - [arm64] net: thunderx: initialize VF's mailbox mutex before first usage
    - dlm: Fix kobject memleak
    - ocfs2: fix unbalanced locking
    - [arm64,armhf] pinctrl-single: fix pcs_parse_pinconf() return value
    - svcrdma: Fix page leak in svc_rdma_recv_read_chunk()
    - nfsd: avoid a NULL dereference in __cld_pipe_upcall()
    - SUNRPC: Fix ("SUNRPC: Add "@len" parameter to gss_unwrap()")
    - [amd64] x86/fsgsbase/64: Fix NULL deref in 86_fsgsbase_read_task
    - [amd64] crypto: aesni - add compatibility with IAS
    - af_packet: TPACKET_V3: fix fill status rwlock imbalance
    - net: Fix potential memory leak in proto_register()
    - net/nfc/rawsock.c: add CAP_NET_RAW check.
    - net: phy: fix memory leak in device-create error path
    - net: Set fput_needed iff FDPUT_FPUT is set
    - tcp: correct read of TFO keys on big endian systems
    - [x86] vmxnet3: use correct tcp hdr length when packet is encapsulated
    - net: refactor bind_bucket fastreuse into helper
    - net: initialize fastreuse on inet_inherit_port
    - vsock: fix potential null pointer dereference in vsock_poll()
    - net: phy: marvell10g: fix null pointer dereference
    - USB: serial: cp210x: re-enable auto-RTS on open
    - USB: serial: cp210x: enable usb generic throttle/unthrottle
    - ALSA: hda - fix the micmute led status for Lenovo ThinkCentre AIO
    - ALSA: usb-audio: Creative USB X-Fi Pro SB1095 volume knob support
    - ALSA: usb-audio: fix overeager device match for MacroSilicon MS2109
    - ALSA: usb-audio: work around streaming quirk for MacroSilicon MS2109
    - ALSA: usb-audio: add quirk for Pioneer DDJ-RB
    - [arm64,x86] tpm: Unify the mismatching TPM space buffer sizes
    - [x86] crypto: qat - fix double free in qat_uclo_create_batch_init_list
    - [x86] crypto: ccp - Fix use of merged scatterlists
    - [arm64] crypto: cpt - don't sleep of CRYPTO_TFM_REQ_MAY_SLEEP was not
      specified
    - tick/nohz: Narrow down noise while setting current task's tick
      dependency
    - bitfield.h: don't compile-time validate _val in FIELD_FIT
    - fs/minix: check return value of sb_getblk()
    - fs/minix: don't allow getting deleted inodes
    - fs/minix: reject too-large maximum file size
    - [x86] kvm: x86: replace kvm_spec_ctrl_test_value with runtime test on
      the host
    - 9p: Fix memory leak in v9fs_mount
    - driver core: Fix probe_count imbalance in really_probe()
    - media: media-request: Fix crash if memory allocation fails
    - drm/ttm/nouveau: don't call tt destroy callback on alloc failure.
    - io_uring: set ctx sq/cq entry count earlier
    - io_uring: use TWA_SIGNAL for task_work uncondtionally
    - io_uring: fail poll arm on queue proc failure
    - NFS: Don't move layouts to plh_return_segs list while in use
    - NFS: Don't return layout segments that are in use
    - cpufreq: Fix locking issues with governors
    - [arm64] cpufreq: dt: fix oops on armada37xx
    - include/asm-generic/vmlinux.lds.h: align ro_after_init
    - [arm64] PM / devfreq: rk3399_dmc: Fix kernel oops when rockchip,pmu is
      absent
    - PM / devfreq: Fix indentaion of devfreq_summary debugfs node
    - spi: spidev: Align buffers for DMA
    - erofs: fix extended inode could cross boundary
    - [arm64] firmware: qcom_scm: Fix legacy convention SCM accessors
    - [x86] irqdomain/treewide: Free firmware node after domain removal
    - xen/balloon: fix accounting in alloc_xenballooned_pages error path
    - xen/balloon: make the balloon wait interruptible
    - [x86] drm/xen-front: Fix misused IS_ERR_OR_NULL checks
    - [s390x] dasd: fix inability to use DASD with DIAG driver
    - [s390x] numa: set node distance to LOCAL_DISTANCE
    - [s390x] gmap: improve THP splitting
    - io_uring: sanitize double poll handling
    - io_uring: Fix NULL pointer dereference in loop_rw_iter()
    - task_work: only grab task signal lock when needed
    - io_uring: add missing REQ_F_COMP_LOCKED for nested requests
    - io_uring: enable lookup of links holding inflight files
    - io_uring: hold 'ctx' reference around task_work queue + execute
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.17
    - smb3: warn on confusing error scenario with sec=krb5
    - genirq/affinity: Make affinity setting if activated opt-in
    - genirq/PM: Always unlock IRQ descriptor in rearm_wake_irq()
    - [arm64,x86] PCI: hotplug: ACPI: Fix context refcounting in
      acpiphp_grab_context()
    - PCI/ATS: Add pci_pri_supported() to check device or associated PF
    - PCI: Mark AMD Navi10 GPU rev 0x00 ATS as broken
    - PCI: Add device even if driver attach failed
    - [arm64] PCI: qcom: Define some PARF params needed for ipq8064 SoC
    - [arm64] PCI: qcom: Add support for tx term offset for rev 2.1.0
    - btrfs: allow use of global block reserve for balance item deletion
    - btrfs: free anon block device right after subvolume deletion
    - btrfs: don't allocate anonymous block device for user invisible roots
    - btrfs: ref-verify: fix memory leak in add_block_entry
    - btrfs: only commit the delayed inode when doing a full fsync
    - btrfs: stop incremening log_batch for the log root tree when syncing log
    - btrfs: only commit delayed items at fsync if we are logging a directory
    - btrfs: remove no longer needed use of log_writers for the log root tree
    - btrfs: don't traverse into the seed devices in show_devname
    - btrfs: pass checksum type via BTRFS_IOC_FS_INFO ioctl
    - btrfs: open device without device_list_mutex
    - btrfs: move the chunk_mutex in btrfs_read_chunk_tree
    - btrfs: relocation: review the call sites which can be interrupted by
      signal
    - btrfs: add missing check for nocow and compression inode flags
    - btrfs: avoid possible signal interruption of btrfs_drop_snapshot() on
      relocation tree
    - btrfs: return EROFS for BTRFS_FS_STATE_ERROR cases
    - btrfs: sysfs: use NOFS for device creation
    - btrfs: don't WARN if we abort a transaction with EROFS
    - btrfs: fix race between page release and a fast fsync
    - btrfs: don't show full path of bind mounts in subvol=
    - btrfs: fix messages after changing compression level by remount
    - btrfs: only search for left_info if there is no right_info in
      try_merge_free_space
    - btrfs: inode: fix NULL pointer dereference if inode doesn't need
      compression
    - btrfs: fix memory leaks after failure to lookup checksums during inode
      logging
    - btrfs: trim: fix underflow in trim length to prevent access beyond
      device boundary
    - btrfs: make sure SB_I_VERSION doesn't get unset by remount
    - btrfs: fix return value mixup in btrfs_get_extent
    - [arm64] perf: Correct the event index in sysfs
    - cifs: Fix leak when handling lease break for cached root fid
    - [powerpc*] Allow 4224 bytes of stack expansion for the signal frame
    - [powerpc*] Fix circular dependency between percpu.h and mmu.h
    - [arm64] media: venus: fix multiple encoder crash
    - [arm64] net: ethernet: stmmac: Disable hardware multicast filter
    - [arm64,armhf] net: stmmac: dwmac1000: provide multicast filter fallback
    - [mips64el,mipsel] irqchip/loongson-liointc: Fix misuse of gc->mask_cache
    - [arm64,armhf] irqchip/gic-v4.1: Ensure accessing the correct RD when
      writing INVALLR
    - pidfd: Add missing sock updates for pidfd_getfd()
    - net/compat: Add missing sock updates for SCM_RIGHTS
    - md/raid5: Fix Force reconstruct-write io stuck in degraded raid5
    - bcache: allocate meta data pages as compound pages
    - bcache: fix overflow in offset_to_stripe()
    - mac80211: fix misplaced while instead of if
    - driver core: Avoid binding drivers to dead devices
    - [mips*] CPU#0 is not hotpluggable
    - ext2: fix missing percpu_counter_inc
    - khugepaged: collapse_pte_mapped_thp() flush the right range
    - mm/hugetlb: fix calculation of adjust_range_if_pmd_sharing_possible
    - khugepaged: collapse_pte_mapped_thp() protect the pmd lock
    - hugetlbfs: remove call to huge_pte_alloc without i_mmap_rwsem
    - [amd64,arm64] mm/shuffle: don't move pages between zones and don't read
      garbage memmaps
    - ocfs2: change slot number type s16 to u16
    - mm/page_counter.c: fix protection usage propagation
    - cma: don't quit at first error when activating reserved areas
    - mm/memory_hotplug: fix unpaired mem_hotplug_begin/done
    - ftrace: Setup correct FTRACE_FL_REGS flags for module
    - kprobes: Fix NULL pointer dereference at kprobe_ftrace_handler
    - tracing: Use trace_sched_process_free() instead of exit() for pid
      tracing
    - [x86] watchdog: f71808e_wdt: indicate WDIOF_CARDRESET support in
      watchdog_info.options
    - [x86] watchdog: f71808e_wdt: remove use of wrong watchdog_info option
    - [x86] watchdog: f71808e_wdt: clear watchdog timeout occurred flag
    - ceph: set sec_context xattr on symlink creation
    - ceph: handle zero-length feature mask in session messages
    - [powerpc*] pseries: Fix 64 bit logical memory block panic
    - dm: don't call report zones for more than the user requested
    - module: Correctly truncate sysfs sections output
    - bootconfig: Fix to find the initargs correctly
    - perf probe: Fix wrong variable warning when the probe point is not found
    - perf probe: Fix memory leakage when the probe point is not found
    - perf intel-pt: Fix FUP packet state
    - perf intel-pt: Fix duplicate branch after CBR
    - gfs2: Never call gfs2_block_zero_range with an open transaction
    - [armhf] drm/imx: imx-ldb: Disable both channels for split mode in
      enc->disable()
    - crypto: algif_aead - Only wake up when ctx->more is zero
    - RDMA/ipoib: Return void from ipoib_ib_dev_stop()
    - RDMA/ipoib: Fix ABBA deadlock with ipoib_reap_ah()
    - rtc: cpcap: fix range
    - IB/uverbs: Set IOVA on IB MR in uverbs layer
    - sched/uclamp: Protect uclamp fast path code with static key
    - USB: serial: ftdi_sio: make process-packet buffer unsigned
    - USB: serial: ftdi_sio: clean up receive processing
    - crypto: af_alg - Fix regression on empty requests
    - devres: keep both device name and resource name in pretty name
    - RDMA/counter: Only bind user QPs in auto mode
    - RDMA/counter: Allow manually bind QPs with different pids to same
      counter
    - rtw88: pci: disable aspm for platform inter-op with module parameter
    - [arm64,armhf] rtc: pl031: fix set_alarm by adding back call to
      alarm_irq_enable
    - [armhf] gpu: ipu-v3: image-convert: Combine rotate/no-rotate irq
      handlers
    - [armhf] gpu: ipu-v3: image-convert: Wait for all EOFs before completing
      a tile
    - dm rq: don't call blk_mq_queue_stopped() in dm_stop_queue()
    - f2fs: compress: fix to avoid memory leak on cc->cpages
    - [arm64] clk: qcom: clk-alpha-pll: remove unused/incorrect PLL_CAL_VAL
    - iommu/vt-d: Enforce PASID devTLB field mask
    - f2fs: compress: fix to update isize when overwriting compressed file
    - nvme: fix deadlock in disconnect during scan_work and/or ana_work
    - sched/uclamp: Fix a deadlock when enabling uclamp static key
    - nfs: ensure correct writeback errors are returned on close()
    - ubifs: Fix wrong orphan node deletion in ubifs_jnl_update|rename
    - [arm*] clk: bcm2835: Do not use prediv with bcm2711's PLLs
    - scsi: lpfc: nvmet: Avoid hang / use-after-free again when destroying
      targetport
    - nfs: nfs_file_write() should check for writeback errors
    - watchdog: initialize device before misc_register
    - md-cluster: Fix potential error pointer dereference in resize_bitmaps()
    - [x86] tsr: Fix tsc frequency enumeration bug on Lightning Mountain SoC
    - [x86] bugs/multihit: Fix mitigation reporting when VMX is not in use
    - Input: sentelic - fix error return when fsp_reg_write fails
    - [x86] drm/vmwgfx: Use correct vmw_legacy_display_unit pointer
    - [x86] drm/vmwgfx: Fix two list_for_each loop exit tests
    - [arm64] net: qcom/emac: add missed clk_disable_unprepare in error path
      of emac_clks_phase1_init
    - nfs: Fix getxattr kernel panic and memory overflow
    - NFS: Fix flexfiles read failover
    - fs/minix: set s_maxbytes correctly
    - fs/minix: fix block limit check for V1 filesystems
    - fs/minix: remove expected error message in block_to_path()
    - fs/ufs: avoid potential u32 multiplication overflow
    - crypto: algif_aead - fix uninitialized ctx->init
    - perf bench mem: Always memset source before memcpy
    - [x86] perf/x86/rapl: Fix missing psys sysfs attributes
    - khugepaged: retract_page_tables() remember to test exit
    - [arm64,armhf] ASoC: tegra: Use device managed resource APIs to get the
      clock
    - [arm64,armhf] ASoC: tegra: Add audio mclk parent configuration
    - [arm64,armhf] ASoC: tegra: Enable audio mclk during
      tegra_asoc_utils_init()
    - [x86] drm/i915/gt: Force the GT reset on shutdown
    - [arm64,armhf] drm/panfrost: Use kvfree() to free bo->sgts
    - drm/dp_mst: Fix the DDC I2C device registration of an MST port
    - drm/amdgpu: fix ordering of psp suspend
    - [armhf] drm/omap: force runtime PM suspend on system suspend
    - drm: Added orientation quirk for ASUS tablet model T103HAF
    - drm: fix drm_dp_mst_port refcount leaks in drm_dp_mst_allocate_vcpi
    - drm/amdgpu: Fix bug where DPM is not enabled after hibernate and resume

  [ Salvatore Bonaccorso ]
  * Bump ABI to 3

  [ Ben Hutchings ]
  * doc: Disable extension incompatible with Sphinx 3 (fixes FTBFS)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Aug 2020 15:44:14 +0200

linux (5.7.10-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.7
    - block/bio-integrity: don't free 'buf' if bio_integrity_add_page() failed
    - ethtool: Fix check in ethtool_rx_flow_rule_create
    - geneve: allow changing DF behavior after creation
    - [powerpc*] ibmveth: Fix max MTU limit
    - mld: fix memory leak in ipv6_mc_destroy_dev()
    - [arm64,armhf] mvpp2: ethtool rxtx stats fix
    - net: bridge: enfore alignment for ethernet address
    - net: core: reduce recursion limit value
    - net: Do not clear the sock TX queue in sk_set_socket()
    - net: ethtool: add missing string for NETIF_F_GSO_TUNNEL_REMCSUM
    - net: fix memleak in register_netdevice()
    - net: Fix the arp error in some cases
    - net: increment xmit_recursion level in dev_direct_xmit()
    - net: usb: ax88179_178a: fix packet alignment padding
    - openvswitch: take into account de-fragmentation/gso_size in
      execute_check_pkt_len
    - rxrpc: Fix notification call on completion of discarded calls
    - sctp: Don't advertise IPv4 addresses if ipv6only is set on the socket
    - tcp: don't ignore ECN CWR on pure ACK
    - tcp: grow window for OOO packets only for SACK flows
    - tg3: driver sleeps indefinitely when EEH errors exceed eeh_max_freezes
    - ip6_gre: fix use-after-free in ip6gre_tunnel_lookup()
    - net: phy: Check harder for errors in get_phy_id()
    - ip_tunnel: fix use-after-free in ip_tunnel_lookup()
    - bnxt_en: Store the running firmware version code.
    - bnxt_en: Do not enable legacy TX push on older firmware.
    - bnxt_en: Fix statistics counters issue during ifdown with older firmware.
    - bnxt_en: Read VPD info only for PFs
    - net: phylink: fix ethtool -A with attached PHYs
    - net: phylink: ensure manual pause mode configuration takes effect
    - sch_cake: don't try to reallocate or unshare skb unconditionally
    - sch_cake: don't call diffserv parsing code when it is not needed
    - sch_cake: fix a few style nits
    - tcp_cubic: fix spurious HYSTART_DELAY exit upon drop in min RTT
    - bpf: tcp: bpf_cubic: fix spurious HYSTART_DELAY exit upon drop in min RTT
    - [arm64,riscv64] net: macb: undo operations in case of failure
    - r8169: fix firmware not resetting tp->ocp_base
    - net: ethtool: add missing NETIF_F_GSO_FRAGLIST feature string
    - [arm64,riscv64] net: macb: call pm_runtime_put_sync on failure path
    - net: phy: mscc: avoid skcipher API for single block AES encryption
    - of: of_mdio: Correct loop scanning logic
    - wireguard: device: avoid circular netns references
    - bareudp: Fixed multiproto mode configuration
    - [armhf] net: dsa: bcm_sf2: Fix node reference count
    - net: phy: smsc: fix printing too many logs
    - genetlink: clean up family attributes allocations
    - nvmet: cleanups the loop in nvmet_async_events_process
    - nvmet: fail outstanding host posted AEN req
    - ALSA: usb-audio: Fix potential use-after-free of streams
    - [arm64,armhf] Revert "i2c: tegra: Fix suspending in active runtime PM
      state"
    - btrfs: fix a block group ref counter leak after failure to remove block
      group
    - binder: fix null deref of proc->context
    - [x86] mei: me: disable mei interface on Mehlow server platforms
    - [x86] mei: me: add tiger lake point device ids for H platforms.
    - [armhf] Revert "usb: dwc3: exynos: Add support for Exynos5422 suspend
      clk"
    - [mips*/*-malta,sh4] USB: ohci-sm501: Add missed iounmap() in remove
    - [arm64,armhf] usb: dwc2: Postponed gadget registration to the udc class
      driver
    - usb: add USB_QUIRK_DELAY_INIT for Logitech C922
    - USB: ehci: reopen solution for Synopsys HC bug
    - xhci: Poll for U0 after disabling USB2 LPM
    - [armhf] usb: host: ehci-exynos: Fix error check in exynos_ehci_probe()
    - ALSA: usb-audio: Add implicit feedback quirk for SSL2+.
    - ALSA: usb-audio: add quirk for Denon DCD-1500RE
    - ALSA: usb-audio: Set 48 kHz rate for Rodecaster
    - ALSA: usb-audio: Add registration quirk for Kingston HyperX Cloud Flight S
    - ALSA: usb-audio: add quirk for Samsung USBC Headset (AKG)
    - ALSA: usb-audio: Fix OOB access of mixer element list
    - scsi: qla2xxx: Keep initiator ports after RSCN
    - [s390x] scsi: zfcp: Fix panic on ERP timeout for previously dismissed ERP
      action
    - cifs: Fix cached_fid refcnt leak in open_shroot
    - cifs/smb3: Fix data inconsistent when punch hole
    - cifs/smb3: Fix data inconsistent when zero file range
    - xhci: Fix incorrect EP_STATE_MASK
    - xhci: Fix enumeration issue when setting max packet size for FS devices.
    - xhci: Return if xHCI doesn't support LPM
    - cdc-acm: Add DISABLE_ECHO quirk for Microchip/SMSC chip
    - loop: replace kill_bdev with invalidate_bdev
    - IB/mad: Fix use after free when destroying MAD agent
    - IB/hfi1: Fix module use count flaw due to leftover module put calls
    - [armhf] bus: ti-sysc: Flush posted write on enable and disable
    - [armhf] bus: ti-sysc: Use optional clocks on for enable and wait for
      softreset bit
    - [armhf] bus: ti-sysc: Ignore clockactivity unless specified as a quirk
    - [armhf] bus: ti-sysc: Fix uninitialized framedonetv_irq
    - [armhf] OMAP2+: Fix legacy mode dss_reset
    - xfrm: Fix double ESP trailer insertion in IPsec crypto offload.
    - [armhf] dts: Fix am33xx.dtsi USB ranges length
    - [armhf] dts: Fix am33xx.dtsi ti,sysc-mask wrong softreset flag
    - [x86] resctrl: Support CPUID enumeration of MBM counter width
    - [x86] resctrl: Fix memory bandwidth counter width for AMD
    - efi/tpm: Verify event log header before parsing
    - ASoC: soc-pcm: fix checks for multi-cpu FE dailinks
    - [arm64] ASoC: qcom: common: set correct directions for dailinks
    - [armhf] regualtor: pfuze100: correct sw1a/sw2 on pfuze3000
    - efi/libstub: Fix path separator regression
    - RDMA/siw: Fix pointer-to-int-cast warning in siw_rx_pbl()
    - [armhf] dts: am335x-pocketbeagle: Fix mmc0 Write Protect
    - [armhf] dts: Fix duovero smsc interrupt for suspend
    - dma-direct: re-encrypt memory if dma_direct_alloc_pages() fails
    - dma-direct: check return value when encrypting or decrypting memory
    - [x86] resctrl: Fix a NULL vs IS_ERR() static checker warning in
      rdt_cdp_peer_get()
    - [x86] efi/x86: Setup stack correctly for efi_pe_entry
    - regmap: Fix memory leak from regmap_register_patch
    - devmap: Use bpf_map_area_alloc() for allocating hash buckets
    - bpf: Don't return EINVAL from {get,set}sockopt when optlen > PAGE_SIZE
    - rxrpc: Fix handling of rwind from an ACK packet
    - RDMA/rvt: Fix potential memory leak caused by rvt_alloc_rq
    - RDMA/efa: Set maximum pkeys device attribute
    - RDMA/qedr: Fix KASAN: use-after-free in ucma_event_handler+0x532
    - RDMA/cma: Protect bind_list and listen_list while finding matching cm id
    - RDMA/core: Check that type_attrs is not NULL prior access
    - [arm64,armhf] ASoC: rockchip: Fix a reference count leak.
    - [s390x] qeth: fix error handling for isolation mode cmds
    - RDMA/mad: Fix possible memory leak in ib_mad_post_receive_mads()
    - [x86] Revert "KVM: VMX: Micro-optimize vmexit time when not exposing PMU"
    - [x86] iommu/vt-d: Set U/S bit in first level page table by default
    - [x86] iommu/vt-d: Enable PCI ACS for platform opt in hint
    - [x86] iommu/vt-d: Update scalable mode paging structure coherency
    - dma-direct: add missing set_memory_decrypted() for coherent mapping
    - net: qed: fix left elements count calculation
    - net: qed: fix async event callbacks unregistering
    - net: qede: stop adding events on an already destroyed workqueue
    - net: qed: fix NVMe login fails over VFs
    - net: qed: fix excessive QM ILT lines consumption
    - net: qede: fix PTP initialization on recovery
    - net: qede: fix use-after-free on recovery and AER handling
    - net: qed: reset ILT block sizes before recomputing to fix crashes
    - cxgb4: move handling L2T ARP failures to caller
    - cxgb4: move PTP lock and unlock to caller in Tx path
    - [armhf] imx5: add missing put_device() call in imx_suspend_alloc_ocram()
    - scsi: lpfc: Avoid another null dereference in lpfc_sli4_hba_unset()
    - usb: gadget: udc: Potential Oops in error handling code
    - nvme: don't protect ns mutation with ns->head->lock
    - qed: add missing error test for DBG_STATUS_NO_MATCHING_FRAMING_MODE
    - netfilter: ipset: fix unaligned atomic access
    - [arm64] net: bcmgenet: use hardware padding of runt frames
    - io_uring: fix hanging iopoll in case of -EAGAIN
    - [riscv64] clk: sifive: allocate sufficient memory for struct __prci_data
    - [armhf] i2c: fsi: Fix the port number field in status register
    - wireguard: receive: account for napi_gro_receive never returning GRO_DROP
    - [arm64] socionext: account for napi_gro_receive never returning GRO_DROP
    - wil6210: account for napi_gro_receive never returning GRO_DROP
    - i2c: core: check returned size of emulated smbus block read
    - afs: Fix storage of cell names
    - sched/deadline: Initialize ->dl_boosted
    - sched/core: Fix PI boosting between RT and DEADLINE tasks
    - sched/cfs: change initial value of runnable_avg
    - ata/libata: Fix usage of page address by page_address in
      ata_scsi_mode_select_xlat function
    - drm/amd/display: Use kfree() to free rgb_user in
      calculate_user_regamma_ramp()
    - [riscv64] atomic: Fix sign extension for RV64I
    - bcache: check and adjust logical block size for backing devices
    - net: alx: fix race condition in alx_remove
    - [arm64] pinctrl: qcom: spmi-gpio: fix warning about irq chip reusage
    - [arm64,armhf] pinctrl: tegra: Use noirq suspend/resume callbacks
    - [s390x] seccomp: pass syscall arguments via seccomp_data
    - [s390x] ptrace: return -ENOSYS when invalid syscall is supplied
    - [s390x] ptrace: pass invalid syscall numbers to tracing
    - [s390x] ptrace: fix setting syscall number
    - [s390x] vdso: Use $(LD) instead of $(CC) to link vDSO
    - [s390x] vdso: fix vDSO clock_getres()
    - [arm64] sve: Fix build failure when ARM64_SVE=y and SYSCTL=n
    - kbuild: improve cc-option to clean up all temporary files
    - recordmcount: support >64k sections
    - kprobes: Suppress the suspicious RCU warning on kprobes
    - blktrace: break out of blktrace setup on concurrent calls
    - nvdimm/region: always show the 'align' attribute
    - block: update hctx map when use multiple maps
    - [riscv64] Don't allow write+exec only page mapping request in mmap
    - syscalls: Fix offset type of ksys_ftruncate()
    - ALSA: hda: Add NVIDIA codec IDs 9a & 9d through a0 to patch table
    - [x86] ALSA: hda/realtek - Add quirk for MSI GE63 laptop
    - [x86] ALSA: hda/realtek: Add mute LED and micmute LED support for HP
      systems
    - ACPI: sysfs: Fix pm_profile_attr type
    - ACPI: configfs: Disallow loading ACPI tables when locked down
      (CVE-2020-15780)
    - erofs: fix partially uninitialized misuse in z_erofs_onlinepage_fixup
    - [x86] KVM: X86: Fix MSR range of APIC registers in X2APIC mode
    - [x86] kvm: lapic: fix broken vcpu hotplug
    - [x86] KVM: nVMX: Plumb L2 GPA through to PML emulation
    - [x86] KVM: VMX: Stop context switching MSR_IA32_UMWAIT_CONTROL
    - [x86] cpu: Use pinning mask for CR4 bits needing to be 0
    - [x86] cpu: Reinitialize IA32_FEAT_CTL MSR on BSP during wakeup
    - [amd64] asm/64: Align start of __clear_user() loop to 16-bytes
    - btrfs: fix bytes_may_use underflow when running balance and scrub in
      parallel
    - btrfs: fix data block group relocation failure due to concurrent scrub
    - btrfs: check if a log root exists before locking the log_mutex on unlink
    - btrfs: fix hang on snapshot creation after RWF_NOWAIT write
    - btrfs: fix failure of RWF_NOWAIT write into prealloc extent beyond eof
    - btrfs: fix RWF_NOWAIT write not failling when we need to cow
    - mm, compaction: make capture control handling safe wrt interrupts
    - mm, slab: fix sign conversion problem in memcg_uncharge_slab()
    - mm/slab: use memzero_explicit() in kzfree()
    - ocfs2: avoid inode removal while nfsd is accessing it
    - ocfs2: load global_inode_alloc
    - ocfs2: fix value of OCFS2_INVALID_SLOT
    - ocfs2: fix panic on nfs server over ocfs2
    - mm: memcontrol: handle div0 crash race condition in memory.low
    - mm/memcontrol.c: add missed css_put()
    - mm/memory_hotplug.c: fix false softlockup during pfn range removal
    - [arm64] perf: Report the PC value in REGS_ABI_32 mode
    - tracing/boottime: Fix kprobe multiple events
    - tracing: Fix event trigger to accept redundant spaces
    - ring-buffer: Zero out time extend if it is nested and not absolute
    - drm/amd/display: Enable output_bpc property on all outputs
    - drm/amd: fix potential memleak in err branch
    - drm/radeon: fix fb_div check in ni_init_smc_spll_table()
    - drm/fb-helper: Fix vt restore
    - drm/amdgpu: add fw release for sdma v5_0
    - drm/amdgpu/display: Unlock mutex on error
    - drm/panel-simple: fix connector type for newhaven_nhd_43_480272ef_atxl
    - drm/panel-simple: fix connector type for LogicPD Type28 Display
    - [armhf] dts: imx6ul-kontron: Move watchdog from Kontron i.MX6UL/ULL board
      to SoM
    - [armhf] dts: imx6ul-kontron: Change WDOG_ANY signal from push-pull to
      open-drain
    - [x86,arm64] Staging: rtl8723bs: prevent buffer overflow in
      update_sta_support_rate()
    - sunrpc: fixed rollback in rpc_gssd_dummy_populate()
    - SUNRPC: Properly set the @subbuf parameter of xdr_buf_subsegment()
    - pNFS/flexfiles: Fix list corruption if the mirror count changes
    - NFSv4 fix CLOSE not waiting for direct IO compeletion
    - [x86] EDAC/amd64: Read back the scrub rate PCI register on F15h
    - xprtrdma: Fix handling of RDMA_ERROR replies
    - dm writecache: correct uncommitted_block when discarding uncommitted entry
    - dm writecache: add cond_resched to loop in persistent_memory_claim()
    - Revert "tty: hvc: Fix data abort due to race in hvc_open"
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.8
    - exfat: Set the unused characters of FileName field to the value 0000h
    - exfat: add missing brelse() calls on error paths
    - exfat: call sync_filesystem for read-only remount
    - exfat: move setting VOL_DIRTY over exfat_remove_entries()
    - exfat: flush dirty metadata in fsync
    - btrfs: block-group: refactor how we delete one block group item
    - btrfs: fix race between block group removal and block group creation
    - mm: fix swap cache node allocation mask
    - drm/amd/display: Fix incorrectly pruned modes with deep color
    - drm/amd/display: Fix ineffective setting of max bpc property
    - seg6: fix seg6_validate_srh() to avoid slab-out-of-bounds
    - tipc: add test for Nagle algorithm effectiveness
    - tipc: fix kernel WARNING in tipc_msg_append()
    - usbnet: smsc95xx: Fix use-after-free after removal
    - tipc: Fix NULL pointer dereference in __tipc_sendstream()
    - [x86] drm/i915/gt: Mark timeline->cacheline as destroyed after rcu grace
      period
    - drm/amdgpu: disable ras query and iject during gpu reset
    - drm/amdgpu: fix non-pointer dereference for non-RAS supported
    - drm/amdgpu: fix kernel page fault issue by ras recovery on sGPU
    - sched/debug: Make sd->flags sysctl read-only
    - soc: ti: omap-prm: use atomic iopoll instead of sleeping one
    - [powerpc*] kvm/book3s: Add helper to walk partition scoped linux page
      table.
    - [powerpc*] book3s64/kvm: Fix secondary page table walk warning during
      migration
    - mm/slub.c: fix corrupted freechain in deactivate_slab()
    - mm/slub: fix stack overruns with SLUB_STATS
    - mm, dump_page(): do not crash with invalid mapping pointer
    - io_uring: fix {SQ,IO}POLL with unsupported opcodes
    - rxrpc: Fix race between incoming ACK parser and retransmitter
    - usb: usbtest: fix missing kfree(dev->buf) in usbtest_disconnect
      (CVE-2020-15393)
    - tools lib traceevent: Add append() function helper for appending strings
    - tools lib traceevent: Handle __attribute__((user)) in field names
    - [s390x] debug: avoid kernel warning on too large number of pages
    - io_uring: fix io_sq_thread no schedule when busy
    - nvme-multipath: set bdi capabilities once
    - nvme: fix possible deadlock when I/O is blocked
    - nvme-multipath: fix deadlock between ana_work and scan_work
    - nvme-multipath: fix deadlock due to head->lock
    - nvme-multipath: fix bogus request queue reference put
    - io_uring: fix current->mm NULL dereference on exit
    - tpm: Fix TIS locality timeout problems
    - crypto: af_alg - fix use-after-free in af_alg_accept() due to
      bh_lock_sock()
    - task_work: teach task_work_add() to do signal_wake_up()
    - io_uring: use signal based task_work running
    - [arm64] drm/msm/dpu: fix error return code in dpu_encoder_init
    - btrfs: fix RWF_NOWAIT writes blocking on extent locks and waiting for IO
    - rxrpc: Fix afs large storage transmission performance drop
    - RDMA/counter: Query a counter before release
    - xfs: fix use-after-free on CIL context on shutdown
    - hsr: remove hsr interface if all slaves are removed
    - hsr: avoid to create proc file after unregister
    - cxgb4: use unaligned conversion for fetching timestamp
    - cxgb4: parse TC-U32 key values and masks natively
    - cxgb4: fix endian conversions for L4 ports in filters
    - cxgb4: use correct type for all-mask IP address comparison
    - cxgb4: fix SGE queue dump destination buffer context
    - security: Fix hook iteration and default value for inode_copy_up_xattr
    - [x86] hwmon: (acpi_power_meter) Fix potential memory leak in
      acpi_power_meter_add()
    - scsi: qla2xxx: Fix a condition in qla2x00_find_all_fabric_devs()
    - nfsd4: fix nfsdfs reference count loop
    - nfsd: fix nfsdfs inode reference count leak
    - [arm64,armhf] drm: sun4i: hdmi: Remove extra HPD polling
    - virtio-blk: free vblk-vqs in error path of virtblk_probe()
    - SMB3: Honor 'posix' flag for multiuser mounts
    - nvme: fix identify error status silent ignore
    - nvme: fix a crash in nvme_mpath_add_disk
    - [sh4] i2c: algo-pca: Add 0x78 as SCL stuck low status for PCA9665
    - [x86,arm64] i2c: designware: platdrv: Set class based on DMI
    - io_uring: fix regression with always ignoring signals in io_cqring_wait()
    - Revert "ALSA: usb-audio: Improve frames size computation"
    - padata: upgrade smp_mb__after_atomic to smp_mb in padata_do_serial
    - SMB3: Honor 'seal' flag for multiuser mounts
    - SMB3: Honor persistent/resilient handle flags for multiuser mounts
    - SMB3: Honor lease disabling for multiuser mounts
    - SMB3: Honor 'handletimeout' flag for multiuser mounts
    - cifs: Fix the target file was deleted when rename failed.
    - [x86] Drivers: hv: Change flag to write log level in panic msg to false
    - hwmon: (pmbus) Fix page vs. register when accessing fans
    - [x86] ACPI: fan: Fix Tiger Lake ACPI device ID
    - gfs2: fix trans slab error when withdraw occurs inside log_flush
    - [x86] split_lock: Don't write MSR_TEST_CTRL on CPUs that aren't
      whitelisted
    - [mips*] Add missing EHB in mtc0 -> mfc0 sequence for DSPen
    - [x86] drm/i915: Include asm sources for {ivb, hsw}_clear_kernel.c
    - drm/amd/powerplay: Fix NULL dereference in lock_bus() on Vega20 w/o RAS
    - drm/amd/display: Only revalidate bandwidth on medium and fast updates
    - drm/amdgpu: use %u rather than %d for sclk/mclk
    - drm/amdgpu/atomfirmware: fix vram_info fetching for renoir
    - dma-buf: Move dma_buf_release() from fops to dentry_ops
    - [arm64,armhf] irqchip/gic: Atomically update affinity
    - mm/hugetlb.c: fix pages per hugetlb calculation
    - [arm*] mm/cma.c: use exact_nid true to fix possible per-numa cma leak
    - dm zoned: assign max_io_len correctly
    - efi: Make it possible to disable efivar_ssdt entirely
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.9
    - [s389x] KVM: s390: reduce number of IO pins to 1
    - regmap: fix alignment issue
    - [x86] perf/x86/rapl: Move RAPL support to common x86 code
    - [x86] perf/x86/rapl: Fix RAPL config variable bug
    - [armhf] dts: omap4-droid4: Fix spi configuration and increase rate
    - drm/ttm: Fix dma_fence refcnt leak in ttm_bo_vm_fault_reserved
    - drm/ttm: Fix dma_fence refcnt leak when adding move fence
    - [arm64,armhf] gpu: host1x: Clean up debugfs in error handling path
    - [arm64,armhf] drm/tegra: hub: Do not enable orphaned window group
    - [arm64,armhf] gpu: host1x: Detach driver on unregister
    - [x86] ASoC: SOF: Intel: add PCI ID for CometLake-S
    - ASoC: hdac_hda: fix memleak with regmap not freed on remove
    - [x86] ALSA: hda: Intel: add missing PCI IDs for ICL-H, TGL-H and EKL
    - spi: spidev: fix a race between spidev_release and spidev_remove
    - spi: spidev: fix a potential use-after-free in spidev_release()
    - [arm64,armhf] net: ethernet: mvneta: Fix Serdes configuration for SoCs
      without comphy
    - [arm64,armhf] net: ethernet: mvneta: Add 2500BaseX support for SoCs
      without comphy
    - ixgbe: protect ring accesses with READ- and WRITE_ONCE
    - i40e: protect ring accesses with READ- and WRITE_ONCE
    - ice: protect ring accesses with WRITE_ONCE
    - [powerpc*] kvm/book3s64: Fix kernel crash with nested kvm & DEBUG_VIRTUAL
    - xprtrdma: Prevent dereferencing r_xprt->rx_ep after it is freed
    - [x86] iommu/vt-d: Don't apply gfx quirks to untrusted devices
    - [x86] drm: panel-orientation-quirks: Add quirk for Asus T101HA panel
    - [x86] drm: panel-orientation-quirks: Use generic orientation-data for
      Acer S1003
    - [s390x] kasan: fix early pgm check handler execution
    - cifs: update ctime and mtime during truncate
    - [armhf] imx6: add missing put_device() call in imx6q_suspend_init()
    - scsi: qla2xxx: Fix MPI failure AEN (8200) handling
    - scsi: mptscsih: Fix read sense data size
    - [arm64,armhf] usb: dwc3: pci: Fix reference count leak in
      dwc3_pci_resume_work
    - [arm64] kpti: Add KRYO{3, 4}XX silver CPU cores to kpti safelist
    - block: release bip in a right way in error path
    - nvme-rdma: assign completion vector correctly
    - [x86] entry: Increase entry_stack size to a full page
    - [arm64] Add KRYO{3,4}XX silver CPU cores to SSB safelist
    - nfs: Fix memory leak of export_path
    - sched/core: Check cpus_mask, not cpus_ptr in __set_cpus_allowed_ptr(), to
      fix mask corruption
    - mtd: set master partition panic write flag
    - [arm64,armhf] gpio: pca953x: Synchronize interrupt handler properly
    - [arm64,armhf] gpio: pca953x: Fix direction setting when configure an IRQ
    - [arm64] KVM: arm64: vgic-v4: Plug race between non-residency and v4.1
      doorbell
    - mac80211: Fix dropping broadcast packets in 802.11 encap
    - bpf: Do not allow btf_ctx_access with __int128 types
    - nl80211: don't return err unconditionally in nl80211_start_ap()
    - nl80211: fix memory leak when parsing NL80211_ATTR_HE_BSS_COLOR
    - bpf, sockmap: RCU splat with redirect and strparser error or TLS
    - bpf, sockmap: RCU dereferenced psock may be used outside RCU block
    - netfilter: ipset: call ip_set_free() instead of kfree()
    - [arm64,armhf] net: mvneta: fix use of state->speed
    - net: cxgb4: fix return error value in t4_prep_fw
    - btrfs: fix reclaim_size counter leak after stealing from global reserve
    - [arm64] drm/meson: viu: fix setting the OSD burst length in
      VIU_OSD1_FIFO_CTRL_STAT
    - IB/sa: Resolv use-after-free in ib_nl_make_request()
    - netfilter: conntrack: refetch conntrack after nf_conntrack_update()
    - perf report TUI: Fix segmentation fault in perf_evsel__hists_browse()
    - [x86] perf intel-pt: Fix recording PEBS-via-PT with registers
    - [x86] perf intel-pt: Fix PEBS sample for XMM registers
    - smsc95xx: check return value of smsc95xx_reset
    - smsc95xx: avoid memory leak in smsc95xx_bind
    - [arm64] net: hns3: check reset pending after FLR prepare
    - [arm64] net: hns3: fix for mishandle of asserting VF reset fail
    - [arm64] net: hns3: add a missing uninit debugfs when unload driver
    - [arm64] net: hns3: fix use-after-free when doing self test
    - ALSA: compress: fix partial_drain completion state
    - net: qed: fix buffer overflow on ethtool -d
    - [powerpc*] 64s/exception: Fix 0x1500 interrupt handler crash
    - RDMA/siw: Fix reporting vendor_part_id
    - net: atlantic: fix ip dst and ipv6 address filters
    - nbd: Fix memory leak in nbd_add_socket
    - cxgb4: fix all-mask IP address comparison
    - IB/mlx5: Fix 50G per lane indication
    - qed: Populate nvm-file attributes while reading nvm config partition.
    - net/mlx5: Fix eeprom support for SFP module
    - net/mlx5e: Fix VXLAN configuration restore after function reload
    - net/mlx5e: Fix CPU mapping after function reload to avoid aRFS RX crash
    - net/mlx5e: Fix 50G per lane indication
    - net/mlx5e: CT: Fix memory leak in cleanup
    - bnxt_en: fix NULL dereference in case SR-IOV configuration fails
    - [arm64,riscv64] net: macb: fix wakeup test in runtime suspend/resume
      routines
    - [arm64,riscv64] net: macb: mark device wake capable when "magic-packet"
      property present
    - [arm64,riscv64] net: macb: fix macb_get/set_wol() when moving to phylink
    - [arm64,riscv64] net: macb: fix macb_suspend() by removing call to
      netif_carrier_off()
    - [arm64,riscv64] net: macb: fix call to pm_runtime in the suspend/resume
      functions
    - IB/hfi1: Do not destroy hfi1_wq when the device is shut down
    - IB/hfi1: Do not destroy link_wq when the device is shut down
    - [i386,alpha,hppa] ALSA: opl3: fix infoleak in opl3
    - ALSA: hda - let hs_mic be picked ahead of hp_mic
    - ALSA: usb-audio: add quirk for MacroSilicon MS2109
    - ALSA: usb-audio: Add implicit feedback quirk for RTX6001
    - [x86] ALSA: hda/realtek - Fix Lenovo Thinkpad X1 Carbon 7th quirk
      subdevice id
    - ALSA: hda/realtek - Enable audio jacks of Acer vCopperbox with ALC269VC
    - [x86] ALSA: hda/realtek: Enable headset mic of Acer C20-820 with ALC269VC
    - [x86] ALSA: hda/realtek: Enable headset mic of Acer Veriton N4660G with
      ALC269VC
    - [arm64] KVM: arm64: Fix definition of PAGE_HYP_DEVICE
    - [arm64] KVM: arm64: Stop clobbering x0 for HVC_SOFT_RESTART
    - [arm64] KVM: arm64: Annotate hyp NMI-related functions as __always_inline
    - [x86] KVM: x86: bit 8 of non-leaf PDPEs is not reserved
    - [x86] KVM: x86: Inject #GP if guest attempts to toggle CR4.LA57 in 64-bit
      mode
    - [x86] KVM: x86: Mark CR4.TSD as being possibly owned by the guest
    - [arm64] KVM: arm64: Fix kvm_reset_vcpu() return code being incorrect with
      SVE
    - io_uring: fix memleak in __io_sqe_files_update()
    - io_uring: account user memory freed when exit has been queued
    - io_uring: fix memleak in io_sqe_files_register()
    - io_uring: fix missing msg_name assignment
    - kallsyms: Refactor kallsyms_show_value() to take cred
    - module: Refactor section attr into bin attribute
    - module: Do not expose section addresses to non-CAP_SYSLOG
    - kprobes: Do not expose probe addresses to non-CAP_SYSLOG
    - bpf: Check correct cred for CAP_SYSLOG in bpf_dump_raw_ok()
    - Revert "ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb"
      (Closes: #964153, #964480)
    - btrfs: fix fatal extent_buffer readahead vs releasepage race
    - btrfs: reset tree root pointer after error in init_tree_roots
    - btrfs: discard: add missing put when grabbing block group from unused list
    - btrfs: fix double put of block group with nocow
    - drm/radeon: fix double free
    - [x86] drm/i915/gt: Pin the rings before marking active
    - [x86] drm/i915: Skip stale object handle for debugfs per-file-stats
    - drm/amdgpu: don't do soft recovery if gpu_recovery=0
    - drm/amdgpu: add TMR destory function for psp
    - drm/amdgpu: asd function needs to be unloaded in suspend phase
    - [x86] drm/i915: Drop vm.ref for duplicate vma on construction
    - [x86] drm/i915: Also drop vm.ref along error paths for vma construction
    - cifs: fix reference leak for tlink
    - smb3: fix access denied on change notify request to some servers
    - smb3: fix unneeded error message on change notify
    - dm: use noio when sending kobject event
    - [arm64] mmc: meson-gx: limit segments to 1 when dram-access-quirk is
      needed
    - [x86] pinctrl: baytrail: Fix pin being driven low for a while on
      gpiod_get(..., GPIOD_OUT_HIGH)
    - [s390x] setup: init jump labels before command line parsing
    - [s390x] mm: fix huge pte soft dirty copying
    - [arm64] Introduce a way to disable the 32bit vdso
    - [arm64] arch_timer: Allow an workaround descriptor to disable compat vdso
    - [arm64] arch_timer: Disable the compat vdso for cores affected by
      ARM64_WORKAROUND_1418040
    - blk-mq: consider non-idle request as "inflight" in blk_mq_rq_inflight()
    - dm writecache: reject asynchronous pmem devices
    - perf scripts python: export-to-postgresql.py: Fix struct.pack() int
      argument
    - perf scripts python: exported-sql-viewer.py: Fix zero id in call graph
      'Find' result
    - perf scripts python: exported-sql-viewer.py: Fix zero id in call tree
      'Find' result
    - perf scripts python: exported-sql-viewer.py: Fix unexpanded 'Find' result
    - perf scripts python: exported-sql-viewer.py: Fix time chart call tree
    - [s390x] Change s390_kernel_write() return type to match memcpy()
    - [s390x] maccess: add no DAT mode to kernel_write
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.7.10
    - bridge: mcast: Fix MLD2 Report IPv6 payload length check
    - genetlink: remove genl_bind
    - ipv4: fill fl4_icmp_{type,code} in ping_v4_sendmsg
    - ipv6: fib6_select_path can not use out path for nexthop objects
    - ipv6: Fix use of anycast address with loopback
    - l2tp: remove skb_dst_set() from l2tp_xmit_skb()
    - llc: make sure applications use ARPHRD_ETHER
    - net: Added pointer check for dst->ops->neigh_lookup in
      dst_neigh_lookup_skb
    - net_sched: fix a memory leak in atm_tc_init()
    - net: usb: qmi_wwan: add support for Quectel EG95 LTE modem
    - sched: consistently handle layer3 header accesses in the presence of
      VLANs
    - tcp: fix SO_RCVLOWAT possible hangs under high mem pressure
    - tcp: make sure listeners don't initialize congestion-control state
    - tcp: md5: add missing memory barriers in tcp_md5_do_add()/
      tcp_md5_hash_key()
    - tcp: md5: do not send silly options in SYNCOOKIES
    - vlan: consolidate VLAN parsing code and limit max parsing depth
    - tcp: md5: refine tcp_md5_do_add()/tcp_md5_hash_key() barriers
    - tcp: md5: allow changing MD5 keys in all socket states
    - cgroup: fix cgroup_sk_alloc() for sk_clone_lock()
    - cgroup: Fix sock_cgroup_data on big-endian.
    - ip: Fix SO_MARK in RST, ACK and ICMP packets
    - genetlink: get rid of family->attrbuf
    - net: ipv4: Fix wrong type conversion from hint to rt in
      ip_route_use_hint()
    - ethtool: fix genlmsg_put() failure handling in ethnl_default_dumpit()
    - [arm64] drm/msm: fix potential memleak in error branch
    - [arm64] drm/msm/dpu: allow initialization of encoder locks during encoder
      init
    - [armhf] drm/exynos: Properly propagate return value in
      drm_iommu_attach_device()
    - [armhf] drm/exynos: fix ref count leak in mic_pre_enable
    - [x86] fpu: Reset MXCSR to default in kernel_fpu_begin()
    - [armhf] thermal/drivers: imx: Fix missing of_node_put() at probe time
    - [x86] ACPI: DPTF: Add battery participant for TigerLake
    - blk-mq-debugfs: update blk_queue_flag_name[] accordingly for new flags
    - [m68k] mm: fix node memblock init
    - cifs: prevent truncation from long to int in wait_for_free_credits
    - [arm64] alternatives: use subsections for replacement sequences
    - tpm_tis: extra chip->ops check on error path in tpm_tis_core_init
    - xen/xenbus: avoid large structs and arrays on the stack
    - xen/xenbus: let xenbus_map_ring_valloc() return errno values only
    - gfs2: eliminate GIF_ORDERED in favor of list_empty
    - gfs2: freeze should work on read-only mounts
    - gfs2: read-only mounts should grab the sd_freeze_gl glock
    - gfs2: When freezing gfs2, use GL_EXACT and not GL_NOCACHE
    - gfs2: The freeze glock should never be frozen
    - [arm64] Add MIDR value for KRYO4XX gold CPU cores
    - [arm64] Add KRYO4XX gold CPU cores to erratum list 1463225 and 1418040
    - [arm64] Add KRYO4XX silver CPU cores to erratum list 1530923 and 1024718
    - [i386,mips*/boston] i2c: eg20t: Load module automatically if ID matches
    - [arm64] alternatives: don't patch up internal branches
    - iio: core: add missing IIO_MOD_H2/ETHANOL string identifiers
    - [armhf] iio: mma8452: Add missed iio_device_unregister() call in
      mma8452_probe()
    - [arm64] Add missing sentinel to erratum_1463225
    - xen/xenbus: Fix a double free in xenbus_map_ring_pv()
    - [arm64,armhf] net: ethernet: mvneta: Do not error out in non serdes modes
    - [arm64,armhf] net: ethernet: mvneta: Add back interface mode validation
    - scsi: qla2xxx: make 1-bit bit-fields unsigned int
    - io_uring: fix recvmsg memory leak with buffer selection
    - [arm64,armhf] phy: rockchip: Fix return value of inno_dsidphy_probe()
    - [arm64,armhf] phy: sun4i-usb: fix dereference of pointer phy0 before it
      is null checked
    - [arm64] dts: meson: add missing gxl rng clock
    - [arm64] dts: meson-gxl-s805x: reduce initial Mali450 core frequency
    - [armhf] bus: ti-sysc: Fix wakeirq sleeping function called from invalid
      context
    - [armhf] bus: ti-sysc: Fix sleeping function called from invalid context
      for RTC quirk
    - [armhf] bus: ti-sysc: Do not disable on suspend for no-idle
    - [x86] dmaengine: dw: Initialize channel before each transfer
    - [armhf] spi: spi-sun6i: sun6i_spi_transfer_one(): fix setting of clock
      rate
    - [x86] staging: comedi: verify array index is correct before using it
    - serial: core: Initialise spin lock before use in uart_configure_port()
    - [arm64,armhf] clk: mvebu: ARMADA_AP_CPU_CLK needs to select
      ARMADA_AP_CP_HELPER
    - [armhf] clk: AST2600: Add mux for EMMC clock
    - xprtrdma: Fix double-free in rpcrdma_ep_create()
    - xprtrdma: Fix recursion into rpcrdma_xprt_disconnect()
    - xprtrdma: Fix return code from rpcrdma_xprt_connect()
    - xprtrdma: Fix handling of connect errors
    - NFS: Fix interrupted slots by sending a solo SEQUENCE operation
    - fuse: don't ignore errors from fuse_writepages_fill()
    - xprtrdma: fix incorrect header size calculations
    - [armhf] dts: socfpga: Align L2 cache-controller nodename with dtschema
    - keys: asymmetric: fix error return code in software_key_query()
    - nvme: explicitly update mpath disk capacity on revalidation
    - regmap: debugfs: Don't sleep while atomic for fast_io regmaps
    - copy_xstate_to_kernel: Fix typo which caused GDB regression
    - apparmor: ensure that dfa state tables have entries
    - RDMA/rxe: Set default vendor ID
    - PCI/PM: Call .bridge_d3() hook only if non-NULL
    - perf stat: Zero all the 'ena' and 'run' array slot stats for interval
      mode
    - RDMA/mlx5: Verify that QP is created with RQ or SQ
    - [arm64] clk: qcom: Add missing msm8998 ufs_unipro_core_clk_src
    - mtd: spi-nor: winbond: Fix 4-byte opcode support for w25q256
    - mtd: spi-nor: spansion: fix writes on S25FS512S
    - [armhf] mtd: rawnand: marvell: Fix the condition on a return code
    - [armhf] mtd: rawnand: marvell: Use nand_cleanup() when the device is not
      yet registered
    - [armhf] mtd: rawnand: marvell: Fix probe error path
    - mtd: rawnand: timings: Fix default tR_max and tCCS_min timings
    - [arm64] clk: qcom: gcc: Add GPU and NPU clocks for SM8150
    - [arm64] clk: qcom: gcc: Add missing UFS clocks for SM8150
    - [arm64] clk: qcom: gcc: Add support for a new frequency for SC7180
    - HID: logitech-hidpp: avoid repeated "multiplier = " log messages
    - HID: magicmouse: do not set up autorepeat
    - HID: quirks: Always poll Obins Anne Pro 2 keyboard
    - HID: quirks: Ignore Simply Automated UPB PIM
    - ALSA: line6: Perform sanity check for each URB creation
    - ALSA: line6: Sync the pending work cancel at disconnection
    - ALSA: usb-audio: Fix race against the error recovery URB submission
    - [x86] ALSA: hda/realtek - change to suitable link model for ASUS platform
    - [x86] ALSA: hda/realtek: enable headset mic of ASUS ROG Zephyrus
